v4l-utils-1.26.1
----------------

Hans Verkuil (2):
      cec-ctl: fix random cec stress test: check if msg status is OK
      libv4l2rds: fix TMC location parsing

Peter Seiderer (3):
      media-info: add missing sys/stat.h include (for dev_t)
      meson: fix has_function fork detection (needs suitable include)
      meson: libv4lconvert helpers need fork support

Rudi Heitbaum (1):
      keytable: meson not passing rc_keymaps system directory

Sean Young (2):
      ir-ctl: remove line length limits
      keytable: remove line length limits


v4l-utils-1.26.0
----------------

Ariel D'Alessandro (3):
      Add support for meson building
      Copy Doxygen configuration file to doc/
      meson: Add support for doxygen documentation

Benjamin Gaignard (1):
      v4l2-compliance: Test queue maximum buffers allocation

Daniel Lundberg Pedersen (1):
      v4l2-ctl: Add --get/--set-ctrl support for INTEGER and INTEGER64 arrays

Deborah Brouwer (18):
      v4l2-tracer: print only if debugging option is set
      v4l2-tracer: add macros to print debug info
      v4l2-tracer: stop stringifying v4l2_input "tuner"
      v4l2-tracer: add G/S TUNER ioctls
      v4l2-tracer: add VIDIOC_ENUM_FRAMESIZES
      v4l2-tracer: add VIDIOC_ENUM_FRAMEINTERVALS
      v4l2-tracer: stringify target in v4l2_selection
      v4l2-tracer: add event tracing/retracing
      v4l2-compliance: call select before dequeuing event
      v4l2-tracer: fix autogen script for AV1
      v4l2-info/v4l2-tracer: add macro to mark the trace
      v4l2-tracer: replace buftype2s with val2s
      v4l2-tracer: remove buffers by type and index
      v4l2-tracer: remove compress_frame_count
      v4l2-tracer: get decoded bytesused from DQBUF
      v4l2-tracer: create an option to trace userspace args
      v4l2-tracer: stop retracing failed ioctls
      v4l2-tracer: auto generate flags for DECODER_CMD

Dikshita Agarwal (1):
      v4l2-compliance: Add handling for QC08C and QC10C format

Gregor Jasny (4):
      buildsystem: Start v4l-utils 1.25.0 development cycle
      build: conditionally retrieve Git repo information
      build: do not fall back to libbpf header lookup
      manpages: fix groff warnings

Hans Verkuil (53):
      v4l2-tracer: use __s64 instead of long
      v4l2-ctl: improve --stream-sleep functionality
      v4l2-ctl: reset fps counter when using --stream-sleep with streamoff/on
      v4l2-ctl: support random sleep times
      cec-ctl: store state changes in pin file
      configure.ac: fix gconv directory search
      v4l2-ctl: improve --stream-sleep
      sync-with-kernel.sh: regenerate utils/keytable/rc_keymaps/meson.build
      .gitignore: add back '*.pc' pattern
      v4l-utils: sync with upstream media staging kernel.
      gen_dvb_structs.pl: drop copy of dvb-frontend.h
      cec-ctl.1.in: clarify that you configure *your* device
      utils/libcecutil: drop spurious dep_libv4lconvert
      cec-ctl: add --test-random-power-states stress test
      cec/v4l2-compliance, cec-follower: use __FILE_NAME__ if available
      v4l2-tracer: add quotes to -DLIBTRACER_PATH="@0@"
      v4l2-ctl: show field value in print_concise_buffer()
      cec-ctl: rename power-cycle to standby-wakeup-cycle
      v4l-utils: sync with latest media staging tree
      cec-ctl: always log timestamp in show_msg if not-OK
      Update old email address
      cec-compliance: get_power_status(): fix valid RX test
      cec-compliance: get_power_status(): check cec_msg_status_is_abort
      v4l-utils: libdvbv5: fix doxygen warnings
      libcecutil: fix performance inefficiencies
      lib/libdvbv5/dvb-file.c: check for valid entry pointer
      media-ctl: 1 -> 1ULL
      v4l2-ctl: add missing > in aspect option usage message
      v4l2-ctl: fix handling the premul-alpha sub-option
      v4l2-ctl: improve --silent support
      cec-ctl: add hpd-may-be-low suboption for the CEC tests
      cec-ctl.1.in: for hpd-may-be-low option: <0,1> -> <0/1>
      test-media: cec-pwr enables cec variable as well
      v4l2-ctl/compliance: add include cstdint
      test-media: log utils versions
      cec-follower: add --exclusive option
      common/media-info: add MEDIA_ENT_F_PROC_VIDEO_ISP
      common/media-info: fail for unknown entity function values
      sync-with-kernel.sh: don't filter V4L2_PIX_FMT_HEVC_SLICE
      v4l-utils: sync with latest kernel headers
      v4l2-ctl: add support for AV1 stateless control types
      v4l2-compliance: support V4L2_PIX_FMT_AV1_FRAME
      v4l2-compliance: pass media_fd when walking topology
      test-media: 'mc' argument didn't select vidtv
      test-media: use -m instead of -M for vicodec and vidtv
      README.md: drop qt5-default, add libsdl2-dev libbpf-dev llvm clang
      v4l2-ctl: fix alignment meta formats usage message
      v4l2-ctl.1.in: add missing --help-meta
      v4l2-compliance: improve error message
      v4l-utils: sync with latest kernel headers
      v4l-utils: sync with latest kernel headers
      v4l2-info.cpp: fix _SUPPORTS_MAX_NUM_BUFFERS description
      v4l-utils: sync with latest kernel headers

Jorge Maidana (1):
      qv4l2: fix SDR format error message

Laurent Pinchart (3):
      Drop autoconf/automake support
      meson: Fix libbpf detection
      meson: Fix install location of doxygen's man pages

Mauro Carvalho Chehab (4):
      libdvbv5: dvb-scan: fix DVB-S2 checks for DVB-S tuning
      meson.build: backport it to version 0.56
      v4l-utils.spec.in: update it to work with meson
      meson: make it backward-compatible with version 0.54

Michael Tretter (1):
      v4l2-compliance: Add gadget. as bus_info prefix

Nicolas Dufresne (1):
      v4l2-tracer: Fix libv4l2tracer.so loader

Paul Kocialkowski (1):
      v4l2-compliance: codecs: Add stateless (TRY_)DECODER_CMD tests

Peter Seiderer (19):
      meson: re-enable qv4l2 without Qt OpenGL support
      qv4l2: remove leagcy alsa_stream.h include (ENABLE_ALSA protected)
      qv4l2: fix qmake project file
      qv4l2: update qmake project file for Qt6 (core5compat module)
      qv4l2: fix Qt6 compile (QDesktopWidget: No such file or directory)
      qv4l2: fix Qt6 compile (QHBoxLayout/QVBoxLayout has no member setMargin)
      qv4l2: fix Qt6 compile (ambiguous overload for operator!=)
      qv4l2: fix Qt6 compile (missing QActionGroup header)
      qv4l2: fix Qt6 compile (no matching function for call to QString::split(QRegExp))
      qv4l2: fix Qt6 warnings (QKeyCombination operator+ is deprecated)
      qv4l2: fix Qt6 warning (QMenu::addAction() is deprecated)
      qvidcap: fix qmake project file
      v4l2-tracer: fix trace path name creation
      v4l2-tracer: wrap open64/mmap64 functions only if linux && __GLIBC__
      libv4l1/libv4l2/v4l2-tracer: use common meson c_args/cpp_args to disable transparent large file support
      qv4l2: remove unused local variables 'QString what'
      qv4l2: enable Qt6 compile with Qt OpenGL support
      qvidcap: fix v4l2_convert_hook (add PRE_TARGETDEPS)
      qvidcap: enable Qt6 compile with Qt OpenGL support

Sakari Ailus (1):
      utils: libv4l2subdev: Set stream for g_selection

Sean Young (2):
      keytable: open lirc for read/write for attaching/detaching bpf programs
      ir-ctl: fix sharp encoding

Tomi Valkeinen (9):
      meson: Use -include to include config.h instead of -I.
      v4l2-ctl: Improve sub-device options help text
      v4l2-ctl: Add routing and streams support
      media-ctl: Add support for routes and streams
      v4l2-ctl/compliance: Add routing and streams multiplexed streams
      v4l2-ctl/compliance: Add simple routing test
      media-ctl: Check for Streams API support
      utils/common: Set V4L2_SUBDEV_CLIENT_CAP_STREAMS for subdevs
      v4l2-ctl: Check for Streams API support

Vince Ricosti (1):
      keytable: fix repeat formatting


v4l-utils-1.24.0
----------------

Ariel D'Alessandro (1):
      Move README to markdown syntax

Benjamin Mugnier (1):
      libv4lconvert: Fix v4lconvert_grey_to_rgb24 not taking stride into account

Daniel Scally (2):
      mc_nextgen_test: Display ancillary links
      v4l2-compliance: Account for ancillary links

David Fries (1):
      qv4l2: Add capture toggle and close hotkeys to CaptureWin

Deborah Brouwer (9):
      v4l2-info: add flag V4L2_PIX_FMT_FLAG_SET_CSC
      v4l2-info: move flags2s to v4l2-info.h
      utils: add v4l2-tracer utility
      v4l2-tracer: check for strerrorname_np()
      v4l2-tracer: add signal handling
      v4l2-tracer: refactor autogeneration script
      v4l2-tracer: add exact matching for 'type' and 'field'
      v4l2-tracer: add INPUT and OUTPUT ioctls
      v4l2-tracer: remove trailing comma from JSON trace

Dikshita Agarwal (2):
      Add check for READ ONLY flag
      Add check for READ ONLY flag

Gregor Jasny (8):
      buildsystem: Start v4l-utils 1.23.0 development cycle
      configure.ac: Add copy of gnulib visibility.m4
      bootstrap.sh: Replace which with POSIX compliant command -v
      m4: Update ax_pthread to latest
      v4l2-tracer: do not distribute generated files
      xc3028-firmware: distribute proper header
      v4l2-tracer: distribute man page template
      v4l2-tracer: add headers to distribute them

Hans Verkuil (70):
      cec-compliance: wake up remote device if needed
      decode_tm6000: fix compiler warning
      libdvbv5/dvb-dev-remote.c: fix send_fmt prototype
      v4l2-compliance: improve failure message
      v4l2-compliance: add missing return
      v4l2-ctl: pass bus_info to mi_get_media_fd()
      test-media: increase sleep after modprobe vivid to 3
      v4l2-compliance: show value with 'delta_ms > 10' fail msg
      v4l2-compliance: relax time32-64 test
      v4l-utils: update to latest media_stage kernel
      v4l2-ctl/compliance: add stateless VP9 support
      libv4lconvert: HM12 -> NV12_16L16
      v4l-utils: use v4l_getsubopt instead of getsubopt
      sliced-vbi-detect/test.c: drop unused headers
      v4l2-compliance: detect no-mmu systems
      v4l2-compliance: increase sleeps that are too short
      v4l2-compliance: improve select() check in captureBufs()
      v4l2-compliance: improve two vivid_ro_ctrl warnings
      cec-ctl: show timestamp for events
      cec-ctl: periodically insert monotonic/wallclock time
      v4l2-ctl: support edid-decode output as --set-edid input
      Revert "Add check for READ ONLY flag"
      v4l2-compliance: only check function if an MC is present
      cec-ctl: fix timestamp log for HPD/5V changes
      cec-ctl: only generate eob for CEC pin events
      cec-ctl: improve --analyze-pin performance
      cec-ctl: show timestamps in microsecond precision
      cec-ctl: store the wallclock/monotonic clocks every minute
      qv4l2: fix search/replace mistake in vbi-tab.cpp/h license text
      v4l2-ctl: allow waiting/polling for multiple events
      sync-with-kernel.sh: tuner-xc2028-types.h -> xc2028-types.h
      v4l-utils: sync to latest kernel
      v4l2-compliance: fix G/S_PARM tests for stateful encoders
      v4l-utils: sync-with-kernel
      cec-compliance: make <GET CEC VERSION> mandatory
      cec-compliance: replace warn by announce if unresponsive
      cec-compliance: don't test if PA is invalid
      v4l-utils: sync with latest kernel headers
      v4l2-compliance: detect V4L2_PIX_FMT_HEVC_SLICE
      v4l2-ctl: support HEVC controls
      v4l2-compliance/ctl: add dynamic array support
      media-info: support ancillary links
      v4l2-compliance: show ancillary links
      v4l2-dbg: drop cap2s(), use v4l2_info_capability() instead
      rds-ctl: drop cap2s(), use v4l2_info_capability() instead
      v4l2-ctl/rds-ctl: move tuner info helpers to v4l2-info.cpp
      v4l-utils: sync with upstream kernel
      v4l2-ctl: add support for V4L2_EVENT_CTRL_CH_DIMENSIONS
      v4l2-ctl: show all dimensions for V4L2_EVENT_CTRL_CH_DIMENSIONS
      v4l2-compliance: check vivid pixel array control behavior
      v4l2-compliance: test of vivid's pixel array in requests
      xc3028-firmware: fix use-after-free
      libdvbv5: fix string overread
      test-media: check results of cmp in the vicodec tests
      v4l-utils: sync with upstream media tree
      v4l-utils: sync with upstream git repo
      v4l2-ctl: print_control should check for array controls
      v4l2-ctl: -C foo -C bar only shows foo
      v4l2-compliance: support INTEGER and INTEGER64 control arrays
      test-media: wait longer after rmmod/modprobe if DEBUG_KOBJECT_RELEASE=y
      cec-follower: add --ignore-standby/view-on options
      v4l2-compliance: support g++ 7.5.0
      v4l-utils: sync with upstream git repo
      v4l2-tpg.patch: add missing get_random_u8()
      v4l-utils: sync with latest upstream git repo
      v4l2-tracer: add support for most basic controls
      cec-ctl: --store-pin shouldn't enable pin monitoring
      v4l-utils: sync with latest upstream git repo
      v4l2-info: add support for new V4L2_SUBDEV_CAP_STREAMS capability
      v4l2-compliance: add tests for area, string and integer64 controls

Hans de Goede (4):
      libv4lconvert: Fix v4lconvert_yuv420_to_rgb/bgr24() not taking stride into account
      libv4lconvert: Fix v4lconvert_rgb565_to_rgb/bgr24() not taking stride into account
      libv4lconvert: Fix v4lconvert_nv12_*() not taking stride into account
      libv4lconvert: Fix v4lconvert_nv16_to_yuyv() not taking stride into account

Jorge Maidana (1):
      qv4l2: enable the play action on non-streaming radio rx

Khem Raj (1):
      media-info: Include missing <cstdint> for uintptr_t

Laurent Pinchart (7):
      v4l2-ctl: Operate on output device if specified
      libv4l2subdev: Fix compilation error by including missing header
      v4l2 utils: Support V4L2_PIX_FMT_YUV[AX]32
      libdvbv5: Fix invalid header file name in Doxygen INPUT
      libdvbv5: Fix Doygen deprecation warnings
      keytable: Add -fno-stack-protector compilation option
      libv4lconvert: Don't ignore return value of ftruncate()

Martin VallevandMartin Vallevand (1):
      libdvbv5: cleanup ASTC service location parsing

Mauro Carvalho Chehab (24):
      v4l2grab: print the fourcc when libv4l won't handle it
      v4l2grab: accept other formats than RGB24
      v4l2grab: optimize conversion routines
      v4l2grab: use BT.709 by default on YUV conversion
      v4l2grab: pass fmt to the conversion function
      v4l2grab: add support for handling colorspace
      v4l2grab: rework conversion routines to add more YUV formats
      v4l2grab: add the basic logic to support planar formats
      v4l2grab: add support for YUV 420 planar and semi-planar formats
      v4l2grab: add RGB 32 format and variants
      v4l2grab: don't try to convert formats on raw mode
      v4l2grab: add a way to explicitly enable raw mode
      v4l2grab: use an array for format properties
      v4l2grab: properly implement quantization
      v4l2grab: avoid the risc of having sizeimage == 0
      v4l2grab: estimate the frame rate
      v4l2grab: fix buffer conversion size
      v4l2grab: fix raw output on mmap
      v4l2grab: validate it the returned image is big enough
      v4l2grab: fix image size calculation for some formats
      v4l2grab: expand video format switch case
      v4l2grab: allow adding planars with full size
      v4l2grab: add support for NV16 and NV61
      v4l2grab: add support for 422P format

Niklas Söderlund (1):
      configure.ac: Add option to disable compilation of v4l2-tracer

Peter Kjellerstedt (1):
      configure.ac, Makefile.am: Support building without NLS

Ricardo Ribalda (1):
      v4l2-compliance: Let uvcvideo return -EACCES

Sakari Ailus (1):
      utils: Allow choosing v4l2-tracer-gen.pl output

Sean Young (4):
      ir-ctl: allow for different gaps to be specified
      v4l-utils: sync with latest media staging tree
      ir-ctl: report ir overflow
      keytable: provide configuration for empty keymap

Simon Arlott (2):
      libdvbv5: Read all "other" PIDs for channels
      dvbv5-zap: Record all the channel video/audio/other PIDs

Sudip Mukherjee (1):
      keytable: Convert deprecated libbpf API

Umang Jain (1):
      v4l2-ctl: Fix typo in --list-patterns help text

Vedant Paranjape (1):
      v4l2-utils: Fix incorrect use of fd in streaming_set_cap2out

Xavier Roumegue (2):
      v4l2-utils: Change get_(cap_compose|out_crop)_rect() return type to void
      v4l2-utils: read/write full frame from/to file for m2m non codec driver


v4l-utils-1.22.0
----------------

Alexandre Courbot (1):
      v4l2-compliance: test for vb2/m2m poll kernel bug

Bastien Nocera (1):
      keytable: Add source information in generated keymaps

Dafna Hirschfeld (7):
      utils: v4l2-ctl: support V4L2_CAP_IO_MC in v4l2-ctl '--list-formats-*' commands
      v4l2-ctl: vidcap: Add support for the CSC API
      v4l2: common: add the flags V4L2_FMT_FLAG_CSC* to the list that maps flags to str
      v4l2-ctl: subdev: Add support for the CSC API in the subdevices
      v4l2-ctl: subdev: Add the flags to the list of supported mbus formats
      v4l2-ctl: print specific error upon failure
      v4l2-ctl: fix bugs found in streaming_set_cap2out

Daniel W. S. Almeida (1):
      test-media: add support for vidtv

Deborah Brouwer (18):
      cec-compliance: add Audio System mask to Set Audio Rate
      cec: add active sensing test for Audio Rate Control messages
      cec: add invalid operand test for Audio Rate Control messages
      cec-follower: increase precision of Audio Rate Control active sensing
      cec-follower: detect the cessation of Audio Rate Control messages
      cec-follower: emulate features for CEC versions < CEC 2.0
      cec: add tests for Give Deck Status message
      cec: add tests for Deck Control message
      cec: add tests for Deck Play message
      cec-compliance: remove Deck Status test
      cec: add Deck Control wake-up handling tests
      cec: remove redundant struct cec_msg initializations
      cec-compliance: remove One Touch Record Status test
      cec-follower: use log_addr_type to get local device type
      cec: expand One Touch Record tests
      cec: add One Touch Record Standby tests
      cec: expand Timer Programming tests
      cec-follower: emulate programmed timer recordings

Gregor Jasny (4):
      buildsystem: Start v4l-utils 1.21.0 development cycle
      qv4l2: Also fall back to old method for querying resolution
      libdvbv5: hide my_strlcpy symbol
      libdvbv5: hide stack_dump symbols and provide soname compatibility

Hans Petter Selasky (3):
      Fix print formatting warning for clang.
      v4l-utils: FreeBSD already defines packed
      Use standard integer types

Hans Verkuil (154):
      v4l-utils: sync with latest media kernel
      cec-ctl: improve --list-devices
      test-media: also keep vivid cec devices open
      test-media: add 'tee /dev/kmsg'
      v4l-utils: sync with latest media kernel
      v4l-utils: sync with latest media kernel
      v4l2-info.cpp: add new flag V4L2_FMT_FLAG_ENC_CAP_FRAME_INTERVAL
      v4l2-compliance: fix cache hint regressions
      test-media: enable cache_hints for the first vivid instance
      cec-compliance: add 'reason' sanity check.
      qvidcap: set GL_UNPACK_ROW_LENGTH for Bayer formats
      qvidcap: fix GL_UNPACK_ROW_LENGTH for Bayer > 8 bits
      v4l2-compliance: relax testBasicSelection check.
      v4l2-compliance: fix stateful encoder tests
      qv4l2: fix use of deprecated byteCount method
      qv4l2: add -Wno-psabi to avoid ABI warning on ARM
      qv4l2: fix more 'deprecated Qt functions' warnings
      v4l2-compliance: drop kernel_version
      v4l2-compliance: disable cache flag test for kernels < 5.9
      cec-compliance: clarify a power transition test
      v4l2-compliance: remove spurious \n in message
      qv4l2: QGuiApplication::screenAt() appeared in Qt 5.10
      v4l2/cec-compliance: use new GIT_SHA variable
      cec-compliance: don't skip tests if phys addr is invalid
      v4l2-ctl: set  total number of native DTDs to 1
      cec-compliance: the SHA needs to be shown in different ways
      v4l2-compliance: fix colorspace checks for JPEG codecs
      v4l2-compliance: improve frequency range checks
      cec-follower: fix logging the SHA
      v4l-utils: update v4l2-tpg.patch
      v4l-utils: sync with latest media kernel
      v4l-utils: use V4L2_TYPE_IS_CAPTURE
      v4l2-ctl: fix INTEGER64 support, add common_print_control()
      v4l2-ctl: rename vivid_uvc_meta_buf to uvc_meta_buf
      cv4l-helpers.h: fix the cv4l_buffer assignment operator
      v4l2-ctl: fix broken fd.qbuf error check
      v4l2-compliance: some fails were ignored
      cec-follower: CEC_MSG_STANDBY can just call enter_standby()
      v4l2-tpg.patch: add clamp_t define
      sync with latest media kernel
      cec-follower: add --standby and --toggle-power-status
      cec-ctl: improve the --phys-addr-from-edid-poll option
      v4l-utils: sync with media_tree master
      cec-ctl: don't spam log with PA changes unless paused
      v4l-utils: sync with media_tree master
      libcecutil: make license consistent
      media-ctl: fix compiler warnings
      cec-compliance: options -n and -N were swapped in --help
      cec-ctl/cec-compliance: add pulse8-cec kernel version check
      cec utils and v4l2-compliance: improve version info
      cec-follower: drop physical address check
      cec-ctl: really wait for 2 seconds when the HPD is low
      cec-ctl.1.in: fix awkward language
      cec-ctl: detect if Standby etc. messages are Nacked
      v4l2-compliance-32: use v4l2_compliance_CPPFLAGS
      v4l2-ctl-32: use v4l2_ctl_CPPFLAGS, fix wrong check
      common/media-info.cpp: 'Flags' was not aligned
      v4l2-compliance: improve comment for CROPCAP/G_SELECTION fail
      v4l2-ctl: clean up control value printing
      v4l2-ctl: break on VIDIOC_DQEVENT error
      v4l-utils: sync with media_tree master
      qv4l2: fix CaptureWin::setWindowSize() if there are multiple screens
      v4l2-compliance: fix two S_EDID tests
      v4l2-compliance: test polling and disconnecting
      v4l2-compliance: skip sequence tests for vivid
      v4l-utils: sync with latest media_tree master repo
      v4l2-subdev.h: replace BIT(0) by 0x00000001
      v4l2-info: add v4l2_info_subdev_capability
      v4l2-ctl: add support for VIDIOC_SUBDEV_QUERYCAP
      v4l2-compliance: add support for VIDIOC_SUBDEV_QUERYCAP
      v4l2-compliance: improve VIDIOC_TRY_DE/ENCODER_CMD tests
      v4l2-compliance: improve VIDIOC_(TRY_)EN/DECODER_CMD tests
      v4l2-compliance: check correct buffer length after CREATE_BUFS
      v4l2-ctl: fix incorrect check for last_ts
      media-info: MEDIA_ENT_F_IO_DTV doesn't need an interface
      test-media: improve vidtv tests
      cec-ctl: showTopology(): fix level wraparound bug
      v4l2-compliance: add missing V4L2_PIX_FMT_H264_SLICE
      cec-compliance: improve current latency checks
      configure.ac: revert AM_GNU_GETTEXT_VERSION change
      configure.ac: improve gettext compatibility support
      v4l-utils: sync with latest media kernel
      v4l2-compliance: improve fmtdesc.description check
      v4l2-compliance: improve compound control checks
      v4l2-tpg.patch: rename min/max defines to tpg_min/max
      v4l2-compliance: don't warn about seq counter for metadata
      v4l2-ctl: add --show-edid, add new test EDIDs
      v4l2-ctl: don't squash setting multiple identical controls.
      v4l2-ctl: fix hdmi and hdmi-4k-170mhz EDIDs
      v4l2-ctl: improve --help-edid
      v4l2-ctl: update EDIDs
      qv4l2: fallback if window()->windowHandle() == NULL
      v4l2-ctl: recognize compound h264 and fwht control types
      cec: improve vendor ID logging
      v4l2-compliance: rename stvec to vec_remote_subtests
      v4l2-ctl: add missing const, use {} instead of memset
      v4l2-ctl: remove unused struct flag_def
      v4l2-dbg: fix control flow problem
      v4l2-compliance: move all vivid controls to v4l2-compliance.h
      utils/libcecutil/cec-log.cpp: report 6 digits of Vendor ID
      utils/cec: fix inconsistent Vendor ID reporting
      v4l2-ctl: add '--set-edid type=list' support
      cec-compliance: clarify a warning
      cec-compliance: use the actual audio_out_delay value
      cec-compliance: improve error message
      cec-compliance: hardcode audio_out_delay to 1 if not set
      v4l2-compliance: V4L2_PIX_FMT_VP8_FRAME is for stateless decoder
      v4l-utils: sync with upstream media_tree master
      v4l2-ctl: add new control types
      cec-compliance: skip warning if audio_out_delay is 1
      v4l-utils: sync with media_tree/master
      cec-compliance: move audio helper functions to cec-test-audio.cpp
      cec-compliance: move CDC helper functions to cec-test.cpp
      cec-ctl: improve 'Sleep' message in stress test
      cec-ctl: min/max-sleep arguments should be double, not unsigned
      v4l-utils: patch v4l2-controls.h
      v4l-utils: sync with media_tree master
      v4l2-compliance: improve request tests
      contrib/test/test-media: add -setup option
      v4l2-compliance: fix bad indentation
      v4l2-compliance: fix g++-7 compile error
      cec-compliance/follower: fix type comparison warnings
      libcecutil/cec-info.cpp: rename Reserved to Backup
      cec-follower: fix incorrect fallthrough
      cec-ctl: report low drive without --verbose
      test-media: add vidtv to the mc target
      test-media: drop vidtv from mc, but warn if MC is disabled for DVB
      cec-ctl: free signal time -> signal free time
      cec-ctl: log signal free time when (show && !verbose)
      cec-follower: refactoring: split up overly long functions
      cec-compliance: use send_timer_error for one more test
      cec-compliance: add cec-test-tuner-record-timer.cpp
      cec-compliance: improve warning about late reply
      cec-compliance: improve testLostMsgs test
      configure.ac: drop printf for GIT_COMMIT_DATE
      cec-compliance: wait up to 10s for Inactive Source reply
      cec-compliance: fix broken timer tests
      v4l-utils: libdvbv5: fix broken my_strlcpy calls
      v4l2-ctl: update test EDIDs
      v4l2-compliance: add 0 check for v4l2_event reserved field
      v4l2-compliance: add new test for 32/64 bit time handling
      v4l-utils: sync with latest media staging tree
      v4l2-compliance: use fail_on_test_val for better fail reports
      test-media: add -E and -W options
      test-media: configure vimc scaler correctly
      test-media: missed one scaler config line
      test-media: add 'date' at beginning and end, show versions
      test-media: mc should include vidtv
      test-media: drop vidtv from the 'mc' target
      test-media: show version info earlier and show cmd args
      cec-compliance: fix 'unresponsive' detection
      cec-compliance: improve confusing message
      cec-compliance: fix confusing 'Transient state' message
      v4l2-compliance: check entity function for codecs

Ismael Luceno (1):
      keytable: Fix missing inclusion of argp.h

James Le Cuirot (1):
      configure.ac: Add --without-libudev option to avoid automagic dep

Luca Boccassi (1):
      Build with libbpf, remove local sources

Marian Cichy (2):
      media-ctl: fix ycbcr property in help description
      media-ctl: add v4l2-ycbcr-enc field in help description

Marvin Schmidt (1):
      mc_nextgen_test: Link against argp library

Mauro Carvalho Chehab (41):
      v4l2grab: fix block mode handling
      v4l2grab: add querycap basic support
      libv4l2: add newer caps to v4l2_driver.c
      v4l2grab: prepare it for adding support for other methods
      v4l2grab: add command line args for other capture methods
      v4l2grab: some code reorg
      v4l2grab: add read and userptr capture methods
      v4l2grab: remove an unused var
      libdvbv5: add support for the registration descriptor
      libdvbv5: detect SMTPE 302m audio format
      libdvbv5: use an array for the fourcc type
      dvb-file: reimplement get_pmt_descriptors()
      dvbv5-zap: add a warning when not recording PMT data
      dvbv5-zap: allow recording also the SDT table
      dvbv5-zap: don't use start time initialized
      libdvbv5: initialize v3 params
      libdvbv5: fix the quality detection logic
      libdvbv5: fix init of the ATSC service location
      libdvbv5: avoid a potential access out of an array
      dvb-fe-tool: better check the event type
      libdvbv5: don't leak memory at dvb-dev-remote
      dvbv5-daemon: do some cleanups at the daemon
      libdvbv5: dvb-dev-remote: don't leak resources at send_buf()
      libdvbv5: dvb-dev-local: fix error handling for device addition
      libdvbv5: dvb-dev-local: better handle realloc()
      libdvb: fix ATSC service location parser
      libdvbv5: add a warning if a descriptor's init doesn't went fine
      libdvbv5: desc_network_name: simplify the init code
      libdvbv5: validate cable descriptor's size
      libdvbv5: desc_ca: cleanup the routine
      libdvbv5: desc_language: check if the size is correct
      libdvbv5: fix a typo
      dvb-file: fix one-line output with default values
      dvb-zap: copy_to_file doesn't return any value
      dvbv5-zap: add a check for dvb_fe_retrieve_status() errors
      dvbv5-zap: remove an unused logic
      dvbv5-zap: fix a cut-and paste error
      libdvbv5: dvb-dev-remote: better handle cmd size
      dvb-dev-remote: check if setsockopt() fails
      dvbv5-daemon: don't dereference a null pointer
      Makefile.am: turn the build less verbose by default

Max Schulze (1):
      v4l2-ctl: print delta to current clock in verbose mode

Niklas Söderlund (2):
      configure.ac: Resolve GIT_* even if repository is a submodule
      configure.ac: Fix building without libudev

Paul Elder (10):
      v4l2-ctl: Fix test_ioctl cmd type
      v4l2-compliance: Convert testBlockingDQBuf to pthreads
      v4l2-compliance: Add libcamera to businfo prefixes
      configure.ac: Export git commit count
      media-ctl: Add version command
      v4l2-compliance: Add version command
      v4l2-ctl: Add version command
      cec-compliance: Add version command
      cec-ctl: Add version command
      cec-follower: Add version command

Rosen Penev (27):
      convert to range based loops
      use auto
      use using instead of typedef
      use emplace_back
      convert files to reference
      use explicit for single argument constructors
      fix mismatching declaration
      add missing include for uClibc-ng
      clean up includes and convert C includes to C++
      v4l-helpers: don't mix enum type with int
      cppcheck: turn several references to const
      cppcheck: use const references
      clang-tidy: use nullptr
      clang-tidy: add a bunch of const
      v4l-utils: switch remote_subtest arrays to vector
      v4l-utils: convert board_list to vector
      clang-tidy: use using instead of typedef
      clang-tidy: use auto
      clang-tidy: use nullptr
      remove unused ARRAY_SIZE
      cec-tuner: std::array conversions
      v4l2-utils: turn fb_formats to constexpr array
      mass constexpr conversions
      v4l-utils: add missing static
      v4l-utils: add missing fallthrough
      remove pointless constructor
      utils: replace push_back with emplace_back

Sean Young (8):
      lircd2toml: add option to keep lirc codes as they are
      Move sync-with-kernel into dedicated shell script ./sync-with-kernel.sh
      v4l-utils: sync with latest media kernel
      ir-ctl: include timeout in raw IR and parse timeout in pulse-space file
      keytable: ensure BPF IR decoders use correct section name
      ir-ctl: print correct transmitter count
      ir-ctl: Revert "ir-ctl: print correct transmitter count"
      ir-ctl: increase the size of the buffer used to read raw files

Sebastian Fricke (1):
      README: Update build requirements for debian

Sergey Senozhatsky (3):
      v4l2-utils: test cache_hints for MMAP queues
      v4l-compliance: remove NON_CONSISTENT hint test
      v4l-compliance: re-introduce NON_COHERENT and cache hints tests

Trenton Schulz (1):
      Rudimentary support for mi_media_detect_type on FreeBSD.

Ulrich Ölmann (3):
      keytable: fix typo
      configure.ac: autodetect availability of systemd
      keytable: restrict installation of 50-rc_keymap.conf


v4l-utils-1.20.0
----------------

Akinobu Mita (1):
      v4l2-ctl: add sizeimage suboption for set-fmt-video options

Bård Eirik Winther (1):
      qvidcap: Add stride option to command line

Chris Leick (1):
      Update German translation

David Seifert (1):
      Fix GCC 10 / -fno-common

Gregor Jasny (8):
      buildsystem: Start v4l-utils 1.19.0 development cycle
      dvbv5-zap: Fix typo
      v4l2-ctl: include C++ cmath header
      ubuntu1604: add missing headers for std::exit
      libcecutil: Remove vanished TODO file from ditribution list
      v4l2-ctl: Do not distribute generated 32bit source
      v4l2-compliance: Do not distribute generated 32bit source
      libcecutil: Distribute cec-gen.pl

Hans Petter Selasky (2):
      Fix broken for loop in libv4l
      Fix for mismatched class/struct tags

Hans Verkuil (133):
      v4l2-compliance: improve metadata capture support
      test-media: remove left-over debug lines
      v4l2-compliance: fail if selection is present for compressed video
      cec-compliance: rename 'ok' to 'unknown'
      cec-ctl/msg2ctl.pl: don't add HTNG commands to msgtable
      cec-compliance: add --test-fuzzing option
      test-media: update vimc tests
      v4l-utils: sync with latest media_tree master
      keytable: add new generated keymaps
      msg2ctl.pl: add newline after log_msg
      cec-follower: drop the hardcoded UI commands list
      cec-ctl/cec-log: use new CEC_OP_UI_CMD defines
      cec utils: support CEC_ADAP_G_CONNECTOR_INFO
      cec-compliance/follower: use new CEC_OP_UI_CMD defines
      utils/libcecutil: add CEC utility library
      cec-follower: switch to the new CEC utilities library
      cec-compliance: use the new CEC utilities library
      cec-ctl: use the new CEC utilities library
      utils/common/cec*: remove unused cec files
      cec-htng(-funcs).h: move to libcecutil
      libcecutil: do not assume building in source tree.
      libcecutil: remove empty generated headers on failure
      libcecutil: cec-gen.pl now generates all headers in one go
      v4l-utils: sync to latest cec-funcs.h
      libcecutil: spaces should be replaced by - for help_features
      cec-compliance: move util_receive to cec-compliance.cpp
      cec-compliance: add timeout to util_receive
      cec-compliance: fix a bug in util_receive
      cec-compliance: Improve the INACTIVE_SOURCE test
      cec-follower: add INACTIVE_SOURCE support.
      v4l2-compliance: fix read/write tests
      cec-compliance: improve Inactive Source test
      cec-compliance: Set OSD Name is not TV specific
      Makefile.am: copy v4l2-tpg.h, not v4l2-tpg*
      v4l-utils: sync with latest media_tree master
      v4l2-info.cpp: support the new hold capture flags
      cec-compliance: remove old tuner tests
      cec-follower: add support for Status Request
      cec-compliance: improve failure reporting
      cec-follower: fix index handling
      v4l-utils: sync with latest media_tree master
      cec-compliance: improve the Inactive Source test
      v4l-utils: sync with latest media_tree master
      v4l2-compliance: better scaler detection for M2M devices
      cec-ctl: add a --phys-addr-from-edid option
      cec: fix Makefile.am to get the right library dependencies
      libcecutil: convert latency values to ms
      cec-ctl: finish --stress-test-power-cycle with active display
      cec-compliance: make the subtest names unique
      cec-compliance: add -e and -l options
      cec-compliance: make test names easier to type
      qvidcap: fix typo: fnt -> fmt
      qvidcap: switch to RGB24 if format is unsupported
      v4l2-ctl: support -k (concise) when showing touch data
      v4l2-compliance: relax a 'is the DONE flag set' test
      v4l-utils: fix sync-with-kernel: it missed pixelformats
      qvidcap: make texts consistent
      cec-follower: add --ignore option
      cec-follower: support CEC 2.0 power status reporting
      cec-compliance: test CEC 2.0 power transitions
      cec-ctl: add --phys-addr-from-edid-poll
      cec-compliance: return OK_PRESUMED in the power transition test
      cec-compliance: update patch link
      cec-compliance: change a fail to a warn
      qvidcap: use --pixelformat instead of --pixel-format
      cec-ctl: show PA changes with --phys-addr-from-edid-poll
      cec-ctl: sleep 5s before retry, use cec_phys_addr_exp
      cec: remove duplicate cec_phys_addr_exp defines
      cec-ctl: improve --test-power-cycle test
      cec-ctl: fix --phys-addr-from-edid-poll support
      cec: show OSD Name with quotes around the name
      v4l2-compliance: log the size of time_t
      v4l2-compliance: use %zd with sizeof(time_t)
      v4l2-ctl/compliance: fix 32-bit g_topology casts
      v4l2-ctl/compliance: fix 32-bit compiler warnings
      v4l2-compliance: use a better invalid address
      v4l2-compliance: fix uninitialized have_sel variable
      v4l2-compliance: return ENOTTY if selection is not supported
      cec-compliance: add invalid ioctls test
      v4l2-compliance: add tests for invalid ioctls
      cec-ctl/compliance: call srandom()
      cec-compliance: '-e' alias for --expect was missing
      cec-compliance.h: add warn_on_test, clean ups
      cec-compliance: fail/warn if reported latency > 50ms
      cec-compliance: add --expect-with-no-warnings
      cec-compliance: swap -n/-N options
      v4l-utils: remove trailing spaces
      qvidcap: properly initialize m_curSize/Data
      Revert "qvidcap: properly initialize m_curSize/Data"
      qvidcap: properly initialize m_curSize/Data
      v4l2-compliance: check source and sink pad types of a link
      cec-compliance: clarify obscure error message
      cec-ctl: remove trailing space in output
      cec-ctl: add timestamps to the power-cycle tests
      cec-ctl: improve --stress-test-power-cycle option
      libcecutil: translate abort_msg to a message string
      libcecutil: drop CEC_MSG_ prefix when logging messages
      v4l2-compliance: improve USERPTR streaming tests
      v4l2-compliance: fix bug/improve testing filler
      v4l2-compliance: fix userptr buffer checks
      cec-compliance: improve system_info_give_features()
      sync with latest media_tree master
      v4l-utils: add --enable-v4l2-compliance/ctl-32 option
      v4l-utils: fix autoconf/automake errors
      test-media: add -32 option
      v4l2-compliance: fix 32 bit warnings
      v4l2-ctl/compliance-32: fix when configuring from another dir
      v4l2-compliance: fix typo: v4l2-ctl -> v4l2-compliance
      cec-ctl: add 'repeats' suboption to --stress-test-power-cycle
      cec-ctl: added polls suboption to --stress-test-power-cycle
      cec-ctl: handle ENONET errors
      Revert "cec-ctl: handle ENONET errors"
      cec-ctl: set wakeup_la correctly and handle ENONET & EINVAL in stress tests
      v4l2-compliance: fix weird formatting with -f
      cec-ctl: don't transmit IMAGE_VIEW_ON every second
      cec-ctl: introduce and use transmit_msg_retry()
      cec-compliance: check for invalid transient power states
      cec-ctl: check for incorrect state transitions
      cec-ctl: add min-sleep suboption
      cec-ctl: show timeouts vs Nacks
      cec-ctl: show | instead of e or E
      test-media: postpone the dmesg command
      cec-follower: check both CEC_CAP_PHYS_ADDR and _CONNECTOR_INFO
      cec-ctl: improve wait_for_pwr_state
      cec-ctl: add physical address sanity checks
      v4l-utils: sync with latest media_tree master
      v4l2-compliance: fix step < 0 control check
      v4l-utils: sync with latest media kernel
      v4l2-compliance: zero mbus_code
      v4l2-compliance: add tests for V4L2_CAP_IO_MC
      v4l2-ctl: zero v4l2_fmtdesc
      v4l-utils: sync with latest media kernel
      gconv: fix compiler warning

Helen Koike (1):
      v4l2-ctl: add missing subdev usage in --help-all

Jiunn Chang (12):
      cec-follower: create analog channel frequencies
      cec-follower: add tuner analog service emulation
      cec-follower: fix bugs for tuner emulation
      cec-follower: add tuner step increment/decrement
      cec-follower: fix analog tuner device info update
      cec-follower: rename freq_idx to service_idx
      cec-follower: create digital ARIB channels
      cec-follower: create digital ATSC channels
      cec-follower: create digital DVB channels
      cec-follower: add tuner digital service emulation
      cec-follower: fix tuner step increment/decrement
      cec-compliance: add tuner control test

Lars Wendler (1):
      v4l-utils: configure.ac: Avoid bashisms

Laurent Pinchart (1):
      qv4l2: Use C library file operations with v4lconvert for raw mode devices

Mauro Carvalho Chehab (3):
      cec: fix cec-log.h dependency issues
      v4l2grab: allow using direct calls instead of libv4l
      v4l2grab: add support for setting the fourcc code

Peter Seiderer (1):
      keymap.h needs sys/types.h and argp.h with musl

Philipp Zabel (1):
      v4l2-compliance: fix assert on only read/write-only controls

Ricardo Ribalda Delgado (4):
      v4l2-ctl: Support query V4L2_CTRL_TYPE_AREA controls
      v4l2-ctl: Support getting V4L2_CTRL_TYPE_AREA controls
      v4l2-ctl: Support setting V4L2_CTRL_TYPE_AREA controls
      v4l2-compliance: Allow all the selection targets for subdevs

Rosen Penev (31):
      keytable: use input_event properly
      keytable: add compatibility for input_event_sec
      treewide: remove bzero
      treewide: fix redundant expressions
      treewide: remove pointless c_str
      dvb-sat: remove pointless abs call
      utils: checks for empty instead of size in if
      treewide: add extra {} to initialization
      treewide: do not use return after else
      treewide: fix wrong identation
      utils: simplify bool returns
      treewide: fix math problems
      treewide: replace C casts with C++
      treewide: apply performance fixes
      utils: use bool literals
      utils: do not use empty void with C++
      utils: remove extra commas
      utils: fix float equal warning
      utils: add copy assignment operator
      utils: initialize variable
      utils: fix wrong format
      utils: fix compilation with C++98
      utils: add noreturn attribute and remove dead code
      utils: fix implicit float conversions
      utils: fix fallthrough warnings
      utils: fix double promotions
      utils: replace exit with std variant
      cec-compliance: add missing header for clang
      compiler.h: fix compilation with libcxx
      compiler.h: fix compilation with clang + std=c++98 + glibcxx
      utils: replace chr functions with std variants

Sean Young (17):
      ir-ctl: report timeout when it cannot be modified
      keytable: do not warn if keymap not found in IR_KEYTABLE_USER_DIR
      ir-keytable: bpf: improve rsc imon pointer decoder
      sync v4l-utils.spec with the fedora repo
      keytable: cannot load BPF decoders from udevd
      50-rc_keymap.conf prevents debian testing from booting
      lircd2toml: warn when scancode has duplicate definitions
      keytable: keymap without protocol is invalid
      rc_keymap.5: improve wording around using rc_keymaps for sending
      keytable: a bpf protocol can have parameters and no scancodes
      Fix build failure on s390x
      keytable: support 64 bit scancodes
      keytable: new samsung36 bpf decoder
      Add keymap for Samsung AK59-00125A remote
      ir-ctl: removed nested functions to support building with clang
      ir-ctl: allow unmodulated signal to be sent
      keytable: "-p all" should not attempt BPF decodes that don't exist

Vandana BN (5):
      v4l2-ctl: Print UVC meta info
      v4l2-compliance: fix metadata output support
      v4l2-compliance: Verify metadata formats
      v4l2-ctl: support for metadata output
      v4l2-ctl: Add Support for Touch


v4l-utils-1.18.0
----------------

André Almeida (1):
      v4l2-compliance: split node at testNode() in two nodes

André Roth (6):
      libdvbv5: fix double free in dvb_fe_open_fname
      libdvbv5: fix parsing EIT extended event descriptor
      libdvbv5: fix parsing section gaps
      libdvbv5: do not adjust DVB time daylight saving
      libdvbv5: enable newlines in dvb strings
      libdvbv5: fix array size in desc_logical_channel

Antonio Ospite (2):
      v4l2-ctl: list controls with menus when OptAll is specified
      v4l2-ctl: list once when both OptListCtrls and OptListCtrlsMenus are there

Bård Eirik Winther (4):
      common: utils: Add last 3 16-bit bayer formats
      qvidcap: Add 16-bit bayer rendering
      qv4l2: Add 16-bit bayer rendering
      utils: Add qvidcap to configure status report

Dafna Hirschfeld (17):
      v4l2-ctl: Move some code from do_handle_cap to a new function
      v4l2-ctl: Add support for crop and compose selection in streaming
      v4l2-ctl: Add function get_codec_type
      v4l2-ctl: Introduce capture_setup
      v4l2-ctl: Add support for source change event for m2m decoder
      v4l2-ctl: add function vidcap_get_and_update_fmt
      v4l2-ctl: rename variable 'vic_fmt' to 'info'
      v4l2-ctl: bugfix: correctly read/write V4L2_PIX_FMT_NV24 padded buffer
      v4l2-ctl: test if do_setup_out_buffers returns -1 instead of non zero
      v4l2-ctl: move stateful m2m decode code to a separate function
      v4l2-ctl: in streaming_set_m2m, close file pointers upon error
      v4l2-ctl: check that the size read/write fit the buffer size
      v4l2-ctl: set the in/out fmt variables in streaming_set_m2m
      v4l2-ctl: Add functions and variables to support fwht stateless decoder
      v4l2-ctl: Add implementation for the stateless fwht decoder.
      v4l2-ctl: declare hdr variable as const
      v4l2-ctl: fix debug prints

Daniel Gomez (2):
      libv4lconvert: add support for BAYER10
      libv4lconvert: add support for BAYER16

Ezequiel Garcia (1):
      v4l2-compliance: Remove spurious error messages

Fabrice Fontaine (2):
      Build sdlcam only if jpeg is enabled
      v4l2-compliance needs fork

Gregor Jasny (11):
      buildsystem: Start v4l-utils 1.17.0 development cycle
      qv4l: Drop support for Qt4
      v4l2-compliance: Use only C++98 language features
      qt5: Force usage of Desktop OpenGL
      Revert "qt5: Force usage of Desktop OpenGL"
      Qt5: test for Desktop OpenGL presence
      Qt5: fixup Qt OpenGL automake conditionals
      libdvbv5: Fix typo in warning message
      keytable: distribute bitmap.h
      test-media: distribute test scripts
      keytable: distribute gen_input_events.pl

Guillaume Tucker (1):
      v4l2-compliance: flush stdout before calling fork()

Hans Verkuil (239):
      qvidcap: add parent when creating QAction objects.
      cec-compliance: abort when no remote devices were found
      cec-compliance: retry poll in case of Arbitration Lost
      cec-ctl: show non-OK status in verbose monitor mode
      cec-compliance: improve fail info for CEC_EVENT_LOST_MSGS test
      cec-compliance: more improvements to fail info of CEC_EVENT_LOST_MSGS
      cec-compliance: further improvements to CEC_EVENT_LOST_MSGS fail info
      cec-info.cpp: add TCL vendor ID
      cec-compliance: check core messages when remote is in standby
      cec-compliance: improve tracing of CEC_TRANSMIT/RECEIVE
      cec-compliance: calculate and show Signal Free Time
      cec-compliance: show human readable Vendor ID
      cec-compliance: give proper fail msg for FAIL_CRITICAL
      cec-ctl: -W option should enable follower mode at the start
      configure.ac: fix qv4l2/qvidcap build
      cec-compliance: some standby tests should be a warning
      cec-compliance: fix inconsistent warn text
      cec-compliance: wake-up on Active Source is warn for <2.0
      v4l-utils: sync-with-kernel
      v4l2-compliance: replace CROPCAP fail by warn
      v4l2 common: add support for buffer capabilities
      v4l2-ctl: add new options to obtain buffer capabilities
      v4l2-compliance: check bufffer capabilities
      v4l2-ctl: improve buffer caps code
      utils/common: add support for requests
      v4l-utils: sync-with-kernel
      v4l-utils: fix SHA detection
      v4l2-compliance: relax SUPPORTS_DMABUF check
      v4l2-ctl: add space before "dropped" message
      v4l2-ctl: fix set raw/sliced vbi format
      v4l2-ctl: support VBI and META streaming
      v4l2-compliance: add --stream-from and --stream-from-hdr options
      v4l-stream.c: check FWHT macroblock alignment
      qvidcap: split up capture-win-gl.cpp into capture.cpp and paint.cpp
      qvidcap: rename CaptureGLWin to CaptureWin
      v4l2-compliance: add Request API tests
      v4l-utils: sync with latest kernel
      media-info: add bus_info arg to mi_get_media_fd()
      v4l2-compliance: select the right mediaX for vivid
      media-info: use hex to log IDs, fix radio interface check
      v4l2-info: show ts mask values in bufferflags2s
      v4l2-compliance: fixes output request handling
      v4l2-compliance: work around vivid error injection controls
      v4l2-compliance: test 'start streaming' error injection
      v4l2-compliance: add test to close the request after queueing
      v4l2-compliance: test failure during req_validate
      v4l2-compliance: add inject_error helper method
      v4l2-compliance: use inject_error and improve MEDIA_REQUEST_IOC_QUEUE tests
      cec-compliance: fix wrong test for no HPD in testRemote()
      media-info: fix more checks around radio interfaces
      v4l2-compliance: fix multiple issues when testing vivid
      v4l2-compliance: better field and prepbuf/qbuf tests
      v4l2-compliance: verify QBUF restores length and bytesused
      cec-compliance: check if SET_OSD_NAME gives valid OSD name
      cec-ctl: fix Remote Control Passthrough Feature
      v4l2-compliance: reopen if buffers might have been allocated
      v4l2-compliance: add filehandles class
      v4l-utils: sync with latest kernel code
      v4l2-compliance: test 'invalid request' error injection
      v4l2-ctl: make meta handling more generic
      cec-ctl: improve the man page
      v4l-stream.c: add support for alpha planes
      cec-compliance: really fix wrong test for no HPD in testRemote()
      v4l-utils: sync with kernel
      v4l2-compliance: fix vimc failures
      v4l2-compliance: show the driver name
      v4l2-compliance: show Grand Total
      cec-compliance: show driver and device name
      v4l2-compliance: set fastest fps
      v4l2-compliance: fix g_bytesused test in setupUserPtr/DmaBuf
      v4l2-compliance: add epoll() tests
      v4l2-compliance: verify that prepare_buf never returns FIELD_ANY
      v4l-utils: sync with kernel
      cec-compliance: add 3 sec delay after Inactive Source
      libmedia_dev: add swradio and v4l-touch support
      v4l2-ctl: add v4l-touch support to --list-devices
      v4l-utils: sync with latest media master
      v4l-utils: add test-media regression tests
      v4l2-compliance: fix broken test if the Request API is disabled
      v4l2-ctl: fix support for non-codec m2m devices
      v4l2-ctl: alloc --stream-to or --stream-to-host for m2m devices
      (c)v4l-helpers.h: add v4l_queue_buffer_update()
      v4l2-ctl: add --export-device option
      v4l2-ctl.1.in: add some example commands
      v4l2-ctl: document the new --export-device option
      v4l2-ctl: check for presence of the SOURCE_CHANGE event
      v4l2-ctl: fix codec type detection for multiplanar drivers
      v4l-stream: adapt to latest fwht codec changes
      v4l2-ctl: include media devices in --list-devices
      v4l2-ctl: --list-devices: generate bus_info if missing
      v4l2-compliance: determine the codec type
      v4l2-ctl: call s_trace after opening the device, not before
      v4l2-compliance: validate codec_mask
      v4l2-compliance: add V4L2_EVENT_SOURCE_CHANGE/EOS checks
      v4l2-compliance: check for valid media bus_info
      v4l2-ctl: add -z option to make it possible to use entity names
      v4l2-compliance: add -z option to make it possible to use entity names
      v4l2-compliance: -e didn't use make_devname
      test-media: use new bus info/entity name to identify devices
      test-media: fix regexp to include cec tests in the Final Summary
      cec-info: add cec_device_find function
      cec-ctl: add -D and -a support
      cec-compliance: add -D and -a support
      cec-follower: add -D and -a support
      test-media: use -D and -a for the cec commands
      test-media: improve the formatting of the summary
      v4l2-ctl: add --epoll-for-event option
      test-media: use bus_info for vim2m and vimc tests
      v4l2-compliance: support m2m devices with -f
      v4l2-compliance: -f bug fixes
      v4l2-compliance: remove duplicate MEDIA_IOC_DEVICE_INFO ioctl call
      media-ctl: support a bus-info string as argument to -d
      test-media: replace the last hardcoded device name
      test-media: only modprobe drivers that are being tested
      test-media: only unload media modules if -unload was given
      test-media: add -kmemleak option
      test-media: add -dmesg option
      test-media: update year of the copyright.
      test-media: reset console debug level for each test
      test-media: run memleak per driver test
      v4l2-compliance: add --no-progress option
      test-media: use the new -P (no progress) option
      test-media: replace rmmod by separate unbind and rmmod
      cec-ctl: show/parse latency in ms
      cec-ctl: fix transmitting broadcast commands
      cec-compliance: show latencies in ms and check values
      v4l-utils: sync with media master
      v4l2 utils: support V4L2_PIX_FMT_AYUV32 et al
      cec-ctl: add a new --stress-test-power-cycle option
      test-media: remove '-s' from cec-ctl commands
      test-media: add sleeps after configuring CEC
      test-media: fix DEBUG_KOBJECT_RELEASE detection, test rebind
      cec-compliance: fix audio output delay check
      v4l2-compliance: enable epoll test
      v4l2-ctl: remove unused label
      test-media: add 'date' commands
      v4l2-ctl: --list-devices can now be combined with -z
      test-media: open devices before second unbind.
      v4l2-ctl: also list media device with --list-devices
      test-media: replace v4l2-ctl --sleep by sleep
      test-media: randomize sleep values
      test-media: rmmod all vimc modules
      test-media: improve vimc configuration and add more unbind tests
      v4l2-compliance: fix check for entity names
      v4l-utils: then -> than
      jpgl.c: fix typo
      v4l2-ctl: improve selection output
      v4l2-ctl: show cap/out in print_concise_buffer()
      v4l2-info.cpp: fix bufferflags2s: could end with ', '
      v4l2-ctl: show timestamp flags as well in print_concise_buffer
      v4l2-ctl: improve logging of events and the stop en/decoder cmds.
      cec-ctl: fix --stress-test-power-cycle
      codec-fwht.patch: add empty noinline_for_stack define
      v4l-utils: sync with latest media master
      dvbv5-zap.c: fix compile warning
      v4l2-ctl: improve stream-count handling for m2m
      v4l2-ctl: fix small do_handle_cap bug
      v4l-utils: sync with latest media master
      v4l2-compliance: test for EBADR instead of EACCES
      v4l2-compliance: fix error code check
      v4l2-compliance: fix broken MEDIA_LNK_FL_IMMUTABLE test
      v4l2-ctl: fix multiplanar handling
      cec-compliance: suppress some warnings for vivid
      test-media: drop -A to cec-compliance
      Revert "cec-compliance: suppress some warnings for vivid"
      v4l2-ctl: support -BE handling for list framesize/ivals
      v4l2-ctl: print an error for invalid pixelformats
      v4l2-ctl: fix compiler warning
      cv4l-helpers.h: add g_timestamp_ns()
      v4l2-ctl: add missing cleanup to stateless_m2m()
      v4l2-ctl: bytesused was reported as 0 when logging the buffer
      v4l2-ctl: reset internal counters after a source change
      v4l2-ctl: ignore empty and error frames w.r.t. --stream-count
      v4l2-ctl: fixes relating to frame counting and draining
      v4l2-ctl: use defines instead of -1 and -2
      v4l2-compliance: for m2m devices fix frame counting
      v4l2-compliance: fill first output buffer
      v4l2-compliance: check if en/decoder commands are present
      v4l2-compliance: check presence of enum_framesizes for enc
      v4l2-compliance: check for the presence of MIN_BUFFERS_OUTPUT
      v4l2-compliance: check for EVENT_EOS for stateful encoder
      v4l2-compliance: add stateful encoder stream testing
      v4l2-compliance: fix request API test
      v4l2-ctl: fix broken stateless decoding
      v4l2-ctl: get fmt after source change
      v4l2-ctl: suppress warning messages when decoding
      v4l2-compliance: fix and comment out qbuf test
      v4l2-ctl: disable_trace disabled too much
      v4l2-compliance: re-enable fail_on_test(!buf.qbuf(node)) test
      v4l2-ctl: disable tracing in get_codec_type and do_setup_out_buffers
      qvidcap: toLatin1 -> toUtf8
      v4l2-compliance: if G_FMT returns 0, mark buftype as valid
      lib/libdvdv5: add #if __GNUC__ >= 9 before #pragma
      cec-ctl.1.in: add active source example
      cec-compliance: fix wrong event test
      v4l-utils: sync with latest kernel
      v4l-utils: sync with latest kernel
      cec-ctl: add --raw-msg option
      v4l2-compliance: the DV_RX/TX control checks are not for vbi
      cec-compliance: mask CEC_MSG_FL_RAW as well
      Makefile.am: skip V4L2_PIX_FMT_H264_SLICE_RAW
      v4l-utils: sync with latest kernel
      v4l2-compliance: use fcc2s to show the pixelformat
      v4l2-compliance: skip V4L2_CID_MPEG_VIDEO_FWHT_PARAMS
      v4l2-compliance: fix stateless check for vicodec
      v4l2-compliance: skip streaming tests for stateless codecs
      v4l2-compliance: show correct device name
      (c)v4l-helpers.h: consistently use the 'from' argument
      v4l2-compliance: check stateful encoder format handling
      v4l2-compliance: improve codec command tests
      v4l2-compliance: test two stateful encoder corner cases
      v4l2-compliance: add stateful decoder tests
      test-media: add vicodec tests
      v4l-stream.c: add missing copy_cap_to_ref() and fix state
      v4l2-compliance: fix S_SELECTION tests
      v4l-utils: Fix shifting signed 32-bit value by 31 bits problem
      v4l2-compliance: add timeout when waiting for event
      v4l2-compliance: check V4L2_BUF_FLAG_TIMECODE as well
      cec-ctl: add --test-power-cycle option
      v4l2-compliance: fix m2m field check
      cec-ctl: fix stress test, add warnings
      v4l2-ctl: let capture_setup return the updated format
      v4l2-compliance: show v4l2_window diffs
      v4l2-compliance: fix output type checks
      v4l-utils: sync-with-kernel
      test-media: check if the modules load successfully
      test-media: check if vivid created a cec device
      test-media: add "Final Summary" when missing modules
      cec-ctl/compliance: transmit Active Source before Standby
      v4l2-ctl: min/max wasn't shown for V4L2_FRMSIZE_TYPE_CONTINUOUS
      v4l2-compliance: fix USERPTR test if PREPARE_BUF is not supported
      v4l-utils: sync with latest kernel
      qvidcap/v4l2-compliance: add support for new pixelformats
      v4l2-ctl: print newline on timeout
      v4l2-ctl: fix double decrementing of stream_count
      v4l-utils: sync with media_tree master
      v4l-utils: sync to latest media_tree master
      cec-ctl: improve --test-power-cycle and --stress-test-power-cycle
      v4l2-ctl: fix compile warning

Hans de Goede (1):
      configure.ac: Add AM_GNU_GETTEXT_VERSION([0.19.8])

Ingo Feinerer (1):
      Conditional sys/sysmacros.h inclusion

Jiunn Chang (6):
      cec-compliance: system audio control tests
      cec-compliance: rename has_arc_rx, has_arc_tx
      cec-compliance: system information give features
      cec-compliance: system audio control
      cec-follower: create cec-tuner.cpp
      cec-follower: fix cec-tuner.cpp

Mauro Carvalho Chehab (15):
      dvb-sat: rename Astra 1E to Astra 19.2 E and move it to beginning
      Makefile.am: don't use relative paths for include
      dvbv5-tools: be sure to zero struct arguments
      dvbv5-zap: improve program exit code
      Update my e-mail on all places
      vim2m_test_with_gstreamer.sh: add a vim2m test script
      vim2m_test_with_qvidcap.sh: add a test script for vim2m and qvidcap
      vim2m_test_with_gstreamer.sh: use tabs instead of whitespaces
      vim2m_test_with_gstreamer.sh: Improve comments
      vim2m_test_with_gstreamer.sh: better validate arguments
      vim2m_test_with_qvidcap: fix formats selection
      vim2m_test_with_qvidcap: fix output format
      Revert "libdvbv5: leaks and double free in dvb_fe_open_fname()"
      libdvbv5: shut up gcc 9 "-Waddress-of-packed-member" noise
      libdvbv5: Don't assume that NIT table was parsed

Peter Korsgaard (1):
      libv4l: fixup lfs mismatch in preload libraries

Peter Seiderer (1):
      Add missing linux/bpf_common.h

Philipp Zabel (7):
      v4l2-compliance: limit acceptable width/height to 65536 in VIDIOC_SUBDEV_G/S_FMT test
      v4l2-compliance: test orphaned buffer support
      v4l2-compliance: use warn() in warn_once()
      v4l2-compliance: add colors
      cec-compliance: use warn() in warn_once()
      cec-compliance: add colors
      v4l-helpers.h: count mappings separately from buffers

Ricardo Ribalda (1):
      libv4l: Add support for BAYER10P format conversion

Ricardo Ribalda Delgado (3):
      libv4lconvert: Fix support for compressed bayer formats
      libv4lconvert: Port supported_src_formats to bit-ops
      libv4lconvert: Add support for V4L2_PIX_FMT_NV12

Robert Paciorek (1):
      basic support for videoX and audioX devices

Rosen Penev (1):
      treewide: Fix compilation with uClibc++

Sakari Ailus (4):
      Update static build instructions
      v4l2-ctl: Print metadata capture formats on --all
      Fix static build instructions
      v4l2-ctl: Add support for META_OUTPUT buffer type

Sean Young (53):
      configure: build without BPF support in ir-keytable
      keytable: fix compilation warning
      keytable: fix BPF protocol compilation on mips
      keytable: match every entry in rc_maps.cfg, don't stop at the first match
      keytable: bpf decoder and keymap for XBox DVD Remote
      sync with kernel
      keytable: do not install bpf protocols decoders with execute permission
      keytable: add support for iMON RSC remote pointer
      ir-ctl: Rename no-wideband to narrowband
      ir-ctl: imon protocol can be encoded too
      ir-ctl: Print receiver timeout
      ir-ctl/keytable: add see also to reference to man pages
      ir-ctl/keytable: rc-mm protocol support
      ir-ctl: various typos
      keytable: Add man page describing rc_keymap toml file
      lircd2toml: toggle_bit is offset from bits including pre-data
      lircd2toml: honour pre_data for rc-mm remote definitions
      lircd2toml: detect NEC if bit 0 and 1 are inverted
      lircd2toml: convert lircd.conf rc6 remote definitions
      libdvbv5: leaks and double free in dvb_fe_open_fname()
      keytable: minor rewording from TABLE to KEYMAP
      keytable: remove misleading --device argument
      keytable: no need to explain -s option separately
      keytable: improve description of ir-keytable
      keytable: load bpf protocol for unsupported protocols
      keytable: add xbox-dvd protocol to match kernel
      ir-ctl: increase limit to match kernel
      gen_keytables.pl: strip comments from C files
      gen_keytables.pl: remove duplicate scancodes from keymap
      ir-ctl: show user how scancodes should be presented
      keytable: check keymaps
      keytable: generate missing keys like KEY_ZOOM
      keytable: add support for keymap with raw literals
      lircd2toml: do not fail on unexpected input
      keytable: fix building without HAVE_BPF
      keytable: fix build on ubuntu
      v4l-utils: sync with media_tree master
      keytable: move keymap parsing into its own file
      ir-ctl: send keys based on keymap
      rc_keymap: change raw format to much more common raw string
      toml: update to tomlc99 commit f12c8f00b457defaae1495773d76dfb9ff1bf4c8
      ir-ctl: support raw format by default
      ir-ctl: fix build on 32-bit
      ir-ctl: warn if keycode has multiple definitions
      keytable fix warning when building without BPF enabled
      lircd2toml: strip trailing space from input
      keytable: ensure we have enough memlock pages
      ir-ctl: fix memory leaks
      ir-ctl: support sending protocols decoded by BPF decoders
      keytable: improve error message if bpf loading fails
      keytable: kernel v5.2 does not like - in BPF name
      ir-ctl: print error message if file cannot be opened
      ir-ctl: fix memory leaks and incorrect messages

Tasos Sahanidis (3):
      qv4l2: Fix UTF8 error message strings
      qv4l2: Fix GL Capture not redrawing after close
      qv4l2: Prevent high CPU usage on device disconnect

Yong Zhi (2):
      libv4l2subdev: Add MEDIA_BUS_FMT_FIXED to mbus_formats[]
      v4l2-compliance: Add support for metadata output


v4l-utils-1.16.0
----------------

Alexandre Courbot (1):
      v4l2-compliance/v4l2-test-formats: fix typo

Gregor Jasny (5):
      buildsystem: Start v4l-utils 1.15.0 development cycle
      libdvbv5: re-add dvb_dev_seek_by_sysname symbol for SONAME compatibility
      cec-compliance: Fix typo
      ir-keytable: fix spelling-error-in-manpage
      qvidcap: Depend on qtgl, not just qt
      buildsystem: Add all required files to dist target

Hans Verkuil (247):
      cec-ctl: print number of lost messages
      cec-ctl: fix bit period calculations in the logging
      cec-ctl: improve handling of incorrect bit periods & EOM
      cec-ctl: improve low drive detection, use 'warn:'
      cec-ctl: add options to show logical addresses
      v4l2-ctl/compliance: fix QUERYCTRL compat code for strings
      v4l2-compliance: fix vivid test failure
      v4l2-ctl: add support for several VIDIOC_SUBDEV_ ioctls
      v4l2-ctl: add support for SUBDEV_S_FMT/SELECTION
      v4l2-ctl: added --try-subdev-fmt/selection
      v4l2-ctl: add support for SUBDEV_G/S_FRAME_INTERVAL
      v4l2-ctl: mention that --set-subdev-fps is for testing only
      v4l2-ctl: add the missing --help-subdev to the usage
      v4l2-ctl: show media/entity info if available
      v4l2-compliance: remove confusing "not using libv4l2" message
      rds-ctl: drop pointless wrapper library support
      (c)v4l-helpers: add v4l-subdev support
      v4l2-compliance: add initial support for v4l-subdevX devices
      v4l2-ctl: add --help-subdev to manual page
      v4l2-compliance: add --touch-device and --subdev-device to the manpage
      v4l2-compliance: test VIDIOC_SUBDEV_ENUM_MBUS_CODE
      (c)v4l-helpers: add media support.
      v4l2-compliance: add initial support for testing the MC
      v4l2-compliance: store entity/pad/link data in node
      v4l2-compliance: do the subdev tests for all pads
      v4l2-compliance: added tests for SUBDEV_ENUM_FRAME_SIZE/INTERVAL
      v4l2-compliance: more VIDIOC_SUBDEV_ENUM_ tests
      v4l2-compliance: add subdev tests for G/S_EDID and DV_TIMINGS_CAP
      v4l2-compliance: add VIDIOC_SUBDEV_G/S_FRAME_INTERVAL tests
      v4l2-compliance: add VIDIOC_SUBDEV_G/S_FMT tests
      v4l2-compliance: add tests for VIDIOC_SUBDEV_G/S_SELECTION
      v4l2-compliance: add VIDIOC_SUBDEV_G/S_CROP tests
      v4l2-compliance: add subdev G/S/ENUM/QUERY_DV_TIMINGS tests
      v4l2-compliance: add tests for MEDIA_IOC_ENUM_ENTITIES
      v4l2-compliance: add tests for MEDIA_IOC_ENUM_LINKS
      v4l2-compliance: improve MEDIA_IOC_ENUM_LINKS tests
      v4l2-compliance: initial MEDIA_IOC_G_TOPOLOGY test
      v4l2-compliance: more reserved checks
      v4l2-compliance: add MEDIA_IOC_SETUP_LINK test
      v4l2-compliance: improve MEDIA_IOC_SETUP_LINK test
      v4l2-compliance: verify the topology
      v4l2-compliance: verify the topology for pads and links
      cec-ctl: add new --wait-for-msgs option
      v4l2-ctl/v4l2-compliance: reuse media info code
      v4l2-ctl/v4l2-compliance: reuse v4l2 info code
      v4l2-info: move flag/type descriptions here
      v4l2-ctl/v4l2-compliance: delete softlinks
      cec: renamed cec-common to cec-info
      v4l2-compliance: refactor device handling
      v4l2-info: move mi_is_subdevice() to v4l2-info.cpp
      v4l2-compliance: move the main test code into a separate function
      v4l2-compliance/v4l2-ctl: more device detection improvements
      v4l2-compliance: add -M option to test all /dev/mediaX interfaces
      v4l2-compliance: improve G/S_EDID test
      v4l2-compliance: improve pad flags tests
      v4l2-compliance: add type/function/intf_type checks
      v4l2-ctl: improve the fps calculation when streaming
      v4l2-compliance: fix subdev EDID check
      media-info: use .c_str for ifstream constructor
      v4l2-compliance: improve VIDIOC_SUBDEV_S_FMT test
      v4l2-compliance: the v2_entities_set test requires G_TOPOLOGY
      v4l2-compliance: improve media_version test
      v4l2-compliance: test media information
      v4l-utils: add SPDX license tags
      v4l2-compliance: more stringent type/function tests
      v4l2-compliance: if -v then show MC object info
      v4l2-compliance: improve media info test
      v4l2-compliance: clearly separate the -M device tests
      v4l2-compliance: show object counts after MEDIA_IOC_G_TOPOLOGY
      v4l2-compliance: don't rely on node->topology
      v4l2-compliance: show entity functions and interface types
      v4l2-compliance: switch id and name order for entities
      v4l2-compliance: -m walks all ifaces, -M only the media device
      v4l2-compliance: show entity type when verbose
      v4l2-compliance: improve checkFunction
      v4l2-compliance: add extra initial \n for error messages
      v4l2-compliance: improve checkFunction
      v4l2-compliance: check that G_DV_TIMINGS matches S_DV_TIMINGS
      v4l2-compliance: test if changing timings changes formats
      v4l2-compliance: also test for width/height > 1.5 * timings
      media-info: don't add 'FAIL'/'WARNING' if is_invalid == NULL
      v4l2-compliance: test struct media_links_enum reserved field
      cec-ctl: improve the low drive max length check
      v4l2-ctl/compliance: update Android.mk
      v4l2-ctl: improve logging for --stream-mmap --verbose
      v4l2-compliance: ignore colorspace tests for passthu subdevs
      v4l-utils: sync-with-kernel
      v4l2-compliance: improve frameinterval tests, fix sel tests
      v4l2-compliance: relax g/s_parm type check
      v4l-utils: sync-with-kernel
      media-info: add MEDIA_ENT_F_DTV_DECODER support
      v4l2-compliance: VIDIOC_S_EDID and invalid pointers
      v4l-utils: sync-with-kernel
      cec-ctl: honor -w option for pin timestamps
      cec-ctl: ACK vs NACK was inverted for broadcast msgs
      cec-follower: add -w option
      cec: improve usage messages
      v4l2-ctl/compliance: improve usage messages
      rds-ctl: improve usage messages
      v4l2-dbg: improve usage messages
      v4l2-ctl/compliance: improve parsing of optional arguments
      cec-follower/compliance: improve parsing of optional arguments
      cec-ctl: show in the usage message if an op is bcast
      cec-compliance: don't poll, just send Image View On
      cec-ctl: monitor_pin: parse message payload
      cec-ctl: s/warn/info/ for 'start bit: low time too short'
      cec-ctl: improve handling of dropped events
      cec-ctl: improve analysis while waiting for start bit
      cec-compliance: remove outdated comment
      cec-ctl: add warning against using --monitor-pin when configured
      v4l-utils: sync-with-kernel
      cec-info: LA 9 is a recording device, not a playback device
      libv4lconvert: fix compiler warning
      cec-ctl: skip warning if -s option was used.
      v4l2-compliance: show SHA first, minor fix in 'Unknown argument'
      v4l2-ctl: fix event argument handling
      cec-compliance: improve standby_resume_active_source_nowake
      v4l-utils: sync with media master branch
      cec-ctl: better --custom-command usage message
      v4l2-compliance: test stream locking
      v4l2-compliance: improve s_parm test
      cec-compliance: add --skip-info option
      qv4l2: fix segfault
      v4l2-compliance: check reserved array for g/s_parm
      v4l2-compliance: add --exit-on-fail/warn options
      cec-compliance: add --exit-on-fail/warn options
      v4l2-compliance: fix logic bug in testParm
      cec-ctl: the osd name of the adapter was never shown
      cec: move vendor2s to cec-info.cpp
      cec-ctl: don't show topology if there are no LAs
      cec-compliance: document -s option in manpage
      cec-compliance: improve tx_status checks
      cec-compliance: add tests for Wake up TV on Image/Text View On
      v4l2-compliance: allow entities without pads
      cec-info: add NEC vendor ID
      cec-ctl: show printable characters when logging the msg payload
      v4l2-compliance: make media topology easier to read
      v4l2-compliance: add missing ( in string
      media-info: add new helper functions
      v4l2-compliance: show device paths
      v4l2-compliance: enable 'reserved' checks for media
      v4l2-ctl: add --stream-to/from-hdr options
      cec-compliance: add warning if a standby was ignored
      v4l2-compliance: remove wrong test
      (c)v4l-helpers: add s_fd() functions, improve g/s_trace
      v4l2-ctl: use cv4l-helpers.h to open/close the devices
      v4l2-ctl: add short-cut options -X and -x for --get/set-fmt-video-out
      v4l2-ctl: use cv4l-helpers for list-buffers
      cv4l-helpers: add querybuf without index arg
      v4l2-ctl.h: add cv4l_disable_trace
      (c)v4l-helpers: fix v4l_queue_export_bufs()
      v4l2-ctl-streaming.cpp: use cv4l-helpers.h
      v4l2-ctl: do_setup_out_buffers() didn't set bytesused
      cec-compliance: send ACTIVE_SOURCE after IMAGE/TEXT_VIEW_ON
      v4l2-ctl: fix streaming of m2m codec device
      v4l2-ctl: fix wrong G_FMT type
      v4l2-ctl: add sanity check for --stream-from-hdr
      cec utils: -w implies -v
      v4l2-ctl: fix stupid bug in control enumeration
      v4l-helpers.h: fix direct initialization for subdev/media
      cv4l-helpers: add assignment operator
      v4l-helpers: set fd to -1 after close.
      v4l2-compliance: use correct buf type for export_bufs
      cec-ctl: improve print_bytes()
      v4l2-ctl: if V4L2_CTRL_FLAG_UPDATE is set, use G/S_EXT_CTRLS
      v4l2-compliance: check that entity names are unique
      v4l-helpers.h: set fd to -1 in v4l_wrap_close()
      v4l2-compliance: improve the output of unknown legacy types
      v4l2-compliance: show data link flags
      media-info: various improvements
      v4l2-ctl: show pixelformat name
      v4l2-ctl: make format enumeration output more compact
      v4l2-ctl: fix printfmtname()
      v4l2-ctl: log EOS event
      v4l2-compliance: fix subdev selection test
      v4l-helpers.h: remove stray line in v4l_subdev_s_fd()
      v4l2-ctl: check the fopen() result.
      cec-compliance: if MAX_RETRIES and OK were set, clear OK
      cec-compliance: if MAX_RETRIES and OK were set, mark as RX timeout
      cec-compliance: OK & MAX_RETRIES: report that workaround was applied
      v4l-utils: sync with media_tree master branch
      v4l2-tpg.patch: add array_size and array3_size defines
      cec-ctl: add 5V event support
      media-info.cpp: support new functions
      media-info.cpp: show new pad index and entity flags fields
      v4l2-compliance: show new flags and index fields
      v4l2-compliance: add pad index checks
      v4l2-ctl: use poll for m2m devices, fix final buffer
      rds-saa6588: fix broken tests
      libdvbv5/v4l2-compliance: fix select() gcc-8.1 warnings
      v4l-helpers.h: fix gcc-8.1 strncpy warning
      cv4l-helpers.h: fix gcc-8.1 warning
      sliced-vbi-test: fix gcc-8.1 warning
      stress-buffer/libmedia_dev/rds-ctl: fix gcc-8.1 warnings
      cv4l-helpers.h: enum_fmt: set type at init
      v4l2-ctl: add --list-formats-out-ext
      v4l-utils: sync with media_tree master repo
      cec-compliance: measure pings per second
      v4l2-ctl: add HSV encoding support
      Makefile.am: copy cec headers from usr/include
      v4l-utils: sync-with-kernel
      v4l2-info.cpp: add function to give pixfmt description
      (c)v4l-helpers: add g_hsv_enc() support
      cec-compliance: adapter test fixes
      qvidcap: add Qt video viewer
      qvidcap: improve 'Unsupported format' messages
      qvidcap: support -P for video devices
      qvidcap: show keys you can use in the menu item descriptions
      qvidcap: fix 32-bit compiler warning
      v4l-utils: sync with latest media-git master.
      qvidcap: always allow overriding field
      configure.ac: revert weird spurious change
      contrib/gconv/Makefile.am: remove space after -R
      contrib/Makefile.am: gconv was added twice
      v4l-utils: sync with media master
      v4l2-ctl/qvidcap: add initial fwht support
      v4l2-ctl: support the new fwht codec
      qvidcap: support the new FWHT codec.
      v4l2-compliance: improve VIDIOC_CREATE_BUFS checks
      v4l2-compliance: allow EILSEQ as well as error
      v4l2-compliance: add test for V4L2_CTRL_WHICH_DEF_VAL
      v4l2-ctl: fix meta type issues
      v4l2-compliance: allow both regular and mplane variants for crop API
      v4l2-ctl: cut out more code if NO_STREAM_TO is defined
      v4l2-compliance: improve S_PARM test
      cec-compliance: fix set_osd_string test
      cec-compliance: improve adapter test
      v4l-utils: sync with media master
      v4l2-ctl/media-ctl: support V4L2_DV_FL_CAN_DETECT_REDUCED_FPS
      cec/media/v4l2-info+v4l-stream: GPL-2.0 -> LGPL-2.1
      qvidcap: allocate worst case memory if canOverrideResolution is set
      cec-compliance: split up combines tests
      v4l-utils: sync with media master repository
      v4l-utils: replace all AdobeRGB/YCC references by opRGB/YCC references.
      cec-compliance: improve CEC_EVENT_LOST_MSGS test
      cec-compliance: improve fail message
      v4l2-compliance: drop COLORSPACE_JPEG test
      cec-compliance: fix bad check for transmitted vs pending msgs
      cec-ctl: don't let -w enable verbose when combined with pin monitoring/analysis
      cec-ctl: turn -n into a toggle
      cec-ctl: allow changing destination for each message
      cec-ctl: add --non-blocking option
      cec-ctl: fix destination for non-standard messages
      cec: move status2s functions to cec-info.cpp
      v4l-utils: sync-with-kernel
      cec-info.cpp: support new tx/rx_status flags.
      cec-compliance: check for new status flags

Mauro Carvalho Chehab (50):
      dvbv5-zap: reset timeout at copy_to_file()
      dvbv5-zap: add missing "first" var
      v4l2-ctl-streaming: fix type of a time_t value
      dvbv5-zap: better report buffer underrun errors
      dvbv5-zap: increase buffer size to avoid buffer overruns
      cec: fix warnings when building on arm 32 bits
      dvbv5-daemon: ignore invalid warning
      mc_nextgen_test: get rid of casting warnings
      dvbv5-zap: add a logic to detect continuity errors on monitor mode
      dvbv5-zap: allow adjusting the low-traffic parameter
      dvbv5-zap: fix discontinuity detection logic
      dvbv5-zap: don't start showing inexistent continuity errors
      dvbv5-zap: allow writing a file while monitoring the DVB stream
      dvbv5-zap: update comments about adaptation_field_control
      dvbv5-zap: prevent going past per-pid arrays
      dvbv5-zap: fix the continuity check logic
      dvbv5-zap: write PID numbers in decimal
      dvbv5-scan: print frontend stats on stdout on traffic monitor
      dvbv5-zap: print per-pid continuity errors
      dvbv5-zap: print stats for low-traffic PIDs as well on monitor mode
      dvbv5-zap: round sizes to their closest value at dvb monitor mode
      dvbv5-zap: change the initial discontinuity logic
      dvbv5-zap: print timestamps on error logs
      dvbv5-zap: some cleanups
      dvbv5-zap: use clock monotonic on DVB monitoring
      dvbv5-zap: fix handling of tv_nsec when printing messages
      dvbv5-zap: reduce number of syscalls on monitor mode
      dvbv5-zap: improve buffer sizes
      dvbv5-zap: better display traffic thoughput
      update make sync-with-kernel target
      sync it with Kernel headers, as will be found on 4.16-rc1
      Makefile.am: also update dvb-frontend.h
      v4l2-tpg.patch: Fix other issues when applying upstream v4l2-tpg.h
      sync v4l2-tpg with upstream
      v4l2-compliance: identify if compiled with 32 or 64 bits
      dvb-fe: display frontend frequency range of current delsys
      dvb-fe: print frequencies using metric multiplying symbol
      dvb-fe: print symbol rate range for Satellite and Cable
      dvb-fe: be clearer when diplaying ENOTSUP
      arib-std-b24: remove duplicated #define
      configure.ac: check gconv on Debian/Ubuntu-specific directories
      configure.ac: disable gconv if it can't find its location
      configure.ac: improve check for gconv build
      v4l2-test-input-output: improve warning message
      Refresh translation files
      Add Ukranian translation made by Zanata people
      Add Catalan translation made by Zanata people
      Add a French translation made by Zanata people
      Cherry-pick an update to Brazilian Portuguese translation
      Revert "Cherry-pick an update to Brazilian Portuguese translation"

Peter Seiderer (2):
      keytable: fix EVIOCSCLOCKID related compile failure
      libdvbv5: fix musl compile

Philipp Zabel (1):
      media-ctl: add --get-dv option

Sakari Ailus (3):
      cec-ctl: Prepare for __inline__ instead of inline
      Add instructions for building static binaries
      libdvb5: Fix unused local variable warnings

Sean Young (18):
      keytable: abi no longer set LIRC_CAN_REC_SCANCODE for raw devices
      ir-ctl: abi no longer set LIRC_CAN_SEND_SCANCODE for raw devices
      keytable: add support for imon protocol
      keytable: add support for BPF based protocols
      keytable: add bpf protocols
      keytable: add toml keymap reader
      keytable: convert keymaps to new toml format
      ir-keytable: add tool to aid migration from lircd
      keytable: improve man page wording
      ir-ctl: make nec32 scancode encoding match kernel
      Remove unnecessary if
      ir-ctl: different drivers have different default timeouts
      Rewrite to avoid void pointer arithmetic warnings
      keytable: fix build without libelf
      keytable: keymap for Network Dish
      keytable: keymap for Windows Remote Keyboard for MCE
      gen_keytables.pl: fix NEC32 generation
      v4l-utils: sync-with-kernel


v4l-utils-1.14.0
----------------

Chris Leick (1):
      Add German translation by Chris Leick

Clemens Ladisch (1):
      libdvbv5: T2 delivery descriptor: fix wrong size of bandwidth field

Gregor Jasny (9):
      buildsystem: Start v4l-utils 1.13.0 development cycle
      buildsystem: Add all files to dist target
      qv4l2: Fix typo detected by lintian
      libdvbv5: Link against libudev
      Apply FreeBSD header search paths also to kFreeBSD
      Fix some more typos
      Fix typos detected by Chris Leick
      i18n: Update translations
      i18n: Use correct plural localization
      ir-keytable: Distribute ir-encode.h file

Hans Verkuil (114):
      cec-ctl/cec-follower: call fflush after processing a message
      cec-ctl: add support to skip tests
      v4l2-ctl: query input timings before streaming
      v4l2/cec-compliance, cec-follower: use git rev-parse HEAD
      v4l2-ctl: don't use doioctl to query timings, use test_ioctl
      media-ctl/v4l2-ctl: show the new pixelaspect and VIC fields/flags
      v4l2-ctl: show what the default colorspace values map to
      cec-ctl: map invalid log_addr to 0xf
      cec-ctl: add --show-raw option
      cec-compliance: add test broadcast unknown message
      cec-follower: fix incorrect initiator for two messages
      cec-ctl: add --poll option to send a poll message
      cec-ctl: drop the phys_addr check
      cec-compliance: fix broken --test-standby-resume
      cec-compliance: add --timeout option
      cec-compliance: fix Request Active Source test
      v4l-utils: sync with 4.10 kernel headers
      cec: fix wrong initiator of poll messages
      cec-follower: don't Feature Abort msgs from Unregistered
      v4l2-ctl: handle V4L2_EVENT_SOURCE_CHANGED
      v4l2-ctl: update Android.mk
      v4l2-ctl: drop $(LOCAL_PATH)/../common prefix
      cec-ctl: add support for wall-clock timestamps
      cec-ctl: add missing -lrt ld flag
      v4l2-ctl: waiting for a valid timings only depends on no-query option
      v4l2-compliance: return better fail message in testExpBuf()
      v4l-utils: sync with kernel
      qv4l2: update comment regarding XV601/709 quantization handling
      v4l2-ctl: add --disable-v4l2-ctl-stream-to configure option
      v4l-utils: sync-with-kernel
      v4l-utils: sync-with-kernel
      v4l2-compliance/v4l2-ctl: support V4L2_CTRL_FLAG_MODIFY_LAYOUT and metadata
      v4l2-compliance: fix control tests for compound controls
      cec-follower: make sure we never poll ourselves
      cec-ctl: fix logging: status should come last
      cec-compliance: add -w option, improve logging
      cec-ctl: add -s option to skip the Driver Info output
      v4l2-compliance: improve EDID ioctl tests
      configure.ac: clarify configure summary
      configure.ac: add USE_LIBV4L to summary
      cec-ctl: always show the CEC status results with --verbose
      cec-compliance: show status if retransmits were detected
      v4l-utils: sync with latest kernel
      cec-*: add support for CEC_CAP_NEEDS_HPD
      cec-ctl: add --monitor-time option
      cec-ctl: warn is -p is given but CEC_CAP_PHYS_ADDR isn't set
      cec-ctl.1.in: update the manual page
      cec-compliance.1.in: update the manual page
      cec-compliance: improve --verbose
      cec-compliance: don't set app_result to -1 if the ioctl fails
      v4l-utils: sync with latest kernel
      cec utils: support CEC_CAP_MONITOR_PIN and CEC_EVENT_FL_DROPPED_EVENTS
      cec-ctl: add support for CEC pin monitoring
      cec-ctl.1.in: document the new --monitor-pin option
      cec-ctl: fix Makefile.am typo
      v4l2-ctl: don't return an error with --all
      cec-ctl: change structure init to cope with g++ 4.6
      qv4l2: fix SMPTE-2084 processing
      qv4l2: support vimc
      cec-ctl: refactor: split the monitor code off into its own function
      cec-ctl: get the monotonic start time and wallclock time only once
      cec-ctl: add --record-pin and --playback-pin options
      cec-ctl: rename --record-pin and --playback-pin
      cec-ctl: make pin recording easier to read
      cec-ctl: improve pin timestamps
      cec-ctl: fix pin analysis bug
      cec-ctl.1.in: clarify --no-rc-passthrough
      utils/cec-ctl/.gitignore: add cec-pin-gen.h
      keytable.c: add support for the CEC protocol
      cec-follower: use ev.state_change.log_addr_mask
      cec-compliance: try to reconnect if the HPD is gone
      cec-compliance: send IMAGE_VIEW_ON when no HPD
      cec-compliance: move top-level adapter tests to cec-test-adapter.cpp
      cec-common: move common cec code to cec-common.cpp
      cec-ctl: use cec-common
      cec-follower: use cec-common
      cec-compliance: use cec-common
      cec-compliance: fix uninitialized format ID array
      cec-ctl: add --list-devices
      cec-common.cpp: add missing stdio.h
      v4l-utils: sync-with-kernel
      v4l2-ctl: qc.nr_of_dims is 0 for strings, check this
      cec-ctl: allow stdout/in for --store/analyze-pin
      v4l-utils: sync with kernel
      v4l-utils: sync-with-kernel
      cec-ctl: fix crash when store_pin is NULL
      cec: add support for the Hospitality Profile
      cec-ctl.1.in: add --help-htng option description
      cec-ctl: fix topology tree view
      v4l2-ctl: support new EDID toggles
      v4l2-ctl: rename CEA/cea to CTA/cta
      qv4l2: add Z16 depth support.
      v4l-utils: improve README
      v4l-utils: sync-with-kernel
      libdvbv5: fix compiler warning
      utils/dvb: fix compiler warnings
      qv4l2: support Y10 and Y12
      qv4l2: add support for V4L2_PIX_FMT_INZI
      v4l-utils: fix two compiler warnings
      cec-compliance: various improvements for no-HPD-in-standby
      v4l-utils: sync-with-kernel
      cec-ctl/cec-follower: support new HPD pin events
      cec-ctl: store HPD events in pin log
      v4l2-compliance: allow control ioctls without any controls
      cec-compliance: use correct initiator in Image View On
      cec/rds/v4l2-ctl: fix --list-devices option
      cec-ctl: improve cec pin analyzer code
      cec-ctl: add --ignore option
      cec-ctl: improve pin analyzer code
      cec: show human readable name of a logical address in driver info
      qv4l2: fix crash when two QAction pointers are uninitialized
      cec-utils: show hex value of vendor message
      cec-ctl: improve cec pin analyzer
      cec-ctl: fix bad end-of-bit handling

Hans de Goede (1):
      libv4lconvert: We support more then 32 bit src fmts now, so use 64 bit bitmasks

Harald Dankworth (1):
      v4l-utils: do not query capabilities of sub-devices.

Hugues Fruchet (6):
      v4l2/cec-compliance, cec-follower: use git -C $(srcdir) rev-parse HEAD
      configure.ac: fix wrong summary if --disable-v4l2-ctl-stream-to
      configure.ac: revisit v4l2-ctl/compliance using libv4l variable naming
      configure.ac: revisit --disable-libv4l to --disable-dyn-libv4l
      configure.ac: add --disable-libv4l option
      configure.ac: fix build of v4l-utils on uclinux

Ingo Feinerer (1):
      Conditional sys/sysmacros.h inclusion

Ismo Puustinen (1):
      buildsystem: do not assume building in source tree.

Kieran Kunhya (1):
      libdvbv5: Add libudev to pkg-config file

Maksym Veremeyenko (1):
      dvbv5-zap: improve sat_number handling

Mauro Carvalho Chehab (53):
      dvb-sat: fix rangeswitch logic
      dvb-sat: add verbose options for LNBf settings
      dvb-sat: add support for Invacom QPH-031 LNBf
      pt_BR: update translation file to reflect latest changes
      dvb-sat: fix translation issues at LNBf settings
      libdvbv5: add support for more PMT descriptors
      dvb-dev: get rid of config.h from the header file
      dvb-dev: allow passing an optional void pointer parameter to dvb_dev_find()
      dvb-utils: add missing parameter
      dvb-dev: rename the function that gets the sysname of a device
      dvb-dev: add a method to get device info from sysname
      libv4lconvert: make it clear about the criteria for needs_conversion
      libv4lconvert: expose bayer formats
      keytable: fix print of event code number
      gen_keytables.pl: fix RC-5-SZ name
      gen_keytables.pl: don't warn about missing name on legacy RC
      Add a logic to detect when a file doesn't have any tables
      Update the list of drivers that still has a RC map inside
      gen_dvb_structs.pl: fix two warnings
      desc_t2_delivery: consider valid to have a short T2 descriptor
      desc_t2_delivery: properly handle cell and subcell tables
      desc_t2_delivery: improve print dumps of T2 delivery
      desc_t2_delivery: resize frequency array for subcel freqs
      desc_t2_delivery: store cell/subcell IDs and tables
      desc_t2_delivery: display frequencies in MHz
      desc_t2_delivery: display bandwidth also in MHz
      desc_t2_delivery: improve printed output
      descriptors: add service_list_descriptor to descriptor's table
      Update pt_BR translation
      pt_BR: fix plural translation
      dvb-scan: fix the logic for multi-section handling
      dvb-dev-local: fix pthread checks
      libdvbv5: be sure to add pthread libary if need
      contrib: move parsers to a separate directory
      dvb: add pthread dependencies where needed
      README: update IR utils
      Move decode_tm6000 and xc3028-firmware to contrib
      contrib: better adjust directory contents
      utils: move rds out of it, placing at contrib
      decode_tm6000: fix build
      Makefile: re-add xc3028-firmware sync_with_kernel target
      dvb-sat: fix bugs at Satellite frequency retrieve logic
      dvb-file: don't write (unsigned)-1 for DTV_PILOT
      dvb-sat: Use the right values for LNB setting
      dvb-sat: better handle out-of-range Satellite frequencies
      dvb-sat: fix settings to support DiSEqC with more than 2 satellites
      dvb: better cope with dvbloopback
      dvbv5-scan: add Network and TS ID for VDR channel output
      libdvbv5: accept DVBv5 calls from dvbloopback again
      dvb-sat: warn if DiSEqC is not enabled when it should be
      dvbv5-zap: don't ignore -S parameter
      dvb-sat: do the best to tune if DiSEqC is disabled
      libdvbv5: be sure that interruped reads will be handled

Niklas Söderlund (1):
      v4l2-compliance: fix warning in buffer::check

Pavel Machek (4):
      libv4l2: Fix integer overflow
      libv4l2: Fix typos
      libv4l: Add support for GRBG10 format conversion
      libv4l2: SDL test application

Peter Seiderer (3):
      qv4l2: fix qv4l2.pro qmake project file
      ir-ctl: use strndup instead of strndupa (fixes musl compile)
      ir-ctl: add optional copy of TEMP_FAILURE_RETRY macro (fix musl compile)

Philipp Zabel (4):
      media-ctl: add pad support to set/get_frame_interval
      media-ctl: print the configured frame interval
      media-ctl: propagate frame interval
      media-ctl: add colorimetry support

Rafaël Carré (8):
      dvb_local_open(): strdup fname before calling dvb_fe_open_fname()
      dvbv5-daemon: 0 is a valid fd
      dvb_dev_get_fd(): return fd of local devices
      dvb_logfunc: add a user private parameter
      dvb_local_read: ignore EAGAIN
      sdlcam: fix linking
      sdlcam: ignore binary
      Statically linking libdvbv5 must include -ludev

Reinhard Speyerer (1):
      libdvbv5: fix T2 delivery descriptor parsing in dvb_desc_t2_delivery_init()

Sean Young (27):
      ir-keytable: be more permissive on protocol name
      ir-keytable: do not fail at the first transmit-only device
      ir-ctl: "ir-ctl -S rc6_mce:0x800f0410" does not work on 32-bit
      ir-ctl: lirc resolution is in microseconds
      ir-ctl: report LIRCCODE drivers even if we don't supported them
      ir-keytable: null deref if kernel compiled without CONFIG_INPUT_EVDEV
      ir-keytable: ensure udev rule fires on rc input device
      ir-keytable: "ir-keytable -s rc1" should only describe rc1, not all
      keytable: use DEV_NAME if available
      keytable: if the protocols cannot be changed, don't try
      Update the list of drivers that still has a RC map inside and sync-with-kernel
      sync with kernel git media_tree/master.
      keytable: fail more gracefully when commandline cannot be parsed
      keytable: allow a period or delay of 0 to be set
      ir-ctl: fix multiple scancodes in one file
      ir-ctl: set the gap between scancodes or files
      ir-ctl: rename record to receive
      ir-ctl: always enable timeout reports
      sync-with-kernel and fixup RC_PROTO_*
      ir-keytable: show lirc device and make test show lirc scancodes
      ir-keytable: improve error reporting
      ir-ctl: show scancode lirc features
      ir-ctl: use lirc scancode sending
      keytable: add missing protocols
      ir-ctl: improve man page
      keytable: add missing protocol names
      ir-ctl: rename remaining instances of "record" to "receive"

Soren Brinkmann (1):
      v4l2-ctl: Print numerical control ID

Thomas Petazzoni (2):
      Build libv4lconvert helper support only when fork() is available
      configure.ac: drop --disable-libv4l, disable plugin support instead

bill murphy (1):
      dvb-sat: add support for North American Standard Ku LNB


v4l-utils-1.12.0
----------------

Andrey Utkin (1):
      v4l2-ctl: Fix unneeded dot in "no hsync lock"

Chris Mayo (2):
      man: Fix typos in dvbv5-scan dvbv5-zap pages
      libdvbv5: Improve vdr format output for DVB-T(2)

Dietmar Spingler (1):
      dvb-fe-tool: add an option to set maximum number of stat samples

Edward Sheldrake (1):
      libdvbv5: Fix dvb-format-convert segfault

Greg Whiteley (1):
      ir-ctl: `strndupa' undefined with --disable-nls

Gregor Jasny (8):
      Start v4l-utils 1.11.0 development cycle
      V4L: Fix typos reported by lintian
      libdvbv5: Fix decsriptors typo
      libv4lconvert: Exclude memsrc implementation for libjpeg-turbo
      Embed copy of ax_pthread.m4
      libdvbv5: Fix format string errors
      v4l2-ctl: Remove vanished v4l2-tpg.h.patch
      Update gitignore

Hans Verkuil (142):
      sync-with-kernel
      v4l2-ctl: improve handling of physical address in edid.
      v4l2-compliance: improve pixelformat reporting
      v4l-utils: sync with kernel
      v4l2-compliance: support new multiplanar YUV formats.
      qv4l2: support new multiplanar YUV formats.
      qv4l2: signal that we don't want GLES
      v4l2-compliance: fix broken test for V4L2_SEL_TGT_COMPOSE_PADDED
      v4l2-ctl: only toggle field for FIELD_ALTERNATE
      qv4l2: fix power-of-negative-number
      v4l2-ctl: fix broken --list-devices
      v4l2-ctl: fix overflow in fps calculation
      v4l2-dbg: autodetect stride
      v4l2-ctl/compliance: pad field wasn't zeroed for dv_timings ioctls
      v4l2-compliance: include android-config.h
      v4l2-compliance: add new checks for DV_TIMINGS controls & events
      v4l2-ctl: fix broken --clear-edid
      v4l2-ctl: use physical address 0.0.0.0 in the HDMI EDID
      Revert "v4l2-ctl: use physical address 0.0.0.0 in the HDMI EDID"
      v4l2-compliance: improve selection tests
      v4l2-compliance: add type checks for VIDIOC_CROPCAP
      v4l-utils: sync-with-kernel
      v4l-utils: move commonly used headers and sources to 'common'
      v4l-utils: sync-with-kernel
      v4l2-ctl: fix fps reporting for video output
      cv4l-helpers.h: fix constructor
      v4l2-ctl: add streaming support
      v4l2-ctl: fix syntax problem with older gcc
      v4l2-ctl: add support for EDIDs for 4k displays
      v4l2-ctl: utils/common: add missing copyright and license statements
      v4l2-compliance: explain the vivid no_error_inj=1 module option
      v4l2-compliance: fix broken video output test
      cv4l-helpers: zero reserved field
      v4l2-compliance: improve dv_timings checks
      v4l2-compliance: if ENUM_FRAMEINTERVALS is supported, so should S_PARM
      v4l2-compliance: improve S_PARM/ENUM_FRAMEINTERVALS interaction checks
      v4l2-compliance: show SHA from which it was built.
      v4l2-compliance: fix a check for the DONE flag
      v4l2-compliance: add version.h to .gitignore
      v4l-utils: sync-with-kernel
      cec-ctl: add CEC control utility
      cec-ctl: add missing OptMonitorAll check
      cec-ctl: sync to master, update timestamp code
      v4l2-ctl: fix --set-dv-bt-timings=index=12,reduced-fps=1
      cec-ctl: drop trailing : if there are no arguments
      cec-ctl: only print seq and ts when --verbose
      cec-ctl: add option to set the OSD Name
      cec-ctl: improve usage message
      cec-ctl: be smarter about all_dev_types and prim_type
      v4l2-compliance: only print the "cannot handle an invalid pixelformat" once
      v4l-helpers.h: add v4l_type_invert, fix has_vid_cap/out for m2m
      v4l2-compliance: improve colorspace checks for m2m devices
      v4l2-compliance: check for unlimited (well, 100) opens
      cec-ctl: add missing feature bits to dev_feat2s()
      cec-ctl: implement features
      cec-ctl: add check for --feat- and --rc- options
      qv4l2/v4l2-ctl: remove obsolete SYCC encoding
      v4l2-ctl.1.in: fix typo
      cec-ctl: add manpage
      cec-ctl: generate opcode name tables
      cec-ctl: show topology and menu/powerstatus
      cec: add common cec-log source
      cec-compliance: add man page
      cec-follower: add man page
      cec-compliance: show SHA
      cec-follower: show SHA
      cec-follower/cec-compliance: fix ubuntu build error
      cec-compliance: fix bogus compiler warning
      v4l2-ctl: add format support to --set-edid
      v4l2-ctl: rework CEA-861 block of the 4k sample EDIDs
      v4l2-ctl: remove spurious character in usage text
      v4l2-ctl: more EDID corrections
      cec-ctl: add support for vendor commands
      v4l2-ctl: support limited EDID modifications
      v4l2-ctl: support Speaker Allocation DB, more EDID improvements
      v4l2-ctl: Add YCbCr 4:4:4 Deep Color, fix HDMI VSDB
      v4l2-ctl: report EDID audio and video latencies
      v4l2-ctl: fix monitor names in EDIDs
      v4l2-ctl: update EDIDs to 1.4, fix sRGB chromaticities
      v4l2-ctl: make EDID video blocks consistent
      v4l2-ctl: fix sRGB chromaticities for hdmi/hdmi-170
      v4l2-ctl: EDIDs: fill in display sizes, enable CVT support
      v4l2-ctl: HDMI only supports EDID 1.3
      v4l-utils: sync-with-kernel
      v4l-utils: improve touch support
      v4l2-ctl: drop GTF from HDMI EDIDs
      v4l2-compliance: add S_PARM warning, fix SELECTION test
      v4l2-compliance: verify that you can't set read-only selection targets.
      v4l2-ctl: fix Feature Support EDID bits.
      cec-compliance: only test MONITOR_ALL if cap is set
      cec-compliance: add missing \n
      cec-compliance: improve man page
      cec-follower: improve ARC: check for upstream/adjacency
      v4l-utils: sync-with-kernel 4.8
      cec utils: print the cec_log_addrs flags field
      cec-ctl: allow setting the new CEC_LOG_ADDRS_FL_ALLOW_UNREG_FALLBACK
      v4l2-ctl: support new standard and flags
      media-ctl: support the new standard and flag
      cec-compliance: remove obsolete cec_msg_record_on/off workaround + fix typo
      cec-follower: remove obsolete cec_msg_record_on workaround.
      cec-compliance: don't test yourself
      v4l-utils: sync-with-kernel
      cec-follower: check CEC_OP_FEAT_DEV_HAS_SET_OSD_STRING
      cec-compliance: don't combine RECORD and PLAYBACK
      cec-ctl: don't show received CEC message if CEC_TX_STATUS_OK is 0
      v4l2-ctl: fix HDMI VSDB block in the EDID
      v4l-utils: sync-with-kernel
      cec: support new features
      cec: log the new cec_log_addrs flags
      cec-compliance: fix tests that affect msg.flags
      cec-ctl: support 'General Protocol Messages' feature
      cec-ctl: show the correct timestamps for transmitted msgs
      cec-follower: always allow SET_OSD_NAME
      cec-ctl: add support for a --custom-command option
      ivtv-ctl: drop dvb/audio.h and dvb/video.h
      Drop audio.h/video.h: they are no longer needed.
      v4l-utils: sync with latest kernel
      v4l2-compliance: allow S_SELECTION to return ENOTTY
      cec-compliance: --test-adapter needs a valid PA
      cec-ctl: add --timeout option to override the default timeout.
      cec-ctl: only show the reply if there was a reply
      cec-compliance: become temporarily a follower in the lost-msgs test
      cec-compliance: fix typo in usage message
      cec-ctl: show the CEC 2.0 features
      cec-compliance: add missing newlines
      cec-compliance: only test for has_deck_ctl for playback and record devices
      cec-ctl: fix copy-and-paste error for --timeout
      cec-follower: double the time_to_transient/stable values
      cec-compliance: remove bogus Menu Status test
      cec-compliance: fix recognized/unrecognized_op logic
      cec-compliance: fail if initiate-arc times out, but is supported
      cec-compliance: report which message took too long
      cec-compliance: add option to set reply time threshold
      cec-ctl: report approximate response time
      cec-ctl/cec-compliance: the transmit time for a byte is 24 ms, not 25
      cec-ctl: print vendor string if known
      cec-compliance: warn instead of fail when unresponsive
      cec-follower: improve two confusing warnings
      cec-ctl: the PA should be set before configuring the LAs
      cec-ctl: when setting both the PA and LAs, clear the LAs first
      v4l2-ctl: fix wrong Vsync in HDMI EDID detailed timings
      v4l2-ctl: add --stream-sleep option

Hans de Goede (1):
      v4lconvert: Add "PEGATRON CORPORATION" to asus_board_vendor

Helen Fornazier (1):
      v4l2-compliance: Improve test readability when fail

Ingo Feinerer (1):
      libv4l on OpenBSD

Jemma Denson (4):
      dvbv5-zap.c: fix setting signal handlers
      dvbv5-zap.c: allow timeout with -x
      dvbv5-zap.c: fix wrong signal
      dvbv5-zap.c: Move common signals code into function

Johan Fjeldtvedt (12):
      cec-compliance: add CEC compliance utility
      cec-follower: add cec-follower utility
      cec-compliance/follower: fix opcode printing
      cec-follower/cec-compliance: fix bug in string conversion
      cec-follower: check for Routing Information from TV
      cec-compliance: improve One Touch Play tests wrt. CTS 1.4b
      cec-compliance: fix Device OSD Transfer tests
      cec-ctl: print correct destination address for broadcast msgs
      cec-compliance: recognize PRESUMED_OK and REFUSED as ok
      cec-compliance: extend man page
      cec-follower: extend man page
      cec tools: exit if device is disconnected

Laurent Pinchart (2):
      media-ctl: Initialize ioctl arguments to 0
      libdvb5: Fix multiple definition of dvb_dev_remote_init linking error

Markus Heiser (2):
      v4l-utils: add comments to the build instructions
      v4l-utils: fixed dvbv5 vdr format

Mauro Carvalho Chehab (150):
      README: update instructions to sync with Kernel
      Sync with Kernel (4.5-rc1)
      contrib: Add a tool to allow test the G_TOPOLOGY MC ioctl
      mc_nextgen_test: allow to configure what'll be displayed
      mc_nextgen_test: better work with ansi colors
      mc_nextgen_test: add number of sink/source pads
      mc_nextgen_test: Handle the link flags
      mc_nextgen_test: Some cleanups and printk adjustments
      mc_nextgen_test: Fix object fill logic
      mc_nextgen_test: move find_gobj() function
      mc_nextgen_test: add an option to print a graphviz graph
      mc_nextgen_test: avoid accessing NULL pointers
      mc_nextgen_test: fix pad sink/source logic
      mc_nextgen_test: improve entities display on graph
      mc_nextgen_test: Make it work with the current API
      mc_nextgen_test: Update to print the entity functions
      mc_nextgen_test: add devnode translation via udev/sysfs
      configure.ac: Use libudev by default at MC utils
      mc_nextgen_test: use devname instead of major,minor at dot
      mc_nextgen_test: Better describe unknown interfaces/entities
      mc_nextgen_test: port it to use the new G_TOPOLOGY ioctl
      mc_nextgen_test: limit by default the graph size for DTV
      mc_nextgen_test: Add parser for max_tsout parameter
      mc_nextgen_test: add support for IF decoders
      dvb-sat: Fix identation
      mc_nextgen_test: get and print MC info
      README: add needed dependencies to build under Fedora
      mc_nextgen_test: improve .dot output adding driver and bus
      README: add a missing qt5 dependency on Fedora
      media.h: synchronize the devices with their new values
      Fix Debian/Ubuntu list of packages
      configure.ac: Add a summary of the compile options
      configure.ac: Improve output about Qt optional features
      Sync with latest Kernel version
      mc_nextgen_test: Rearrange the order of entity function translation table
      mc_nextgen_test: enable ALSA interfaces and add new alsa types
      libmediactl: don't show devnodes if NULL
      libmediactl: Don't try to parse empty major,minor
      Sync with upstream
      mc_nextgen_test: comment out the connectors entity
      README: instruct about the need of glibc devel libraries for 32 bits
      libdvbv5: Change license to LGPL v2.1
      dvb-sat: add a function to get translated LNBf names
      libdvbv5-po: update pt_BR translation
      dvb-sat: remove an unused var
      descriptors: add initializers for other NIT/other SDT tables
      dvb-file: add entries for "hidden" channels too
      dvb: better describe the Table ID extension
      dvb-scan: Fix the multi-section check logic
      dvb-scan: suppress frequency shift warning
      dvb-fe: improve SEC voltage message
      dvb-sat: add a debug message to show L-Band frequency
      dvb-sat: be more verbose when setting for Satellite
      dvb-scan: add space for separate other NIT/SDT tables
      descriptors: fix parsing for other IDs for the EIT table
      dvbv5-zap: add an option for "non-human" stat prints
      dvbv5-zap: relax the rule of requiring a channel file
      dvbv5-zap: wait until timeout if not recording
      dvbv5-tools: exit if parsing arguments failed
      Makefile.am: sync lirc hearder with make sync
      ir-ctl: move lirc include to include/linux/lirc.h
      Sync with the Kernel
      ir-ctl: add locale support for ir-ctl.c
      ir-ctl.c: Don't use non-ascii chars at strings
      Update translations with ir-ctl additions
      ir-ctl: one string is missing gettext
      ir-ctl: Add Brazilian Portuguese translation
      configure.ac: show what apps/libraries will be built
      configure.ac: report alsa via yes/no
      sn9c20x: remove an unused table
      libdvbv5: add functions to detect DVB devices
      dvb: use the new udev-based logic to get device names
      dvb-dev: standardize the namespace
      libdvbv5: embeed dvb_v5_fe_parms at struct dvb_device
      dvb-dev: better handle DVB device type
      dvb-dev: better handle error conditions
      dvb-fe: create an internal DVB FE open function
      dvb-dev: also store the sysfs path
      dvb-dev: add debug messages for device found/select
      dvb-fe: fix the error condition return logic
      dvb-dev: implement a way to open the frontend via sysname
      dvb-fe-tool: don't crash with invalid arguments
      dvbv5 utils: use the new dvb_device API
      dvb-sat.h: Fix two documentation warnings
      libdvbv5: create a new API for dvb-demux
      dvbv5-scan: fix a regression introduced by da56d6f1578a
      libdvbv5: add a dvb_device variant for the scan routine
      libdvbv5: rename dvb-dev.c to dvb-dev-local.c
      libdvbv5: abstract the dvb_dev functions
      configure.ac: Show "no" if GL or GLU is not found
      configure.ac: make libjpeg optional
      configure.ac: libdvbv5 now require libudev
      README: update dependencies list
      dvb-demux: fix a warning
      configure.ac: Check for pthread
      libdvbv5: add a macro to output logs+loglevel
      libdvbv5: prepare to add remote support for dvb_dev* functions
      libdvbv5: add support for using a remote DVB device
      libdvbv5: allow overriding the main FE functions
      dvbv5-daemon: split buffer filling from buffer sending
      libdvbv5: add support for 64 bits integer for the remote protocol
      dvbv5-daemon: add support for FE get/set stuff
      dvb-dev-remote: add support for FE get/set/set_delsys/stats
      libdvbv5: fix dev_read protocol handling
      dvb-fe-tool: add support for calling a remote dvb device
      dvbv5-zap: add support to access a remote device
      libdvbv5: Fix remote read()
      dvbv5-daemon: add a note that the remote support is still experimental
      libdvbv5: don't crash if the ISDB-T delsys descriptor is corrupted
      libdvbv5: prevent craches at the *foreach macro helpers
      libdvbv5: Fix some allocation issues
      COPYING.libdvbv5: added missing file
      Add some generated files to .gitignore
      libdvbv5: better handle errors at the remote protocol
      libdvbv5: better handle local errors
      dvbv5-tools: avoid relying on errno
      dvbv5-daemon: handle failures on dvb_dev_open()
      dvbv5-zap: fix a regression when opening the DVR device
      dvb-dev-remote: handle server disconnects
      dvbv5-zap: don't generate fp exception if aborted too early
      dvbv5-daemon: Don't let a read() use more space than the buf
      dvbv5-zap: add support to create a local pipe for DVR
      libdvbv5: while not too late, change dvb_dev_find() api
      libdvbv5: add local logic for device detection notifier
      libdvbv5: fix device changes notification
      libdvbv5: add support for remote device change events
      libdvbv5: fix an inverted logic check
      dvb-dev-remote: do a call stack dump on msg format errors
      libdvbv5: Ensure that it will read all package
      libdvbv5: better handle overflow errors
      parse_tcpdump_log.pl: fix logic that lists available devices
      parse_tcpdump_log.pl: add support to capture from multiple devs
      add a parser for tda18271/mb86a20s with cx231xx
      parse_cx231xx.pl: improve and fix GPIO handling
      dvbv5-daemon.c: don't hang on NULL strings
      dvbv5-daemon: use TCP_NODELAY
      dvbv5: use asynchronous read for dvbv5-daemon
      media-ctl: Fix a compilation bug introduced by changeset 7a21d66983f7
      dvb-dev-remote: improve the data receive logic
      configure.ac: don't enable pthread with static libraries
      configure.ac: report what kind of libraries will be built
      configure.ac: libdvbv5 is not experimental
      libdvbv5: add a header with the library version
      libdvbv5: install libdvb-version.h header
      dvb-sat: embeed most stuff internally at struct LNBf
      dvb-sat: change the LNBf logic to make it more generic
      dvb-sat: add support for several BrasilSat LNBf models
      dvb-sat: reinsert legacy fields to avoid API breakages
      dvb-sat: fix logic that sets the satellite number
      libdvbv5: fix handling of satellite number

Mike Frysinger (1):
      include sys/sysmacros.h for major() & minor()

Nick Dyer (1):
      v4l2-compliance: Changes to support touch sensors

Niklas Söderlund (1):
      libv4lconvert: Add support for V4L2_PIX_FMT_{NV16, NV61}

Ricardo Ribalda (5):
      v4l2-compliance: Check V4L2_BUF_FLAG_DONE
      libv4lconvert: Add support for V4L2_PIX_FMT_{HSV24, HSV32}
      qv4l: support for HSV formats via OpenGL.
      qv4l2: Support for HSV encodings
      v4l2-ctl: Show HSV encodings names

Sakari Ailus (14):
      [v4l-utils, 1/2] v4l: libv4l1, libv4l2: Use $(mkdir_p) instead of deprecated $(MKDIR_P)
      [v4l-utils,2/2] Fix configure script errors
      v4l: libv4l2subdev: Precisely convert media bus string to code
      v4l: libv4lsubdev: Make mbus_formats array const
      libv4l2subdev: Use generated format definitions in libv4l2subdev
      libv4l2subdev: Add a function to list library supported pixel codes
      media-ctl: List supported media bus formats
      v4l: libv4l2subdev: Drop length argument from string conversion functions
      libv4l2subdev: Allow extra spaces between format strings
      libmediactl: Drop length argument from media_get_entity_by_name()
      mediactl: Separate entity and pad parsing
      media-ctl: Split off printing information related to a single entity
      media-ctl: Print information related to a single entity
      Fix static linking of v4l2-compliance and v4l2-ctl

Sean Young (14):
      ir-ctl: add new tool for sending & receiving raw IR
      ir-ctl: deal with consecutive pulses or spaces correctly
      ir-ctl: give proper error message if transmitter does not exist
      ir-ctl: add ability to send scancodes in most protocols
      ir-ctl: add verbose option
      ir-keytable: make it possible to select the rc5 streamzap variant
      ir-ctl: fix rc5x encoding
      ir-ctl: 0 is valid scancode
      ir-ctl: improve scancode validation
      ir-keytable: "-p all" or "-p mce-kdb" does not work
      ir-ctl: rename rc5x to rc5x_20
      ir-ctl: rc5 command 6th bit missing
      ir-ctl: uninitialised memory used
      ir-ctl: ensure that device can record and that correct mode is set

Shuah Khan (3):
      mc_nextgen_test: fix -d option parsing
      mc_nextgen_test: fix compile warnings
      mc_nextgen_test: add names for ALSA capture, playback, and mixer entities

Steven Ellis (1):
      dvb-sat: add support for LNBs with LO of 11300 and 10700


v4l-utils-1.10.0
----------------

Felipe Eduardo Concha Avello (1):
      libdvbv5: fix the count of partial receptions

Gregor Jasny (2):
      Start v4l-utils 1.9.0 development cycle
      libdvbv5: link against rt library for clock_gettime

Hans Verkuil (29):
      v4l-utils: sync-with-kernel
      cobalt-ctl: rename cobalt directory to cobalt
      cobalt-ctl: add binary to .gitignore
      qv4l2/v4l2-ctl: add DCI-P3 and SMPTE 2084 colorspace support
      v4l-utils: sync-with-kernel
      v4l2-ctl: add SDR output support
      v4l2-ctl: show tuner/modulator type
      v4l2-compliance: add SDR output support
      v4l2-compliance: always check for V4L2_BUF_FLAG_DONE after DQBUF
      v4l2-ctl: improve accuracy of fps reporting
      qv4l2: fix compiler warning
      qv4l2: increase fps precision
      v4l2-ctl: improve dv_timings handling
      qv4l2: use GL_RED for OpenGL version >= 3 instead of GL_LUMINANCE.
      qv4l2: add support for Bayer 10 and 12 bits.
      v4l2-compliance: fix buffer flags check
      v4l-utils: sync with the latest kernel
      qv4l2/v4l2-ctl/v4l2-compliance: replace ctrl_class by which
      qv4l2: updateColorspace is only valid for video capture.
      qv4l2: s_pixelformat(V4L2_PIX_FMT_RGB24) failed due to wrong type
      v4l-helpers.h: don't use fancy initializers
      v4l-helpers.h: one more incomplete initializer.
      qv4l2: add qbuf error checking
      qv4l2: fix audio device selection
      qv4l2: reduce the minimum allowed width/height
      v4l-helpers.h: fix regression
      v4l2convert.c: squash compiler warning
      v4l2-ctl: fix cvt/gtf and 'clear timings' bug
      qv4l2: remove duplicate hasAlpha assignment

Laurent Pinchart (3):
      media-ctl: libv4l2subdev: Switch to MEDIA_BUS_FMT_*
      media-ctl: libv4l2subdev: Add missing formats
      media-ctl: Add field support for the media bus format

Mauro Carvalho Chehab (1):
      keytable: Fix display of the key code

Nick Morrott (1):
      dvb: Correct references to ISO 3166-1 in help/translations

Peter Seiderer (1):
      dvb/keytable: fix missing libintl linking

Sakari Ailus (2):
      media-ctl: Fix bad long option crash
      libv4l2subdev: Add a forward definition for missing struct media_device

Thomas Petazzoni (5):
      libv4lsyscall-priv.h: Use off_t instead of __off_t
      utils: Properly use ENABLE_NLS for locale related code
      utils/v4l2-compliance: Include <fcntl.h> instead of <sys/fcntl.h>
      libv4lsyscall-priv.h: Only define SYS_mmap2 if needed
      libv4lconvert: only expose jpeg_mem_*() protoypes when JPEG_LIB_VERSION < 80


v4l-utils-1.8.0
---------------

Akihiro Tsukada (11):
      libdvbv5, dvbv5-scan: generalize channel duplication check
      libdvbv5: add as many channels as possible in scanning DVB-T2
      libdvbv5: wrong frequency in the output of satellite delsys scans
      libdvbv5: add support for ISDB-S tuning
      libdvbv5: add support for ISDB-S scanning
      libdvbv5: add COUNTRY property
      v4l-utils/libdvbv5: restore deleted functions to keep API/ABI compatible
      v4l-utils/libdvbv5: fix memory leak in dvb_guess_user_country()
      v4l-utils/libdvbv5: add gconv module for the text conversions of ISDB-S/T.
      contrib/gconv: fix wrong conversion to ARIB-STD-B24
      v4l-utils/contrib/gconv: fix build error with glibc 2.21+

Baruch Siach (1):
      v4l2grab: print function name and ioctl number on failure

Benjamin Gaignard (1):
      libv4l2: Changes for compilation in Android 5.0

David Härdeman (3):
      ir-keytable: clarify the meaning of ir protocols
      ir-keytable: replace more sysfs if-else code with loops
      ir-keytable: cleanup keytable code

Fabien Dessenne (1):
      v4l2-compliance: test SELECTION only for the supported buf_type

Felix Janda (3):
      contrib/test: Add missing LIB_ARGP
      libv4l: Wrap LFS64 functions only if linux && __GLIBC__
      libv4l: Test for ioctl() function signature

Gregor Jasny (11):
      Start v4l-utils 1.7.0 development cycle
      man: remove duplicate backslash from NAME section
      man: Use Unicode character for ellipsis and fall back to ...
      man: add generated files to .gitignore
      libdvbv5: Remove stray semicolon
      v4l2-compliance: Explicitely link against rt library
      v4l2-ctl: Explicitely link against rt library
      v4lconvert: Add ASUS A7Sn to upside down table
      v4lconvert: Add ASUS A6R to upside down table
      v4lconvert: Add ASUS A7J to upside down table
      buildsystem: Add missing files to extra distribution list

Hans Verkuil (132):
      qv4l2/v4l2-ctl: fix buffer overrun in vivid-tpg.
      v4l2-ctl: fix sliced vbi mode parsing
      v4l2-compliance: when streaming used at least 2 buffers.
      v4l2-compliance: add initial checks for VIDIOC_QUERY_EXT_CTRL
      v4l2-ctl: add support for U32 control type.
      v4l2-ctl: fix array handling
      v4l2-compliance: allow the V4L2_IN_ST_NO_SYNC status flag.
      qv4l2: add single step support
      qv4l2: don't select alsa device for video output.
      v4l2-compliance: select(): split "ret <= 0" test in two
      v4l-utils: sync with latest kernel
      (c)v4l-helpers.h: add functions for flags, ycbcr_enc and quantization
      v4l2-ctl: support the new ycbcr_enc and quantization fields.
      qv4l2: add support for ycbcr_enc and quantization
      v4l-utils: sync-with-kernel
      v4l2-ctl: add V4L2_SEL_TGT_NATIVE_SIZE support
      v4l2-compliance: add checks for V4L2_IN/OUT_CAP_NATIVE_SIZE
      v4l2-compliance: add basic crop/compose/scale tests.
      v4l2-compliance/fixme.txt: update
      v4l2-compliance: add check for missing G_INPUT/OUTPUT
      v4l2-compliance: add more ycbcr_enc and quantization checks
      v4l2-compliance: fix compilation problem
      v4l2-ctl: report and optionally fix EDID checksum errors
      v4l2-ctl: signal support for RGB/YUV quantization
      Sync with latest kernel
      v4l2-compliance: don't check colorspace for m2m devices
      v4l2-compliance: add missing cleanup for m2m devices
      qv4l2: fix incorrect colorspace string
      qv4l2: fix init and fix wrong ycbcr_enc tests
      v4l2-ctl: add newline after each EDID block
      qv4l2: changing the quantization didn't update the format.
      qv4l2: update colorspace information
      v4l2-ctl: sync colorspace names with qv4l2
      qv4l2: move the colorspace fields to the general tab
      v4l2-ctl: fix control listing code
      v4l2-compliance: fix multiplanar colorspace check
      v4l2-ctl: support pixelformats with bit 31 set
      qv4l2: handle pixelformats with bit 31 set
      qv4l2: add support for [AX]RGB555X formats.
      qv4l2: update the movement values before starting the TPG
      v4l2-compliance: store the state of the driver
      v4l2-compliance: remove the -i, -o and -f options
      v4l2-compliance: add new -f streaming option
      v4l2-compliance: fix valgrind warnings
      v4l2-compliance: restore state on Ctrl-C
      v4l2-compliance: improve error checking and logging
      v4l2-compliance: check if the same timings can always be set
      v4l2-compliance: restore crop/compose state in the correct order
      v4l2-compliance: implement warn_once
      v4l2-compliance: restore format based on timings, add bpl tests
      v4l2-compliance: fix inverted 'while' condition
      v4l2-compliance: relax error_idx checks
      v4l2-ctl: add missing newline in --help-vidcap output
      v4l2-compliance: continue testing with some failures
      v4l2-compliance: write newline to stdout on ctrl-C
      v4l2-compliance: add 'frame-height' helpers
      v4l2-compliance: use the new helpers, check for min/max fmt
      v4l2-compliance: show crop/compose rectangles
      v4l2-compliance: add -a option to stream all inputs/outputs
      v4l2-compliance: make cv4l_fmt methods const where applicable
      v4l2-compliance: test many crop/compose combinations
      v4l2-compliance: add CROPCAP/G_CROP checks
      v4l2-ctl: exit after showing usage()
      v4l2-compliance: fix save/restore state
      v4l2-compliance: add color checking tests
      v4l2-compliance: add the manual page
      qv4l2: update manual page and usage message
      v4l2-compliance: fix typo
      v4l2-compliance: add v4l2-compliance.1 to .gitignore
      v4l2-ctl: add a manual page
      v4l2-compliance: always skip compressed formats
      v4l2-compliance: improve crop/selection legacy test.
      fourcc-be: improve handling of big-endian flag
      v4l-utils: sync with kernel
      v4l-utils: sync with kernel, now updating headers as well
      v4l2-ctl: update Android.mk
      v4l2-ctl: remove unused variable total_v_lines
      jl2005bcd.c: use unix newlines, not dos.
      sync with latest kernel
      media-ctl/v4l2-ctl: support new control and timing flags.
      qv4l2/v4l2-ctl: fix YUV 4:2:0 support
      qv4l2: add openGL support for a large number of new formats
      qv4l2: fill in bytesused for the output stream.
      Sync with latest kernel
      qv4l2: reorganize colorspace handling
      sync to latest kernel
      v4l2-ctl: add support for V4L2_BUF_FLAG_LAST
      qv4l2: simplify openGL handling
      qv4l2: fix incorrect initial override values.
      qv4l2: fix colorspace format handling bugs
      v4l2-ctl: don't use [IDX] = "foo": some compilers don't like this
      qv4l2: use toLatin1 instead of toAscii
      qv4l2: add missing makeCurrent() call for Qt5 support
      qv4l2: fix crash if openGL is not available
      v4l-utils: fix typos
      v4l2-compliance: reopen the node before restoring state
      v4l2-compliance: fix incorrect condition
      sync-with-kernel: update to the latest kernel
      v4l-utils: update to new colorspace defines
      qv4l2: add missing break
      v4l2-compliance: skip grayscale and other non-color formats
      v4l2-compliance: m2m streaming fixes
      v4l-utils: sync-with-kernel
      libv4l-mplane: copy missing colorspace fields
      (c)v4l-helpers.h: support the new xfer_func field.
      v4l2-ctl: add support for colorspace transfer functions
      qv4l2: support the new transfer function field
      qv4l2: remove the display colorspace
      libv4l2: also update xfer_func, ycbcr_enc and quantization
      qv4l2: the cv4l_fmt type wasn't set
      qv4l2: fix XV601/709 handling
      qv4l2: after a reopen m_ctrlNotifier needs to be recreated
      v4l2-compliance: add additional checks for zeroed reserved arrays
      v4l2-ctl: fix coverity warning
      v4l2-compliance: fail if check_0 returns true
      v4l2-ctl: show timings you want to set if --verbose
      v4l2-ctl: log whether the timings uses reduced blanking v2
      qv4l2: fix copy-paste bug
      qv4l2: correctly update m_isSDTV
      qv4l2: fix rgb check
      sync-with-kernel update
      cobalt-ctl: add utility to flash the cobalt firmware
      v4l2-ctl: some more bool-related cleanups/simplifications
      v4l2-ctl: fix reduced fps support
      v4l2-compliance: warn for non-consecutive sequence numbers
      v4l2-compliance: fix prepare_buf tests, drop bytesused == 0 test
      v4l2-compliance: fix userptr and dmabuf streaming check
      qv4l2: replace lostFocus signal by editingFinished
      v4l2-ctl: split off cx18-ctl and ivtv-ctl
      v4l2-ctl/compliance: add configure option to disable libv4l use
      v4l2-dbg: auto-increment should use register size
      qv4l2/v4l2-ctl/v4l2-compliance: fix V4L2_CTRL_TYPE_BITMASK handling

Hans de Goede (2):
      rc_keymaps: allwinner: S/KEY_HOME/KEY_HOMEPAGE/
      v4lconvert: Fix decoding of jpeg data with no vertical sub-sampling

Mats Randgaard (1):
      v4l2-ctl: Remove file entry from Android.mk

Mauro Carvalho Chehab (91):
      libdvbv5: properly represent Satellite frequencies
      README: better document the package
      libdvbv5: Fix some Doxygen warnings at dvb-fe.h
      Doxygen: Document libdvbv5 countries.h
      configure.ac: Fix gconv compilation with 64 bits
      parse_tcpdump_log.pl: only adjust direction for control EP
      contrib: add a parser for af9035
      parse_af9035.pl: properly handle URB errors
      parse_af9035.pl: Add two other commands from ITE driver
      parse_af9035.pl: add arguments to show timestamp and debug
      parse_af9035.pl: group write/read URBs
      parse_af9035.pl: create a routine to print send/race
      parse_af9035.pl: print read/write as C lines
      parse_af9035.pl: add support for firmware commands
      parse_af9035.pl: fix firmware write size
      ir-keytable: fix a regression introduced by fe2aa5f767eba
      gen_keytables.pl: Fix a regression at RC map file generation
      rc: Update the protocol name at RC6 tables
      rc_maps.cfg: reorder entries alphabetically
      rc: sync with Kernel
      rc: copy userspace-only maps to a separate dir
      README: Add the steps needed to syncronize with the Kernel tree
      vivid-tpg.h.patch: update to match current upstream tree
      Synchronize with the Kernel
      parse_af9035.pl: proper handle when stack is not filled
      parse_af9035.pl: add support for CMD_IR_GET
      parse_af9035.pl: add options to hide part of the messages
      parse_af9035.pl: Add firmware boot message to the parser
      parse_af9035.pl: improve IR handling
      parse_af9035.pl: add support for generic I2C read/write
      parse_af9035.pl: better handle the read data
      parse_af9035.pl: allow to hide parsing errors
      parse_af9035.pl: add support for standard I2C commands
      parse_af9035.pl: some cleanups
      parse_af9035.pl: Fix decoding order at I2C read/write
      parse_af9035.pl: Fix size on rd/wr regs prints
      parse_af9035.pl: Fix some hide conditions
      parse_af9035.pl: Improve argument handling
      libdvbv5: add experimental DTMB support
      parse_tcpdump_log.pl: simplify non-control data
      parse_tcpdump_log.pl: remove some leftovers
      sync-with-kernel: add include/linux/media.h
      configure.ac: fix qv4l2 if QGLFunctions doesn't exist
      gettextize: add support for internationalization
      keytable: add internacionalization to msg strings
      keytable: add translation to pt_BR
      dvb: add locale support
      DVB tools: add pt_BR translations
      keytable: add locale messages also for argp strings
      keytable: add pt_BR translations for argp strings
      dvb: add locale messages also for argp strings
      dvb: Add translation to pt_BR for help messages
      dvbv5-zap: Add missing init code for locale
      Move po files to a separate dir
      gettextize: Add locale settings for libdvbv5
      libdvbv5: add translation support for dvb-fe.c
      Add Brazilian portuguese translation for dvb-fe.c
      dvb: add translation for two static tables inside dvb-fe
      dvb: Add Brazilian Portuguese translation for dvb-fe static tables
      v4l-utils-po/pt_BR.po: Update meta-tags
      dvb: add locale support for more files
      dvb: add Brazilian Portuguese translation for the core
      Update INSTALL instructions and add a script to configure
      bootstrap.sh: remove an extra uneeded space from the script
      bootstrap.sh: be less verbose
      Remove two files that shouldn't be at the tree
      bootstrap.sh: create a build-aux/config.rpath
      configure.ac: remove gettext version
      bootstrap.sh: need also to create build-aux dir
      po: Remove some auto-generated files from the git tree
      po files: remove the remaining auto-generated files
      .gitignore: update it for the last *-po changes
      dvb, keytable: Workaround a glibc bug when handling locale domain
      README: update the sync-with-kernel procedure
      Synchronize with latest header versions
      dvb-fe: avoid races when CTRL-C is used
      libmediactl: make it parse the DVB devnode
      libmediactl: add support for the new DVB devnodes
      media-ctl: Update V4L2 subdev types
      dvbv5 utils: Improve the message for the country code parameter
      dvbv5 utils: Update the pt-BR translation
      libdvbv5: Retry FE_GET_PROPERTY ioctl if it returns EAGAIN
      libdvbv5: don't retry an ioctl forever
      libdvbv5: better handle EINTR/EAGAIN
      libdvbv5: use a timeout for ioctl
      dvb-fe: return a negative number on error
      libmediactl: Don't free an already freed address if no links
      Revert "libmediactl: Don't free an already freed address if no links"
      README: add the instructions about how to build v4l-utils
      Revert "libmediactl: add support for the new DVB devnodes"
      sync-with-kernel update

Niels Ole Salscheider (1):
      qv4l2: Fix out-of-source build

Patrick Boettcher (4):
      parse_tcpdump_log.pl: skip filtered frames and remove them from pending
      parse_tcpdump_log.pl: show transfer-direction for non-ctrl-transfers
      parse_tcpdump_log.pl: add external frame_processor-option
      parse_tcpdump_log.pl: remove --all option which was not documented and not working as expected

Peter Seiderer (6):
      configure.ac: add qt5 detection support
      qv4l2: fix qt5 compile
      qv4l2: update qmake project file
      qv4l2: fix qmake project file
      qv4l2: enable qt5 opengl build
      qv4l2: fix qt5 opengl runtime errors

Prashant Laddha (14):
      v4l2-ctl-stds: Restructured suboption parsing code
      v4l2-ctl-stds: Support cvt/gtf options in set-dv-bt-timings
      v4l2-ctl: Add support for CVT, GTF modeline calculation
      v4l2-ctl-modes: fix hblank, hsync rounding in gtf calculation
      v4l2-utils: fix overflow in cvt, gtf calculations
      v4l2-utils: handle interlace fraction correctly in gtf
      v4l2-utils gtf: use round instead of roundown for v_lines_rnd
      v4l2-utils: fix pixel clock calc for cvt reduced blanking
      v4l2-ctl-modes: add support for reduced blanking version 2
      v4l2-utils: Modify usage for set-dv-timing to support RB V2
      v4l2-utils: add support for reduced fps in cvt modeline
      v4l2-utils: extend set-dv-timings to support reduced fps
      v4l2-utils: use boolean for interlaced flag
      v4l2-ctl-modes: use reduced fps only with reduced blanking v2

Ricardo Ribalda (2):
      qv4l2: gl: Add support for V4L2_PIX_FMT_Y16
      qv4l2: gl: Add support for V4L2_PIX_FMT_Y16_BE

Ricardo Ribalda Delgado (2):
      libv4lconvert: Fix support for Y16 pixel format
      libv4lconvert: Add support for V4L2_PIX_FMT_Y16_BE

Vincent McIntyre (1):
      dvb-utils: add -C to manpages


v4l-utils-1.6.0
---------------

Gregor Jasny (5):
      man: Fix typo in dvb-fe-tool man page
      man: Replace hyphen with minus sign
      man: place escape to correct position
      man: Use Unicode character for ellipsis and fall back to ...
      qv4l2: Add keywords to desktop file


v4l-utils-1.5.91 (Development snapshot)
---------------------------------------

Gregor Jasny (3):
      Start v4l-utils 1.5.91 development cycle
      libdvbv5: Remove left over include of desc_service_list.h
      libdvbv5: Fix typo in doxygen index file

Mauro Carvalho Chehab (30):
      dvb-file: Fix a memory leak
      dvb-file: frees channel/vchannel if service id not found
      dvb-file: Remove spaces at the beginning of channel name
      dvb-file: Only print SDT warning if are there any channel to be stored
      dvb-file: Fix channel name when SDT is not found
      libdvbv5/descriptors: Fix content hexdump
      libdvbv5: Fix the number of frequencies at ISDB-T delivery sys descriptor
      libdvbv5: print ISDB-T frequencies in MHz
      libdvbv5: add a parser for ISO-10646/UCS2 strings
      libdvbv5: Fix ISDB-T TS info descriptor
      dvb-file: Fix no-SDT channel name allocation
      dvb-file: fix the memory deallocation on error
      dvb-file: don't dereference a NULL pointer
      libdvbv5: check for alloc errors at desc_ca
      dvb-format-convert: make valgrind happy
      libdvbv5: fix a nasty to track double-free bug
      dvb-fe-tool: abort nicely on femon mode
      libdvbv5: replace @include by @example
      man: move dvb-scan.1 out of Doxygen
      man: move dvb-fe-tool.1 out of Doxygen
      dvb-format-convert: Fix help message
      man: move dvb-format-convert.1 out of Doxygen
      man: add a utils/dvb/dvbv5-zap.1 page and remove from doxygen
      user man pages: Change report bugs to linux media ML
      Revert "dvb-file: don't dereference a NULL pointer"
      libdvbv5: Fix frequency table alloc size at desc_frequency_list
      .gitignore: Ignore quilt patches/ dir
      dvbv5-scan: add vdr format for the --help parameter
      user man pages: Add version to the man pages


v4l-utils-1.5.90 (Development snapshot)
---------------------------------------

André Roth (7):
      libdvbv5: cleanup logging, some memory checks
      libdvbv5: fix satellite LNBf handling
      libdvbv5: fix dvb_fe_dummy()
      libdvbv5: MPEG ES parser documentation
      libdvbv5: use hyperlinks in doxygen PDF
      libdvbv5: MPEG TS parser documentation
      libdvbv5: MPEG TS parser documentation and cleanups

Gregor Jasny (5):
      Start v4l-utils 1.5.0 development cycle
      buildsystem: Use latest ax_prog_doxygen from GNU Autoconf Archive
      libdvbv5: Add todo file
      libdvbv5: remove service_location descriptor
      libdvbv5: remove service_list descriptor
      doxygen: distribute doc/libdvbv5-index.doc in tarball

Hans Verkuil (9):
      v4l2-compliance: fix buffer state test
      (c)v4l-helpers: zero bytesperline, swap arg order
      qv4l2: the helper now zeroes bytesperline
      cv4l-helpers: add missing ioctls
      v4l2-ctl: fix control support for old kernels.
      v4l-helpers.h: fix control ioctls checks
      qv4l2: init dest format when starting vbi/swradio streaming
      v4l2-compliance: fix valgrind warnings
      qv4l2: fix typo: 576 instead of 575

Hans de Goede (3):
      libv4l2: Fix restoring of original dest-fmt after a VIDIOC_S_DV_TIMING
      libv4l2: Set convert_mmap_frame_size as soon as we've a dest_fmt
      libv4l2: Move alignment of dest_fmt resolution to v4l2_set_src_and_dest_format

Mauro Carvalho Chehab (60):
      libdvbv5: add doxygen tags for header.h
      libdvbv5: add doxygen tags to vct.h
      libdvbv5: add doxygen tags to pat.h
      doxygen_libdvbv5.cfg: add header.h, vct.h and pat.h
      libdvbv5: fix some cut-and-paste errors at documentation
      libdvbv5: add doxygen tags to pmt.h
      libdvbv5: better comment the descriptors
      libdvbv5: fix some issues at PAT documentation
      libdvbv5: add documentation for sdt.h
      libdvbv5: some documentation fixups for sdt.h
      libdvbv5: add documentation for the NIT table parser
      libdvbv5: add documentation for crc32.h
      libdvbv5: Add documentation for EIT DVB parser
      libdvbv5: Add a mainpage to the documentation
      libdvbv5: add documentation for ATSC EIT.
      libdvbv5: don't use ATSC_HEADER() macro
      libdvbv5: don't use DVB_DESC_HEADER() macro
      libdvbv5: add documentation for cat.h and atsc_header.h
      libdvbv5: add support for mgt.h
      libdvbv5 documentation review
      libdvbv5: group documentation into modules
      libdvbv5: add a missing macro to dvb_table group for documentation
      doxygen: add dvbv5-tools to the documentation
      dvb-fe-tool: Fix verbosity and comment unused option
      libdvbv5: fix a typo at ASTRA 1E extended LNBf
      Add support for VDR format (only for output)
      libdvbv5: Add support for opening FE on read only mode
      dvb-fe-tool: add support to open DVB FE in read only mode
      libdvbv5: Don't double-free the file name
      dvb-fe-tool: add femon parameter
      libdvbv5: fix a nasty bug when printing stats
      libdvbv5: Re-add the status name at the stats report
      libdvbv5: export dvb_fe_retrieve_quality()
      dvb-fe-tool: Colorize the status report
      dvb-fe-tool: implement acoustic mode
      update dvb-fe-tool Doxygen documentation
      libdvbv5: revert an ABI breakage
      libdvbv5: Create doxygen docs for mpeg_es.h
      libdvbv5: add documentation for ATSC service location
      libdvbv5: Add documentation for CA descriptor
      libdvbv5: Add documentation for CA identifier descriptor
      libdvbv5: add documentation for cable delivery system descriptor
      libdvbv5: add documentation for the extended event descriptor
      libdvbv5: add documentation for the short event descriptor
      libdvbv5: add documentation for the extended descriptor
      libdvbv5: add documentation for the frequency list descriptor
      libdvbv5: Document the hierarchy descriptor
      libdvbv5: Add documentation for ISDB-T terrestrial descriptor
      libdvbv5: add documentation for the language descriptor
      libdvbv5: Add description for the LCN descriptor
      libdvbv5: add documentation for the network name descriptor
      libdvbv5: add documentation for ISDB partial reception descriptor
      libdvbv5: document the Satellite delivery system descriptor
      libdvbv5: add documentation for the service descriptor
      libdvbv5: Add documentation for desc_service_list.h
      libdvbv5: add documentation for the T2 delivery system descriptor
      libdvbv5: documents the terrestrial delivery system descriptor
      libdvbv5: Documents ISDB TS information descriptor
      libdvbv5: add javadoc markups for desc_service_location.h
      dvb-file: Fix a core dump issue


v4l-utils-1.4.0
---------------

Gregor Jasny (11):
      Start v4l-utils 1.3.91 development cycle
      libdvbv5: Remove dvbsat_polarization_name (same as dvb_sat_pol_name)
      libdvbv5: Rename and hide charset definitions
      libdvbv5: Hide unused and unexposed cnr_to_qual_s tables
      libdvbv5: Make dummy_fe static
      libdvbv5: Add doxygen config file to distribution list
      libdvbv5: Add dvb-fe-priv.h to sources list
      contrib: Add au0828 directory to extra distribution list
      media-ctl: process pkgconfig files
      v4l2-ctl: Distribute vivid-tpg.h.patch
      ir-keytable: Genrate stable map file by sorting directory before parsing

Hans Verkuil (6):
      v4l2-compliance: require G/S_PRIORITY support for m2m devices
      v4l2-ctl/qv4l2: sync to latest vivid-tpg code
      v4l-utils: sync-with-kernel
      Add the generated lib/include/dvb-frontend.h to .gitignore
      Copy the vivid-tpg* sources from the kernel
      qv4l2: fix bug in setting the audio mode

Mauro Carvalho Chehab (72):
      libdvbv5: be coherent with parse_string.h header
      libdvbv5: Move charsets to be inside the parms struct
      libdvbv5: move internal parameters to a separate structure
      libdvbv5: Properly document struct dvb_v5_fe_parms
      libdvbv5: Fix parameters dvb_add_parms_for_sys()
      libdvbv5: Fix return values for dvb_fe_get_event()
      libdvbv5: Add documentation for dvb-fe.h
      libdvbv5: add the private structure to the tree
      libdvbv5: Rename internally-defined poll function as dvb_poll
      libdvbv5: fix a memory leak at descriptors
      libdvbv5: reimplement the spaces filling logic
      libdvbv5: Don't go past the size of dvb_v5_name
      libdvbv5: Don't go past the size of dvb_v5_attr_names
      libdvbv5: Fix changeset 04accf23
      libdvbv5: Allocate channel earlier
      libdvbv5: add a missing return
      dvbv5-zap: close dvr_fd at the end of do_traffic_monitor()
      libdvbv5: Improve parsing of dvb channel format
      libdvbv5: add support for parsing scan-s2 DVB-S2 channels
      libdvbv5: don't write polarization and user parms twice
      libdvbv5: Fix modulation formats for legacy channel on DVB-S2
      libdvbv5: only use emulated formats if the original one is not found
      libdvbv5: remove some commented dead code
      libdvbv5: add support for optional parameters on oneline formats
      libdvbv5: add support for optional MIS parameter
      libdvbv5: Add support for parsing DVB-T2 channel format
      libdvbv5: Fix delivery system for channel on DVB-T2 format
      Stop using the legacy name for PLP/MIS property
      libdvbv5: fix parsing of the default_value
      libdvbv5: Split libdvbv5 properties from stats
      libdvbv5: better document dvb-v5-std.h
      libdvbv5: Add MIS to DVB-S2 properties
      libdvbv5: Fix the error message when a props is not found
      libdvbv5: avoid checking past data
      libdvbv5: use default values if an entry is missing
      libdvbv5: MIS default should be zero
      libdvbv5: add support for PLS code/mode for file read/write
      libdvbv5: make sure that all needed properties are filled
      libdvbv5: Fix the property limits check
      libdvbv5: fix a corner case reported by Coverity
      dvbv5-zap: keep monitoring stats at DVB record mode
      dvbv5-zap: Be sure to get stats before printing
      dvbv5-zap: remove an unused var
      libdvbv5: add documentation for dvb-demux.h
      libdvbv5: rename struct el_pid
      libdvbv5: Add a description for DVB file entries
      dvb-file.h: prepend parsing structs with "dvb_"
      libdvbv5: rename enum file_formats to dvb_file_formats
      libdvbv5: move PTABLE macro to the *.c files
      libdvbv5: add documentation about format read/write functions
      libdvbv5: Add documentation for other functions at dvb-file.h
      libdvbv5: Document dvb-log.h and dvb-sat.h
      libdvbv5: Remove an unused parameter at struct dvb_v5_descriptors
      libdvbv5: remove unused parameter at dvb_scan_alloc_handler_table()
      libdvbv5: add documentation for the DVB scan functions
      libdvbv5: Document the libdvbv5 properties
      libdvbv5: Document the last undocumented structs at dvb-file.h
      libdvbv5: Convert documentation to javadoc format
      Add support to generate Doxygen documentation for libdvbv5
      libdvbv5: Improve doxygen format
      Ignore the generate doxygen-doc directory
      libdvbv5: Fix function definitions at doxygen book
      libdvbv5: Properly document macros at dvb-v5-std.h
      libdvbv5: fix dvb_get_pmt_pid API
      libdvbv5: improve doxygen documentation
      libdvbv5 doxygen: Fix a few file descriptions
      libdvbv5: Fix dvb_get_pmt_pid()
      libdvbv5: Provide a quality indicator for DVB-T
      libdvbv5: get rid of bcd_to_int()
      libdvbv5: add documentation for descriptors.h
      libdvbv5: Add more data about the descriptors definition
      libdvbv5 doxygen: Some improvements for dvb-scan.h and descriptors.h


v4l-utils-1.3.90 (Development snapshot)
---------------------------------------

André Roth (1):
      libdvbv5: provide crc32 to c++

Anton Arbring (20):
      qv4l2: clarified two strings
      qv4l2: changed and removed icons
      qv4l2: correctly disable two menu items
      qv4l2: added user controls
      qv4l2: hiding disabled GUI items
      qv4l2: alignment and size mods
      qv4l2: added titles and moved settings
      qv4l2: hiding disabled GUI items
      qv4l2: alignment and size mods
      qv4l2: added titles and moved settings
      qv4l2: refactoring general-tab.cpp
      qv4l2: bugfix and dynamic adjustments
      qv4l2: removed colon and correct rowcount
      qv4l2: added icon and moved label
      qv4l2: added fullscreen functionality for capture window
      qv4l2: added right click menu to capturewin
      qv4l2: adding fullscreen option to toolbar main window
      qv4l2: removed redundant set size
      qv4l2: Removed bottom layout from capturewin
      qv4l2: Adding width and height scaling to the status bar

Gregor Jasny (8):
      Start v4l-utils 1.3.x development
      Revert "libdvbv5: Do not install libdvbv5 by default"
      qv4l2: Fix typo
      Fix kFreeBSD build
      fixed BSDfication of V4L related headers
      Disabled libdvbv5 and v4l-utils build
      Hide parse_string.h content in shared library interface
      Prefix exported functions with dvb_
      libv4l2: Lazily allocate convert_mmap_buf
      qv4l2: Clean up icon distribution list

Hans Verkuil (133):
      qv4l2: add extensive colorspace support
      v4l2-compliance: improve colorspace checks.
      qv4l2: colorspace & opengl improvements
      qv4l2: GL_RED is not supported everywhere, use GL_LUMINANCE.
      qv4l2: add a 'blending' mode to test images with an alpha channel.
      qv4l2: fix pixel aspect ratio calculation
      qv4l2: revert most of the previous patch
      qv4l2: fix compilation error if HAVE_QTGL is undefined
      qv4l2: fix control range handling and broken slider disabling.
      qv4l2: fix pixel aspect handling and set compose rectangle
      qv4l2: add support for crop and compose
      qv4l2: implement SEQ_TB/BT support for the openGL renderer
      qv4l2: remove two forgotten debug printfs
      qv4l2: make the destination sizeimage large enough
      libv4l-mplane: copy back v4l2_buffer.m, fix type problems
      libv4l-mplane: v4l2-compliance fixes
      libv4l-mplane: fix compile warning
      qv4l2: fix incorrect disabling of the blending mode
      qv4l2: zero initial buffers
      qv4l2: fix enabling/disable frame width/height/size
      qv4l2: get rid of unused v4l2 class methods.
      qv4l2: improve video output support, esp. multiplanar.
      qv4l2: improve pixel aspect detection
      v4l2-ctl: vastly improve the test pattern generator.
      v4l2-ctl: add missing source chromakey support.
      v4l2-ctl: the alpha flags are mutually exclusive.
      v4l2-ctl: add support for generating limited range RGB
      qv4l2: fix a bug in vidFieldChanged
      v4l2-ctl: missing support for continuous frameintervals.
      Revert "qv4l2: added titles and moved settings"
      Revert "qv4l2: alignment and size mods"
      Revert "qv4l2: hiding disabled GUI items"
      qv4l2: fix broken handling of V4L2_VBI_INTERLACED.
      qv4l2: fix sliced vbi support
      qv4l2: fix height calculation when overriding pixel aspect ratio
      v4l2-compliance: fix various VBI tests.
      qv4l2: fix square aspect ratio handling and improve Video Aspect Ratio
      qv4l2: refactor window size setting at capture start
      qv4l2: reset size after changing aspect ratios or scaling mode
      qv4l2: drop setSizeAdjustPolicy(QComboBox::AdjustToContents)
      libv4l2rds: fix date-time handling
      qv4l2: fix coverity defect
      qv4l2: make tab labels more compact.
      qv4l2: better handling of string controls with a step > 1
      libv4l2rds: handle V4L2_RDS_BLOCK_INVALID.
      libv4l2rds: Area Coverage is only partially available for RBDS
      rds-ctl: print RBDS call sign.
      v4l2-compliance: fix control test
      v4l2-compliance: only discrete framesizes are not allowed for output
      libv4lconvert: add support for extended controls
      libv4lcontrol: sync control strings/flags with the kernel
      v4l2-compliance: allow frequency bands of just one frequency
      qv4l2: fix a confusing error message when capturing VBI.
      v4l2-compliance: improved v4l helpers header, add tracing
      v4l2-compliance: add v4l2_format support to cv4l-helpers.h
      v4l2-compliance: fix problems with vbi streaming.
      qv4l2: always do updateVidCapFormat when changing crop/compose
      qv4l2: m_useGLAct is only available if HAVE_QTGL is set.
      qv4l2: add new png to the list of distributed files
      qv4l2: use the new toolbutton for three buttons in the general tab
      contrib/freebsd/Makefile.am: fix syntax error.
      v4l-utils: update the headers to the latest kernel version.
      v4l2-ctl: add support for the motion detection event
      v4l2-ctl: add support for array controls
      v4l2-ctl: allow setting/getting subsets
      v4l-utils: add new V4L2_CAP_EXT_PIX_FORMAT capability
      v4l2-compliance: check for the presence of V4L2_CAP_EXT_PIX_FORMAT
      v4l2-ctl: add support for new extended format flags field.
      v4l2-compliance: also check for V4L2_CAP_EXT_PIX_FORMAT in device_caps
      qv4l2: add support for new alpha-aware pixelformats.
      v4l2-ctl: add support for the new alpha-aware pixelformats.
      libv4lconvert: add support for new pixelformats
      v4l2-ctl: fix returned pixelformats that map to fbdev
      qv4l2: bypass libv4l2 when obtaining the colorspace
      qv4l2: fix a coverity defect
      qv4l2: add the two new png's to the EXTRA_DIST list
      v4l2-compliance: fix broken priv test
      qv4l2: improve full-screen handling
      qv4l2: center frame and drop margins in full screen mode
      qv4l2: add Q shortcut to close the video window
      qv4l2: QImage could be the wrong size
      v4l2-compliance: reworked the (c)v4l-helpers.h headers
      qv4l2: integrate with the cv4l-helpers.h header
      qv4l2: force bytesperline recalculation when changing the width.
      qv4l2: add Trace IOCTLs option
      qv4l2: set the new value immediately when updating a control range.
      qv4l2: correctly resubscribe events after a reopen.
      qv4l2: add 'Use Record Priority' option
      libv4lconvert: fix RGB32 conversion
      qv4l2: use new control helpers
      qv4l2: hopefully fix a i386 ubuntu build error
      qv4l2: honor the fullscreen setting when starting capturing
      qv4l2: bug fix in re-subscribing source change events
      v4l-utils: sync with latest kernel
      v4l2-ctl: print new SDR buffersize format field.
      v4l2-compliance: add sdr buffersize check
      qv4l2: support output devices
      qv4l2: fix querystd and query_dv_timings
      qv4l2: fix layout issues related to stacked widgets
      v4l2-ctl: upgrade to the latest version of the test pattern generator
      qv4l2: add SDR visualization.
      v4l2-ctl: fix csc colorbar color pre-calculation
      qv4l2: add support for output video devices
      v4l-utils: sync with latest kernel headers
      descriptors.h: include <arpa/inet.h> for ntohs
      v4l2-ctl: --clear-bitmap or --clear-clips didn't actually clear it
      v4l2-ctl/qv4l2: init mv_hor/vert_mode correctly.
      v4l2-ctl: the field setting of the initially queued buffer is wrong.
      qv4l2: implement cropping and composing for video output.
      rds-ctl: changes in the TA bit weren't detected.
      libv4l2rds: DI segment order was swapped
      qv4l2: use setResdOnly for disabled QLineEdit controls
      qv4l2: missed one more place where QLineEdits were disabled.
      (c)v4l-helpers: fix broken tests for existence of ioctls.
      qv4l2: convert the last direct ioctl calls to a cv4l-helper.
      libv4l-mplane: make it aware of the extended pix_format fields
      qv4l2: zero m_tpgLimRGBRange when the device is closed
      qv4l2: use "ADC Frequency" for SDR instead of just "Frequency"
      qv4l2: fix valgrind warnings
      libv4l2: valgrind fixes
      qv4l2: keep the "Controls" text
      v4l2-ctl/qv4l2: sync to latest vivid-tpg.c
      qv4l2: correct PAL pixel aspect values
      v4l2-compliance: add test for S_EDID and the E2BIG corner case
      qv4l2/v4l2-ctl: add support for 14x9 video aspect ratio.
      v4l2-compliance: allow EIO for control ioctls
      v4l2-compliance: reset control counters
      qv4l2: fix segfault when openGL is not compiled in.
      qv4l2: fix audio looping
      qv4l2: allow '-d1' option
      v4l2-ctl/qv4l2: fix movement counter calculation
      qv4l2: fix broken SDR support
      qv4l2: reset bytesperline when changing pixelformat.

Marcel J.E. Mol (1):
      [v4l-utils] keytable: add support for XMP IR protocol

Mauro Carvalho Chehab (13):
      dvbv5-zap: Fix LNBf selection
      libdvbv5: Improve debug logs while scanning PMT
      dvb-file: store services even when SDT is not found
      dvb-file: better store channels without SDT
      parse_usb.pl: fix handling of ./parse_tcpdump_log.pl logs
      keytable: add a way to add all protocols on raw decoders
      ir-keytable: add the list of supported protocols at man page
      keytable: add support for sharp and mce-kbd protocols
      parse_au0828.pl: Add a parser to help with au0828 debug
      dvb-file: fix memory-deallocation bug
      parse_au0828.pl: fix I2C read payload
      keytable: Mask selected protocols with the supported ones
      ir-keytable.1: add XMP protocol at manpage

Ove Brynestad (15):
      qv4l2: add and use storage for renderer independent frame info
      qv4l2: move setFrame out of renderer specific classes
      qv4l2: moved Qt scale/crop to common class
      qv4l2: removed separate crop offset function
      qv4l2: Made cropsize available to glengine
      qv4l2: moved frame/rate count assignment to common class
      qv4l2: moved crop calculation out of GL renderer
      qv4l2: update common size variables at GL resize
      qv4l2: moved scaling calculations from setRenderFrame
      qv4l2: refactored capwin variables
      qv4l2: refactor aspect size calculation
      qv4l2: refactor crop size calculation
      qv4l2: refactored cropSize to deliver cropped size
      qv4l2: Fixed cropping bug
      qv4l2: Add option to enable linear scaling filter

Reynaldo H. Verdejo Pinochet (1):
      [libdvbv5] dvb-sat: add universal Ku band (extended) LNBF def

Rob Barker (1):
      v4l-utils: libdvbv5: fix compilation issue

Thiago Santos (1):
      v4l2grab: Add threaded producer/consumer option



v4l-utils-1.2.0
---------------

Alain VOLMAT (1):
      buildsystem: Fix configure.ac --disable-v4l-utils option

Andreas Weber (2):
      v4l2-ctl-misc.cpp: bugfix display #of readbuffers
      v4l2gl/v4l2grab: fix errno assignment in while loop

André Roth (43):
      libdvbv5: VCT bitmap fixup
      libdvbv5: fix NIT structures
      libdvbv5: implement dvb_fe_dummy for logging
      libdvbv5: prefix VCT with atsc_ instead of dvb_
      libdvbv5: fix missing includes
      libdvbv5: cleanup dvb_nit_transport_foreach macro
      libdvbv5: implement ATSC standard header
      libdvbv5: implement MGT table parser
      libdvbv5: implement ATSC EIT
      libdvbv5: fix reading multisection tables
      libdvbv5: service location descriptor support
      libdvbv5: support info info log via dvb_loginfo
      libdvbv5: fix asprintf compile warnings
      libdvbv5: mpeg elementary stream parsers
      libdvbv5: fix EIT parsing
      libdvbv5: shared lib and installing headers
      libdvbv5: remove header files from SOURCES in Makefile.am
      libdvbv5: fix dvb_parse_descriptors and make dvb_desc_init private
      libdvbv5: add attribute packed to structs and unions
      libdvbv5: add parser for CAT
      libdvbv5: add parser for ca and ca_identifier descriptors
      libdvbv5: fix PMT parser
      libdvbv5: cleanup printing tables and descriptors
      libdvbv5: use DVB_DESC_HEADER macro in all descriptors
      libdvbv5: make dvb_desc_default_init and dvb_desc_default_print private
      libdvbv5: allow table parsers to get specific pointer to table struct
      libdvbv5: descriptor parser return int
      libdvbv5: remove unneeded includes
      libdvbv5: fix lost ressource in atsc_eit
      libdvbv5: add support for tables with multiple ts_id and section gaps
      libdvbv5: reunite atsc_table_header and dvb_table_header
      libdvbv5: fix asprintf compile warning in dvbv5-scan
      libdvbv5: make crc32 public
      libdvbv5: make dvb_table_filter_free public
      libdvbv5: cleanup table parsers
      libdvbv5: cleanup printing of tables and descriptors
      libdvbv5: rename descriptor functions
      libdvbv5: move table parsers to separate directory
      libdvbv5: cleanup parser API
      libdvbv5: short API description
      libdvbv5: build dynamic libdvbv5 by default
      libdvbv5: improve CRC size handling
      libdvbv5: improve DVB header handling

Antonio Ospite (1):
      libv4lconvert: Fix a regression when converting from Y10B

Antti Palosaari (1):
      v4l2-ctl: add tuner support for SDR tuners

Baard Eirik Winther (1):
      qv4l2: Add cropping option to remove pillarbox

Bård Eirik Winther (33):
      qv4l2: move function ctrlEvent
      qv4l2: add hotkeys for common operations
      qv4l2: fix minimum size in capture win to frame size
      qv4l2: add Capture menu
      qv4l2: new modular capture window design
      qv4l2: add OpenGL rendering
      qv4l2: alter capture menu
      qv4l2: new ALSA stream source code
      qv4l2: fix a bug where the alsa thread never stops
      qv4l2: add ALSA stream to qv4l2
      qv4l2: add ALSA audio playback
      qv4l2: fix YUY2 shader
      qv4l2: fix black screen with opengl after capture
      qv4l2: show frames option can be toggled during capture
      qv4l2: add function getMargins
      qv4l2: add video scaling for CaptureWin
      qv4l2: add hotkey for reset scaling to frame size
      qv4l2: add aspect ratio support
      qv4l2: generalized opengl include guards
      qv4l2: fix YUY2 shader
      qv4l2: fix black screen with opengl after capture
      qv4l2: show frames option can be toggled during capture
      qv4l2: create function getMargins
      qv4l2: add video scaling for CaptureWin
      qv4l2: added resize to frame size in Capture menu
      qv4l2: add hotkey for reset scaling to frame size
      qv4l2: add pixel aspect ratio support for CaptureWin
      qv4l2: change m_scaledFrame to m_scaledSize
      qv4l2: fix missing status tips
      qv4l2: fix program input parameters
      qv4l2: add manpage
      qv4l2: updated about window
      qv4l2: fix GeneralTab layout

Gregor Jasny (22):
      Start v4l-utils 1.1.x development branch
      libv4lconvert: Reject too short source buffer before accessing it
      buildsystem: use subdir-objects automake option as suggested by automake
      buildsystem: Do not specify library version for static libs
      buildsystem: Use autoconf variable for symbol visibility flag
      buildsystem: Use C99 by default
      libdvbv5: Fix compiler warning about signedness
      libv4lconvert: Add ASUS A7M to upside down table
      libdvbv5: FIx check for available adaptation field
      libdvbv5; Fix typo in MPEG TS print function
      v4l2-ctl: Do not leak framebuffer handle in error paths
      dvbv5-zap: Close open file descriptor in error path
      dvbv5-zap: Always initialize status variable
      libv4lconvert: Error out if source or destination pointers are null
      libv4lconvert: Gracefully handle unknown SE401 destination formats
      libdvbv5: Distribute internal header, too
      mediactl: Distribute internal header, too
      buildsystem: Distribute Android.mk files
      v4l2-compliance: Distribute internal header, too
      qv4l2: Distribute manpage
      libdvbv5: Do not install libdvbv5 by default
      Prepare for 1.2.0 release

Hans Verkuil (130):
      qv4l2: fix a segfault for native 32 bpp formats
      Revert "qv4l2: add aspect ratio support"
      Revert "qv4l2: add hotkey for reset scaling to frame size"
      Revert "qv4l2: add video scaling for CaptureWin"
      Revert "qv4l2: add function getMargins"
      Revert "qv4l2: show frames option can be toggled during capture"
      Revert "qv4l2: fix black screen with opengl after capture"
      Revert "qv4l2: fix YUY2 shader"
      qv4l2: add cropping to CaptureWin and Qt render
      qv4l2: call setFrame before resize to get correct frame size calculation
      rds-ctl: fix segfault in list_devices()
      v4l2-ctl: fix '--set-dv-bt-timings query' option.
      v4l2-ctl: properly close filehandles on error
      v4l-utils: sync with latest kernel.
      v4l2-ctl: set b.num_planes to 1 for single plane output formats.
      qv4l2: crop: take pixel aspect ratio into account.
      v4l2-compliance: check for invalid m2m + overlay caps
      v4l2-compliance: check that streaming will fail for overlays
      v4l2-ctl: use libv4l2 wrapper for mmap as well.
      qv4l2: fix broken VBI support
      v4l-utils: run sync-with-kernel, add ioctl32 tests for v4l2-subdev.h
      v4l2-ctl: errors during streaming setup were ignored
      libv4l2rds: update the list of AFs if the number of AFs changes
      libv4l2rds: rename V4L2_RDS_FLAG_STATIC_PTY to _DYNAMIC_PTY
      rds-ctl: add support for dynamic/static PTY
      v4l2-ctl: --all should also show multiplanar formats.
      v4l2-compliance: add bytesperline sanity check for multiplanar formats.
      v4l2-compliance: add streaming tests
      v4l2-compliance: fix broken test for V4L2_FRMIVAL_TYPE_CONTINUOUS
      v4l2-ctl: add support for fields
      v4l2-compliance: fix read() test and reopen after read/write
      v4l2-ctl: automatically detect single/multiplanar buffer type.
      v4l2-compliance: test streaming with bogus v4l2_buffer values.
      v4l2-compliance: check if USERPTR is actually supported.
      v4l2-compliance: restore the initial formats after testing S_FMT
      v4l2-compliance: add EXPBUF and DMABUF streaming tests.
      v4l2-compliance: test for invalid dmabuf file descriptors.
      qv4l2: add combobox to select the field format.
      v4l2-compliance: add tests for multiplanar capture.
      v4l2-compliance: fix data_offset related tests
      v4l2-ctl: fix regression when setting vidcap format
      v4l2-compliance: move streaming setup code to main source.
      v4l2-compliance: move functions around.
      v4l2-compliance: Update fixme.txt
      v4l2-compliance: fix BUF_TYPE vs CAP mixup.
      v4l2-compliance: obtain expbuf caps and fix radio/vbi bug
      v4l2-compliance: now support all formats in the streaming tests.
      v4l2-ctl: is_mplane was never set.
      v4l2-compliance: add new mmap tests.
      v4l-utils: fix optional args for short opts
      v4l2-ctl: set timestamp for output buffers.
      v4l2-ctl: add streaming between two video devices using dmabuf
      v4l2-ctl: the colorspace can now be set for outputs.
      v4l2-ctl: improve the overlay support
      v4l2-compliance: add M2M streaming support
      v4l2-compliance: fill output buffers.
      v4l2-compliance: fix check for correct return code for STREAMON.
      v4l2-compliance: reopen node after each streaming test.
      v4l2-compliance: change one warn to info.
      v4l2-compliance: lower default framecount to 60.
      v4l2-compliance: bypass libv4l2 for expbuf handling.
      v4l2-compliance: improve clip checking
      v4l2-compliance: add tests for output buffer error checking
      v4l2-ctl: skip captured buffers with flag V4L2_BUF_FLAG_ERROR
      qv4l2: ignore buffers with flag V4L2_BUF_FLAG_ERROR.
      sync-with-kernel should also copy fb.h
      v4l-utils: ran sync-with-kernel which added the fb.h header.
      qv4l2: two field related fixes
      qv4l2: support top/bottom/alternate field settings.
      qv4l2: add check if the shader function is available.
      v4l2-compliance: check for presence of a tuner/modulator
      v4l2-compliance: improve format matching code.
      qv4l2: initialize comboboxes with sensible initial sizes.
      qv4l2: QUERYSTD returns STD_UNKNOWN if there is no standard
      qv4l2: fix frequency handling
      qv4l2: disable what shouldn't be touched while streaming.
      v4l2-compliance: add tests for queuing operations with invalid indices.
      v4l2-compliance: more nasty evil stream I/O checks
      qv4l2: fix incorrect call to s_fmt when disabling width/height
      qv4l2: fix incorrect handling of fields
      v4l-utils: sync with latest kernel headers.
      v4l2-ctl: add support for SDR FMT
      v4l2-ctl: implement list SDR buffers command
      v4l2-ctl: add timestamp source support.
      v4l2-compliance: add timestamp source tests.
      v4l2-ctl: add missing v4l2-ctl-sdr.cpp file.
      v4l2-ctl: support SDR capture streaming.
      v4l2-compliance: add SDR compliance tests.
      v4l2-compliance: add 1HZ support when setting the frequency.
      qv4l2: add SDR support.
      qv4l2: use QDoubleSpinBox for frequency inputs
      v4l2-compliance: support menu controls with more than 32 items
      v4l2-ctl/compliance: use the correct mmap/munmap functions.
      v4l2-ctl: add support for custom bytesperline values.
      qv4l2: increase max width/height to 4K resolution.
      v4l2-ctl: fix printing of buffer flags
      v4l-utils: sync to latest kernel headers
      v4l2-ctl: add --clear-edid option.
      v4l2-ctl: rename old v4l2_subdev_edid and VIDIOC_SUBDEV_G/S_EDID
      v4l2-compliance: add test setting all enumerated timings.
      v4l2-compliance: add G/S_EDID tests.
      libv4lconvert: remove broken ALTERNATE handling
      v4l2-compliance: add helper headers
      v4l2-compliance: use the new cv4l-helpers.h header.
      v4l2-compliance: m2m devices should have only one input and output
      v4l2-compliance: test control/format/codec ioctls for all inputs/outputs
      qv4l2: add support for V4L2_PIX_FMT_NV16M/61M
      v4l2-compliance: fix function pointer prototype.
      v4l2-compliance: add missing 'class' keyword after 'friend'
      v4l2-compliance: fix 32-bit compilation for v4l_fd_init()
      qv4l2: only set m_isRadio if m_isSDR is true.
      qv4l2: fix modulator frequency bugs
      libv4lconvert: fix a v4l2-compliance error
      v4l2-compliance: don't do the global format test when using libv4l2.
      sync-with-kernel: update to latest kernel headers.
      libdvbv5: fix compile error
      v4l2-ctl: add support V4L2_EVENT_SOURCE_CHANGE
      libdvbv5: generate the correct include in dvb-v5.c
      Synced with latest kernel.
      Add missing v4l2-mediabus.h
      Synced with latest kernel
      qv4l2: fix segmentation fault when compiled without ALSA support.
      v4l2-compliance: fix broken querymenu check.
      qv4l2: add support for the V4L2_EVENT_SOURCE_CHANGE event.
      v4l2-compliance: don't warn about missing frameintervals
      v4l2-ctl: add support to try/set raw VBI formats
      v4lgrab/vbi-test: remove these utilities
      qv4l2-qt3: remove utility
      qv4l2: fix opengl support for RGB32/BGR32.
      v4l2-compliance: M2M cap + input or output caps should be an error.

Hans de Goede (6):
      libv4lcontrol: Check control_flags before doing wildcard maching on upside_down
      libv4lcontrol: Add Asus F3Sc with 04f2:b012 cam as upside down false positive
      libv4l2: decomress-helper: close fds then wait for helper to exit
      rc_keymaps: Add a keymap for the remote shipped with allwinner ba10 tv boxes
      rc_keymaps: Add a keymap for the remote shipped with allwinner i12-a20 tv boxes
      rc_keymaps: Add keymap for the remote shipped with the Wobo i5 tv box

Hans-Christian Egtvedt (8):
      v4l2-ctl: remove unnecessary inclusion of libv4l2.h
      v4l2-compliance/ctl: drop libv4l2 dependency if NO_LIBV4L2 is defined
      Add static configuration file for Android builds
      v4l2-ctl/dbg: include android-config.h header file if ANDROID is set
      v4l2-compliance: add Android.mk makefile
      v4l2-ctl: add Android.mk makefile
      v4l2-dbg: add Android.mk makefile
      INSTALL: add cross compile and install procedures for Android

Lad, Prabhakar (2):
      libv4l: Update the README name for libv4l
      libv4l: Update the link pointing the patch for porting the application to libv4l2

Laurent Pinchart (17):
      Import the media-ctl utility and libraries
      media-ctl: Rename source files
      media-ctl: Remove the obsolete device argument from the help text
      media-ctl: Document the --links option argument
      media-ctl: Always print the full help message
      media-ctl: Don't install libmediactl and libv4l2subdev
      media-ctl: Update copyright years
      media-ctl: Fix off-by-one buffer overflow with readlink
      media-ctl: Fix media device version printing
      media-ctl: Add fall through comment to fix Coverity warning
      media-ctl: libv4l2subdev: Add DV timings support
      media-ctl: Move flags printing code to a new print_flags function
      media-ctl: Add DV timings support
      Update sync-with-kernel to use installed kernel headers
      wip
      media-ctl: Pass a positive error value to strerror()
      Revert "wip"

Martin Bugge (1):
      v4l2-ctl: add EDID get and set options

Mauro Carvalho Chehab (166):
      dvbv5-scan: Allow using separate adapter for FE and demux
      libdvbv5: add descriptor parser for ATSC TVCT/CVCT tables
      libdvbv5: fix VCT parsing
      libdvbv5: Add ATSC specific descriptors
      libdvbv5: add parser for ATSC service location
      libdvbv5: Add support for additional descriptors at VCT table
      libdvbv5: Add table ID of extra NIT/SDT tables
      libdvbv5/dvb-scan: Modify to use the newer TS tables parser
      libdvbv5: move DVB scan handler code to a separate file
      libdvbv5: move handler code to a separate file
      libdvbv5: move all tables structs to the handler data
      libdvbv5: fixup parsing of PMT tables
      libdvbv5: Add a parser for extension descriptors
      libdvbv5/dvb-scan: handle allocation errors
      libdvbv5/dvb-scan: be more verbose in debug mode
      libdvbv5/dvb-scan: Fix a series of checks at buffer handling
      libdvbv5/parse_string: don't free twice
      libdvbv5: better handle memory errors
      libdvbv5/descriptors: print descriptor number in hexadecimal
      descriptors/nit: byte struct should be packed
      libdvbv5/descriptors: Make easier to read/edit the descriptors table
      libdvbv5: add support for ISDBT terrestrial system descriptor
      libdvbv5: add parser for TS information descriptor
      libdvbv5: Add descriptors for virtual channel number
      libdvbv5: Add support for partial reception
      libdvbv5: add suport for DVB-T2 delivery descriptor
      libdvbv5: avoid playing with memory
      libdvbv5/dvb-scan-table-handler:free the new table descriptors
      libdvbv5: Add some missing code to free data
      libdvbv5: Better handle program data
      libdvbv5/dvb-fe: make valgrind happy
      libdvbv5/descriptors: descriptors data should always be freed
      libdvbv5/dvb-scan: fix memory leak
      libdvbv5/dvb-scan-table-handler: remove free of unallocated structs
      libdvbv5: produce dvb data from the new structures
      libdvbv5/dvb-file: use the new descriptors for virtual channel
      libdvbv5/dvb-file: fix allocation of dvb_file
      libdvbv5/dvb-file: fix parameters for dvb_vchannel()
      Fix desc_frequency_list descriptor
      libdvbv5: add support for ATSC VCT table parsing
      libdvbv5: On ATSC, only try to get SDT if VCT is not found
      libdvbv5: don't leak memory on ATSC service location
      dvb-fe: don't cause memory leak on open errors
      dvbv5-scan: release resources on errors
      libdvbv5/dvb-file: Allow using SDT for ATSC
      libdvbv5/dvb-scan: avoid memory leak on table read timeout
      dvb/dvbv5-zap: Fix help message
      libdvbv5/dvb-scan: require PAT also for ATSC
      libdvbv5/dvb-file: Fix the logic for program found check
      libdvbv5/descriptors: Fix error handling routine
      libdvbv5/descriptors: Fix extension descriptor handling
      libdvbv5/descriptors: don't leak memory on error
      libdvbv5/dvb-file: Don't leave memory leaks on channel store failure
      libdvbv5: avoid nit to read out of the buffer
      libdvbv5: be sure to not go past buffer on PAT parsing
      libdvbv5: add multisection support for PAT table
      libdvbv5: fix debug msg for Network PID
      libdvbv5: don't cause crash if NIT is missing on fe-file.c
      libdvbv5: Add missing dvb_dmx_stop() on error handling
      libdvbv5: be sure to not go past buffer on PMT parsing
      libdvbv5: be sure to not go past buffer on SDT parsing
      libdvbv5: be sure to not go past buffer on VCT parsing
      libdvbv5: shut up a few compilation warnings
      libdvbv5: improve debug messages
      libdvbv5/dvb-file: describe the service type on the logs
      dvbv5-scan: move scanning code into dvb_scan_transponder()
      libdvbv5: Re-add NIT transponders addition
      libdvbv5: Re-add parser for ISDB-T NIT transponders addition
      libdvbv5: Re-add parser for ISDB-T NIT transponders addition
      libdvbv5: add support for DVB-S/S2 at NIT parser
      libdvbv5: add support for DVB-T2 at NIT parser
      libdvbv5: remove the remaining bits from the NIT parsers
      libdvbv5: better implement the NIT parser
      libdvbv5: properly handle ISDB-T partial reception
      libdvbv5: get rid of dvb-scan-table-handler.[ch]
      libdvbv5: handle NIT descriptors when verbose is not enabled
      libdvbv5: Improve descriptor error logs
      libdvbv5: Fix the size of the LCN descriptor
      libdvbv5: some error handling improvements on dvb-file
      libdvbv5/descriptors.c: fix two warnings
      dvbv5-zap: allow using transponder frequency while in monitor mode
      dvbv5-zap: make Valgrind happy
      libdvbv5: clear data before setting a dmx filter
      libdvbv5/dvb-demux: fix CodingStyle
      dvbv5-zap: handle timeout also while in monitor mode
      dvbv5-zap: exit nicely on SIGTERM/SIGINT
      dvbv5-scan: handle SIGTERM/SIGINT nicely
      dvbv5-zap: only handle SIGALRM if need
      libdvbv5: fix extension descriptor handler
      libdvbv5: fix T2 delivery descriptor handler
      libdvbv5: fix dvb-scan handler for T2 descriptor
      libdvbv5: fix terrestrial delivery constellation table
      libdvbv5: change log level for the two nit handler messages
      libdvbv5/dvb-scan: Remove dead code and add a check after realloc()
      libdvbv5: don't use realloc() inside pat.c
      dvbv5-scan: fix detection of duplicated freqs at the input file
      libdvbv5: fix error condition on ATSC service location descriptor
      libdvbv5: fix error condition on ISDBT delivery descriptor
      libdvbv5: Fix other error conditions for out of memory
      dvb5-zap: Better handle the MPEG TS header
      libdvbv5/dvb-scan: all tables should have an specified size
      libdvbv5: pack NIT table
      libdvbv5: fix other error conditions for out of memory
      libdvbv5: fix some out-of-bound acesses on hexdump()
      libdvbv5: Simplify PAT handling
      libdvbv5: simplify NIT table parser
      libdvbv5: cleanup PAT table parser
      libdvbv5: simplify PMT table parser
      libdvbv5: simplify SDT table parser
      libdvbv5: simplify VCT table parser
      dvb/README: Remove some obsolete data
      dvbv5-zap: fix all-pids record mode
      libdvbv5: fix memory leak at ISDB partial reception handler
      libdvbv5: Fix memory leak at TS info handler
      dvb-fe: be a little less verbose with verbosity level 1
      dvbv5-zap: on all pids mode, we can use the frequency
      dvbv5-zap: fix frontend status handling
      dvbv5-zap: allow using a frequency for a channel on exit after tuning
      libdvbv5: Fix a warning at isdb_desc_partial_reception_free
      libdvbv5: fix retrieve parameters for ISDB-T
      libdvbv5/dvb-fe: Fall back to v3 if needed
      libdvbv5: Only discard the services not found
      dvb-fe: fix using a DVB-T file for ISDB-T
      dvb: simplify the logic that sets a (compat) DTV delivery system
      dvb-scan: remove ISDB-T hack from it
      libdvbv5: fix get_frontend logic
      Replace my email address with the new one
      libdvbv5: move store/retrieve functions upper
      libdvbv5: better handle ATSC/Annex B
      dvb-scan: fix a print message
      descriptors: be sure to not read past the buffer
      vct: avoid read descriptors past the buffer
      dvb-demux: add code for DVB section filter
      dvb: Fix VCT handling
      dvb-scan: don't handle NIT table by default on ATSC
      dvb-fe: Add support for setting the LNA before tuning
      dvb: add support for LNA setting at scan and zap
      dvb-fe: Use a separate call to change LNA settings
      Add a parser for drxj
      Revert "dvb-scan: don't handle NIT table by default on ATSC"
      libdvbv5: better document some MPEG TS fields
      libdvbv5: reimplement the logic that gets a full section
      dvbv5-zap: only start audio filtering if audio PID > 0
      libdvbv5: Frequency is unsigned. use %u to print it
      libdvbv5: fix ISDB-T frequency calculus on 32 bits machines
      libdvbv5: move ISDB-T frq conversion to the descriptors code
      libdvbv5: fix the area code size on ISDB-T
      dvbv5-zap: fix usage of --record without --output
      dvbv5-zap: Make dvbv5 as the default format
      dvbv5-zap: better implement the --record flag
      dvbv5-zap: only open the DVR interface if outputing
      dvb-zap: fix --search argument
      libdvbv5: Change license to LGPL v2.1
      libdvbv5: Remove two warnings on 32 bits compilation
      Revert "libdvbv5: Change license to LGPL v2.1"
      libdvbv5: don't override a parameter when setting lna
      libdvbv5: Fix the speedup scan condition
      dvb-file: Fix bandwidth handling at online write function
      contrib: add a parser for dib0700
      parse_dib0700.pl: parse the remaining messages on dib0700
      parse_dib0700.pl: improve parser
      parse_dib0700.pl: add support to identify delays
      parse_dib0700.pl: Make the delays multiple of 10ms
      parse_dib0700.pl: autoflush writes
      parse_dib0700.pl: Parse REQUEST_SET_I2C_PARAM
      parse_dib0700.pl: parse REQUEST_GET_VERSION

Ricardo Ribalda Delgado (2):
      libv4lconvert: Support for Y16 pixel format
      libv4lconvert: Support for RGB32 and BGR32 format

Rob Barker (1):
      libdvbv5: Find other TS in NIT pointer fix

Stefan Ringel (1):
      v4l-utils: bugfix memory chunk

Thiago Santos (1):
      libv4l2: release the lock before doing a DQBUF



v4l-utils-1.0.0
---------------

Devin Heitmueller (1):
      Don't call G_TUNER unless actually performing a tuning related call

Diego Viola (1):
      Fix spelling of Qt in .desktop file (typo)

Gregor Jasny (20):
      qv4l2: Silence Qt build tools invocation if silent mode is enabled
      buildsystem: Do not bootstrap complete gettext for testing iconv
      libdvb: Disable library installation by default
      keytable: Always check if strtok return value is null
      libv4lconvert: Prevent integer overflow by checking width and height
      xc3082: Fix use after free in free_firmware()
      libdvbv5: Fix reallocation in parse_lcn
      rds-ctl: Always terminate strings properly
      libdvbv5: Fix copy and paste error in parse_service()
      libv4lconvert: Avoid division by 0 if gamma value is corrupted
      pixfmt-test: Explicitely mention fall-through
      v4l2-ctl: Do not read past end of num_planes array
      libv4lconvert: Fix resource leak in sq905 error path
      xc3028: Remove duplicate const
      libdvbv5: Actually check for lock
      libdvbv5: Free all memory in read_dvb_file error path
      libdvbv5: Free all memory in parse_format_oneline error path
      libdvbv5: Free tbl in dvb_read_section_with_id error paths
      libdvbv5: Properly free temporary variables at end of parse_string
      libdvbv5: Remove dead code in read_dvb_file.

Guy Martin (6):
      libdvbv5: Remove buggy parsing of extra DTV_foo parameters
      libdvbv5: Add parsing of POLARIZATION
      libdvbv5: Export dvb_fe_is_satellite()
      libdvbv5: Fix satellite handling and apply polarization parameter to the frontend
      libdvbv5: Use a temporary copy of the dvb parameters when tuning
      dvbv5-zap: Parse the LNB from the channel file

Hans Verkuil (20):
      v4l2-dbg: remove unused source.
      v4l2-compliance: refactor code to create invalid formats.
      v4l2-compliance: improve overlay clipping tests.
      v4l2-compliance: check that g_register fills the size field.
      rds-ctl: fix percentage handling.
      rds-ctl: support -d10 to refer to radio10.
      v4l2-compliance: fix typo
      v4l2-ctl: fix wrong array accesses in selection code.
      v4l2-ctl: V4L2_BUF_TYPE_PRIVATE is no longer used.
      Remove references to v4l2-chip-ident.h
      Sync with latest 3.10.0-rc7  kernel.
      libv4l2/log.c: add entry for new VIDIOC_DBG_G_CHIP_INFO ioctl.
      Remove committed v4l2-chip-ident.h headers.
      Sync with 3.11 kernel.
      qv4l2: always update controls by default
      libv4l2rds: fix coverity issues.
      rds-ctl: fix coverity issues.
      v4l2-dbg: fix coverity issues.
      v4l2-ctl: fix coverity issues.
      v4l2-ctl: (*XX).Foo -> XX->Foo

Hans de Goede (3):
      libv4l2: Add logging of dqbuf timestamps to debug logging
      libv4l2: Add V4L2_PERROR convenience macro
      libv4l2: do not log a ton of errors on device unplug

Konke Radlow (3):
      libv4l2rds: support RDS-EON and TMC-tuning info
      rds-ctl: support RDS-EON and TMC-tuning info
      libv4l2rds.c: moving functions to get rid of declarations

Mauro Carvalho Chehab (3):
      dvbv5-zap: sort the params by the key letter
      dvbv5-zap: add an option to not filter pids
      parse_string: fix encodings for Taiwan

Ricardo Ribalda Delgado (1):
      v4l2_compliance: -EINVAL is expected when ret is not 0

v4l-utils-0.9.5
---------------

Gregor Jasny (1):
      contrib: Add missing dist files for ioctl-test

v4l-utils-0.9.4
---------------

André Roth (3):
      libv4l-mplane: Fix compile flags to allow anonymous unions with gcc 4.5.5
      libdvbv5: fix compile error
      libdvbv5: fix anonymous unions on older gcc

Antonio Ospite (2):
      contrib/m920x/m920x_parse.pl: stricter check when extracting firmware
      contrib/m920x/m920x_parse.pl: silence a warning

Gregor Jasny (4):
      libv4l: Add ASUS F2F with STK DC-1125 to upside down list
      libv4l: Add Founder PC T14MF to upside down table
      contrib: Add missing files to distribution list

Hans Petter Selasky (1):
      libv4l: Don't try to access sysfs 256 times when there is no sysfs

Hans Verkuil (52):
      qv4l2: add missing information for string and integer controls
      qv4l2: add support for control events.
      v4l2-compliance: allow EINVAL to be returned by S/TRY_FMT.
      qv4l2: fix setting frequency for radio modulators
      v4l-utils: sync with latest kernel.
      v4l2-ctl: show used timestamp type.
      v4l2-compliance: add check whether the timestamp is monotonic.
      v4l-utils: fix make install problems with ln -s
      v4l-utils: fix two 'dereferencing type-punned pointer' warnings
      v4l2-compliance: reorganize verbosity options
      ioctl-test: improve comments and add checks against ioctl num changes.
      v4l2-compliance: improve read/write error reporting.
      qv4l2: don't show "Query Standard" button if QUERYSTD isn't supported.
      qv4l2: correctly update frame width and height for fixed resolutions.
      v4l2-ctl: improve interval reporting.
      v4l2-ctl: when streaming to file use bytesused instead of the full buffer.
      v4l2-ctl: improve dv_timings reporting.
      v4l2-ctl: support data_offset when streaming multiplanar formats.
      v4l2-ctl: show buffers or key/P/B-frames when capturing.
      v4l2-* utils: allow -d11 to refer to /dev/video11
      v4l-utils: run sync-with-kernel.
      v4l2-ctl: add support for 'COPY' timestamp and ctrl range events.
      v4l2-compliance: add support for the new 'COPY' timestamp type.
      v4l2-compliance: missing check on the frameinterval
      v4l2-compliance: improve tests when TRY/S_FMT returns EINVAL.
      qv4l2: do nothing if querystd does not detect a standard.
      qv4l2: handle control range updates.
      libv4l2/log.c: update list of ioctls.
      v4l2-compliance: fix s_std test: ENODATA is a valid error code.
      v4l2-ctl: don't produce verbose output for QBUF while streaming.
      qv4l2: fix the way interlaced formats are displayed
      v4l2-ctl: fix the field-per-second calculation
      qv4l2/v4l2-ctl: fix the fields-per-second calculation
      qv4l2/v4l2-ctl: fix rounding error in field-per-second calculation
      v4l2-ctl: add the --concise option.
      v4l-utils: sync with kernel, remove all references to the DV_PRESET API.
      v4l-utils: sync to the latest kernel.
      v4l-utils: sync-with-kernel.
      v4l2-compliance: remove ChipIdent tests
      v4l2-ctl: set bytesused for streaming to the output.
      v4l2-compliance: fix RDS + CAP_READWRITE tests.
      v4l2-compliance: really fix the RDS and V4L2_CAP_READWRITE tests
      v4l2-ctl: add eos and decoder-stop support.
      v4l2-ctl: use references instead of pointers.
      v4l2-ctl: fix a small bug in the stream-count/skip handling.
      v4l2-ctl: split off test pattern generation in a separate source.
      v4l2-ctl: small improvements.
      v4l2-ctl: poll/non-poll behavior fixes
      v4l2-ctl: find_pixel_format couldn't handle output streams.
      v4l-utils: sync with latest kernel.
      v4l2-dbg: replace CHIP_IDENT with CHIP_INFO.
      v4l2-ctl: introduce buffers class to simplify the streaming code

Jean Delvare (1):
      dvbv5-zap: Fix build warning

Laurent Pinchart (2):
      v4l2-compliance: Print invalid return codes in control tests
      v4l2-compliance: Print invalid error_idx values in control tests

Mauro Carvalho Chehab (50):
      ir-keytable: Add support for testing EV_ABS events
      keytable: merge two identical structures into one
      keytable: reorder functions to put similar code together
      keytable: Add handler for EV_REL type
      keytable: also print code for unknown/unhandled events
      keytable: Put events in numeric order
      keytable: Add the remaining other unhandled events
      keytable: Make the parsing code more generic
      keytable: properly print the other MSC_* event names
      keytable: be clear when a value is in hexadecimal
      keytable: always use hexadecimal values for scancodes
      dvbv5-zap: Allow to enable FE debug
      Sync with kernel, with DVB stats
      dvb-fe: add support for DVBv5 stats
      dvbv5-zap: use the new DVBv5 stats API
      dvb-fe: Add a flag to indicate if DVBv5 stats is in use
      dvb-fe: Improve BER measurements for DVBv5
      dvb-fe: Allow returning BER in a float value
      dvbv5-zap: better display BER
      dvb-fe: Add a method to report PER
      dvb: Move the core of the stats logic to dvb-fe
      dvb-fe: Fix PER statistics measurement
      dvb-fe: Add support for a quality measurement
      dvb: Rename a few DVB statistics
      dvb: Add support for retrieving pre-BER data
      dvb: use a macro for the number of Kernel stats
      dvb: Better name the post-BER data
      dvb: add support for pre-BER measurement
      dvb: if the signal vanishes, bit/block error counters should vanish
      dvbv5-zap: improve status display
      dvbv5-scan: use library support for stats print
      dvbv5-scan: also prints signal strength on tuner fail
      ioctl-test: Auto-generate the list of ioctls to test
      Add DVB headers to make sync-with-kernel
      ioctl-test: expand it to also test DVB frontend/demux
      dvbv5-scan: Fix get_signal logic
      dvb-fe: Fix check for stats property
      dvb-fe: Reserve space for the other DVBv5 properties
      dvbv5-zap: Only go back if is there anything to clean
      dvb5-scan: Improve output to better show the status
      dvbv5-scan: don't be too verbose with status
      dvb-scan: Don't call dvb_fe_get_stats() twice
      dvb-fe: Supress statistics if signal lock vanishes
      dvbv5-scan: timeout-multiply should also affect the timeout for scan
      dvbv5-zap: add traffic monitor support
      dvbv5-zap: output stats to stdout on monitor mode
      dvbv5-zap: Better output at monitor mode
      dvbv5-zap: don't stop monitoring for buffer underrun
      dvbv5-zap: better represent low_traffic data in monitor mode
      dvbv5-zap: print elapsed time when buffer overflow happens

Riku Voipio (1):
      v4l-utils: use openat when available

Tzu-Jung Lee (2):
      v4l2-ctl: break down the streaming_set()
      v4l2-ctl: initial attempt to support M2M device streaming

v4l-utils-0.9.3
---------------
* Synced with latest kernel headers

* v4l2-ctl changes
  * fixed bug in parse_subopt
  * --list-buffers didn't work for multiplanar formats

* v4l2-compliance
  * work around missing ENODATA on (k)FreeBSD
  * add test whether V4L2_MEMORY_DMABUF is supported
  * add the new EXPBUF ioctl

v4l-utils-0.9.2
---------------
* libv4l changes
  * Add a libv4l plugin for mplane handling

* v4l2-ctl changes
  * load initial frames from the file as well
  * add --stream-loop for streaming to an output
  * zero bytesperline

* test utility changes
  * Add an OpenGL test application to test utilities in contrib

* buildsystem changes
  * Use udev pkgconfig file to populate installation directory
  * Query Qt rcc tool location and fall back to rcc if not available

v4l-utils-0.9.1
---------------
* libv4l changes
  * Various Pixart JPEG fixes
  * Add more notebooks to the upside down device table
  * Use bytesperline instead of width (Robert Abel)
  * Better luminance quantization table for Pixart JPEG (Jean-Francois Moine)
  * Fix out of bounds array usage
  * Prevent GCC 4.7 inlining error
  * Add support for libjpeg >= v7
  * Add new matching algorithm for upside down table
  * Retry with another frame on JPEG header decode errors
  * Improved JL2005BCD support (Theodore Kilgore)
  * Set errno to EIO if getting 4 consecutive EAGAIN convert errors
  * Make software autowhitebalance converge faster
  * Add quirk support for forced tinyjpeg fallback

* ir-keytable changes
  * Fixed file parsing errors
  * Add support for Sanyo IR and RC-5-SZ protocol
  * Add missing mouse buttons in shipped keytables

* libdvbv5 changes
  * Initial release

* libv4l2rds and rds-ctl
  * Initial release (Konke Radlow)

* qv4l2 changes
  * Fix segfault when there are no inputs or outputs
  * Fix endianess issues
  * Add support for new timing ioctls
  * Improve frequency and radio support
  * Add VBI support
  * Add ability to make a snapshot
  * Add support to stream raw frames into a file

* buildsystem changes
  * Converted buildsystem to autotools
  * Made buildsystem cross compiling friendly
  * Support out of tree builds

v4l-utils-0.8.5
---------------
* Utils changes
  * parse_em28xx_drxk.pl: New parser for dumps of em28xx with drxk frontend
    (mchehab)
  * qv4l2: Add support for bitmap controls (hverkuil)
  * v4l2-ctl: add support for the new bitmask control type (hverkuil)
  * v4l2-ctl: add support for the control event (hverkuil)
  * v4l2-ctl: small bugfixes (hverkuil)
  * v4l2-compliance: various new tests (hverkuil)
  * lib_media_dev: various fixes / cleanups (hdegoede)
* libv4l changes
  * Add some more laptop models to the upside down devices table (hdegoede)
  * Add support for SE401 pixelformat (hdegoede)
  * Software autogain tweaks (hdegoede)

v4l-utils-0.8.4
---------------
* Utils changes
  * Various small fixes (hverkuil, mchehab)
  * qv4l2: Add support for configuring the framerate for devices which support
    this like uvc cams (hdegoede)
  * parse_tcpdump_log.pl: new parser for tcpdump / wireshark made usbmon
    dumps (mchehab)
  * New lib_media_dev lib, to pair audio devices with video devices
    (and other combinations) for now this lives in utils and does not get
    installed systemwide, as the API is not stable (mchehab)
* libv4l changes
  * Add many more laptop models to the upside down devices table (hdegoede)
  * Some small bugfixes (hdegoede)
  * Add vicam cameras to list of cameras need sw auto gain + whitebalance
    (hdegoede)
  * Add support for M420 pixelformat (hdegoede)
  * Add support for Y10B pixelformat (Antonio Ospite)
  * Add support for JPGL pixelformat (jfmoine)
  * Modified (rewrote) jpeg decompression code to use libjpeg[-turbo], for
    much lower cpu load when doing jpeg decompression (hdegoede)
  * Detect usb connection speed of devices (hdegoede)
  * Rewrite src format selection algorithm, taking bandwidth into account and
    choosing the format which will give us the lowest CPU load while still
    allowing 30 fps (hdegoede)
  * Intercept S_PARM and redo src format selection based on new fps setting,
    potentially switching from JPG to YUYV / M420 when the app lowers the
    fps, resulting in a significant lower cpu load (hdegoede)

v4l-utils-0.8.3
---------------
* Utils changes:
  * Various ir-keytable improvements (mchehab)
  * Various cx231xx parser improvements (mchehab)
* libv4l changes
  * Add a few more laptop models to the upside down devices table (hdegoede)
  * Make libv4l1 compile with kernels >= 2.6.38, which no longer have the
    v4l1 linux/videodev.h header (hdegoede)

v4l-utils-0.8.2
---------------
* Utils changes:
  * Various ir-keytable improvements (mchehab)
  * Various qv4l2 fixes (hverkuil, hdegoede)
  * Various v4l2-ctl fixes (hverkuil)
  * Add parsers for cx231xx i2c, saa7134 pci, sn9c201 usb and generic usb
    logs (mchehab)
  * v4l2-compliance: lots of new tests (hverkuil)
* libv4l changes
  * Add many more laptop models to the upside down devices table (hdegoede)
  * Add support for 8-bits grey format (V4L2_PIX_FMT_GREY) (mchehab)

v4l-utils-0.8.1
---------------
* Utils changes:
  * Various v4l-keytable improvements (mchehab)
  * Various qv4l2 fixes (hverkuil)
  * v4l2-ctl: Added support for s/g_dv_timings (Mats Randgaard)
* libv4l changes (hdegoede):
  * Add many more laptop models to the upside down devices table
  * Detect short frames (and retry upto 3 times to get a non short frame)
  * Support (uvc) cameras with more then 16 framesizes properly (Balint Reczey)
  * libv4l1 no longer relies on the kernel v4l1 compat ioctl handling, many
    thanks to Huzaifa Sidhpurwala for his work on this!
  * Add support for Xirlink C-It YYVYUY
  * Add support for konica yuv420 format

v4l-utils-0.8.0
---------------
* Utils changes:
  * Various v4l-keytable improvements (mchehab)
  * Various v4l2-ctl fixes (hverkuil)
  * Various qv4l2 fixes (hverkuil)
* libv4l changes (hdegoede):
  * Add many more laptop models to the upside down devices table
  * Some minor bugfixes

v4l-utils-0.7.91
----------------
* Utils changes:
  * Improve v4l-keytable to better support IR (mchehab)
  * Rename v4l-keytable to ir-keytable (mchehab)
* libv4l changes (hdegoede):
  * Add more laptop models to the upside down devices table
  * Ignore convert errors in the first few frames of a stream

v4l-utils-0.7.90
----------------
* This is the first release of v4l-utils, v4l-utils is the combination
  of various v4l and dvb utilities which used to be part of v4l-dvb
  mercurial kernel tree and libv4l.
* This first version is 0.7.90, as the version numbers continue were libv4l
  as a standalone source archive stops.
* libv4l changes:
  * Add more laptop models to the upside down devices table
  * Fix Pixart JPEG ff ff ff xx markers removal, this fixes the occasional
    corrupt frame we used to get (thanks to Németh Márton)
  * Enable whitebalance by default on various sonixj based cams
  * Enable whitebalance + gamma correction by default on all sonixb cams
  * Enable gamma correction by default on pac7302 based cams

Note all history below this line only applies to libv4l and not to the utils
----------------------------------------------------------------------------

libv4l-0.6.4
------------
* Add more laptop models to the upside down devices table
* Add error checking to mr97310a decompression
* Increase mr97310a minimum clockdiv upon 3 consecutive decoding errors
* Add support for decompressing CPIA1 compressed YUV
* Speed up autogain algorithm

libv4l-0.6.3
------------
* Add more laptop models to the upside down devices table
* Improved mr97310a decompression
* Add support for decompressing yuv420 planar JPEG (one component per SOS,
  3 SOS per frame), this is needed for w9968cf based cams
* Add support for STV0680 raw bayer data

libv4l-0.6.2
------------
* Add more laptop models to the upside down devices table
* Put usb id in controls shm segment name for USB devices, to better
  distuingish between devices plugged into the same port
* Enable software whitebalance and autogain for mr97310a cameras
* Improvements / tweaks to software autogain algorithm

libv4l-0.6.1
------------
* Add more laptop models to the upside down devices table
* Makefile changes to make life easier for the Debian package (Gregor Jasny)
* Bugfix: fixup 320x240 output for pac7302 cameras
* README improvements / clarifications (Bifferos)
* Bugfix: fix reqbuf Device or Resource busy error when using v4l2_read()
* Some applications want to use jpg format if possible, so do not hide
  it from the apps (do not assume it always needs conversion)
* Change controls shm segment name to include the username, as it is only
  writable by the user (this means libv4l controls are per user) (Gregor Jasny)
* Add support for decompressing sn9c2028 compressed bayer (Theodore Kilgore)
* Report V4L2_FMT_FLAG_EMULATED in v4l2_fmtdesc flags for emulated formats

libv4l-0.6.0
------------
* Recognize disabled controls and replace with fake equivalents where
  available
* Add support for decompressing ov511 and ov518 "JPEG", by piping data through
  an external helper as I've failed to contact Mark W. McClelland to get
  permission to relicense the code. If you know a working email address for
  Mark W. McClelland, please let me know.
* Add tons of laptop models to the upside down devices table
* Support for rgb565 source format by Mauro Carvalho Chehab
* Many bug fixes (see the mercurial tree for details)
* Improved pac207 decompression code to also support higher compression
  modes of the pac207, which enables us to use higher framerates.
  Many many thanks to Bertrik Sikken for figuring the decompression out!

libv4l-0.5.99
-------------
* Link libv4lconvert with -lm for powf by Gregor Jasny
* Fix black screen on devices with hardware gamma control
* Fix crash with devices on which we do not emulate fake controls
* Add a patch by Hans Petter Selasky <hselasky@freebsd.org>, which should
  lead to allowing use of libv4l (and the Linux webcam drivers ported
  to userspace usb drivers) on FreeBSD, this is a work in progress

libv4l-0.5.98
-------------
* Add software gamma correction
* Add software auto gain / exposure
* Add support for separate vflipping and hflipping
* Add fake controls controlling the software h- and v-flipping
* Add ability to determine upside down cams based on DMI info
* Add the capability to provide 320x240 to apps if the cam can only
  do 320x232 (some zc3xx cams) by adding black borders
* Rewrite video processing code to make it easier to add more video filters
  (and with little extra processing cost). As part of this the normalize
  filter has been removed as it wasn't functioning satisfactory anyways
* Support V4L2_CTRL_FLAG_NEXT_CTRL for fake controls by Adam Baker
* Some makefile improvements by Gregor Jasny
* Various small bugfixes and tweaks
* The V4L2_ENABLE_ENUM_FMT_EMULATION v4l2_fd_open flag is obsolete, libv4l2
  now *always* reports emulated formats through the ENUM_FMT ioctl

libv4l-0.5.97
-------------
* As the version number shows this is a beta release of the 0.6.x series,
  the big change here is the addition of video processing to libv4l
  currently this only does whitebalance and normalizing (which turns out
  to be useless for most cams) but the basic framework for doing video
  processing, and being able to control it through fake v4l2 controls using
  for example v4l2ucp is there.
  The initial version of this code was written by 3 of my computer science
  students: Elmar Kleijn, Sjoerd Piepenbrink and Radjnies Bhansingh
* Currently whitebalancing gets enabled based on USB-ID's and it only gets
  enabled for Pixart webcam's. You can force it being enabled with other
  webcams by setting the environment variable LIBV4LCONTROL_CONTROLS, this
  sets a bitmask enabling certain v4l2 controls which control the video
  processing set it to 15 to enable both whitebalancing and normalize. You
  can then change the settings using a v4l2 control panel like v4l2ucp
* Only report / allow supported destination formats in enum_fmt / try_fmt /
  g_fmt / s_fmt when processing, rotating or flipping.
* Some applications / libs (*cough* gstreamer *cough*) will not work
  correctly with planar YUV formats when the width is not a multiple of 8,
  so crop widths which are not a multiple of 8 to the nearest multiple of 8
  when converting to planar YUV
* Add dependency generation to libv4l by: Gilles Gigan <gilles.gigan@gmail.com>
* Add support to use orientation from VIDIOC_ENUMINPUT by:
  Adam Baker <linux@baker-net.org.uk>
* sn9c20x cams have occasional bad jpeg frames, drop these to avoid the
  flickering effect they cause, by: Brian Johnson <brijohn@gmail.com>
* adjust libv4l's upside down cam detection to also work with devices
  which have the usb interface as parent instead of the usb device
* fix libv4l upside down detection for the new v4l minor numbering scheme
* fix reading outside of the source memory when doing yuv420->rgb conversion

libv4l-0.5.9
------------
* Add support for MR97310A decompression by Kyle Guinn <elyk03@gmail.com>
* Add support for sq905c decompression by Theodore Kilgore
  <kilgota@auburn.edu>
* Add hm12 support for the cx2341x MPEG encoder devices by Hans Verkuil
  <hverkuil@xs4all.nl>

libv4l-0.5.8
------------
* Add support for UYVY (for USB Apple iSight) patch by Julien BLACHE
  <jb@jblache.org>
* Remove v4lconvert_yvyu_to_yuv420 function as its functionality is
  duplicate with v4lconvert_yuyv_to_yuv420
* Use Requires.private where appropiate in .pc files (patch by Gregor Jasny)
* Switch to using USB-id's instead of USB product string, as not all devices
  set a unique product string. This fixes the upside down issues with
  genius e-messenger 112 cams
* Add support for sn9c20x-i420 format patch by Vasily Khoruzhick
  <anarsoul@gmail.com>

libv4l-0.5.7
------------
* Fix a nasty (and stupid) bug in the special try_fmt handling for UVC cams
* Add some more verbose logging of various calls when asking libv4l to log
  calls to a file, to assist in (future) debugging

libv4l-0.5.6
------------
* Always do a s_fmt on uvc cams even if this changes nothing, as not doing
  the s_fmt triggers a bug in the uvcvideo driver in kernel <= 2.6.28
  (with certain cams)

libv4l-0.5.5
------------
* Avoid the use of try_fmt as much as possible on UVC cams, instead use the
  results of the enum_framesizes ioctl. This is because:
  1) try_fmt actually causes IO with UVC cams making apps which do lot of
     querrying of device capabilities slow (cheese)
  2) some buggy cams don't like getting lots of UVC video probes and crash
     when they do

libv4l-0.5.4
------------
* Don't report DQBUF errors when errno is EAGAIN, this fixes flooding the
  screen with errors when applications use non blocking mode
* Add support for downscaling to make apps which want low resolutions
  (skype, spcaview) happy when used with cams which can only do high
  resolutions (by Lukáš Karas <lukas.karas@centrum.cz>).
* Add support for converting to YV12 planar (next to the already supported
  YU12 / I420)
* Implement RGB/BGR24 -> YU/YV12 conversion

libv4l-0.5.3
------------
* When conversion requires multiple passes don't alloc the needed temporary
  buffer on the stack, as some apps (ekiga) use so much stack themselves
  this causes us to run out of stack space

libv4l-0.5.2
------------
* Add Philips SPC210NC to list of cams with upside down sensor, reported by
  Rieker Flaik
* Work around some drivers (pwc) not properly reflecting what one gets after a
  s_fmt in their try_fmt answer
* Check that s_fmt atleast gives us the width, height and pixelformat try_fmt
  promised us, and if not disable conversion
* Only check width, height and pixelformat when checking if we are doing
  conversion, instead of doing a memcmp, as that are the only things which
  the convert code checks
* Take into account that the buffers only contain half of the lines when
  field is V4L2_FIELD_ALTERNATE

libv4l-0.5.1
------------
* Add support for software cropping from 352x288 -> 320x240 / 176x144 ->
  160x120, so that apps which will only work with vga resolutions like
  320x240 (Skype!) will work with cams/drivers which do not support cropping
  CIF resolutions to VGA resolutions in hardware. This makes all 2.6.27 gspca
  supported cams, except for the pac7302 which only does 640x480 (and skype
  wants 320x240), work with skype
* The v4lconvert_convert function was becoming a bit of a mess, so split the
  functionailiy into separate v4lconvert_convert_pixfmt, v4lconvert_rotate and
  v4lconvert_crop functions, and make v4lconvert_convert a frontend to
  these
* Do not link the wrapper libs against libpthread (patch from Gregor Jasny)

libv4l-0.5.0
------------
* Add support for enumerating framesizes and frameintervals of emulated
  formats when the driver supports it for the real format
* Make sure the video device always gets opened RW even if the application
  asks for RO
* Add Genius E-Messenger 112 (093a:2476) to list of cams which have their
  sensor upside down

libv4l-0.4.3
------------
* Add suport for YUYV and YVYU packed pixel formats (Jean-Francois Moine)
* Prefer compressed pixformats for resolutions > 176x144

libv4l-0.4.2
------------
* The bayer pixel order in gspca's sonixb driver was different from that in
  the sn9c102 driver from the mainline kernel, a recent gspca patch fixes
  this, adjust libv4l to match (and make it work properly with the sn9c102
  driver).

libv4l-0.4.1
------------
* When the driver supports read() and we are not converting let the driver
  handle read() instead of emulating it with mmap mode
* Fix errors and warnings when compiling with ICC (Gregor Jasny)
* Add support to libv4lconvert for rotating images 90 (for Pixart 7302 cams)
  or 180 (Philips SPC200NC / Philips SPC300NC) degrees
* Add support for Pixart custom JPEG format
* Hide non public symbols (Gregor Jasny)
* Fix and enable x86_64 asm jpeg decompress helper functions (Gregor Jasny)

libv4l-0.4.0
------------
* Be more relaxed in our checks for mixing read and mmap access, we were
  being more strict in this then certain kernel drivers (bttv) making xawtv
  unhappy
* With some drivers the buffers must be mapped before queuing, so when
  converting map the (real) buffers before calling the qbuf ioctl
* Add support for conversion to RGB24 (before we only supported BGR24) based
  on a patch by Jean-Francois Moine
* When the hardware supports a format natively prefer using the native
  version over converting from another supported format
* Various Makefile and pkgconfig file improvements by Gregor Jasny (Debian)
* Drop the appl-patches dir, all application patches are now available and
  tracked here: http://linuxtv.org/v4lwiki/index.php/Libv4l_Progress


libv4l-0.3.9
------------
* Not only see /dev/video* but also /dev/v4l/* as video devices
  (only affects libv4l1 and the wrappers) patch from Brandon Philips
* Silence the creation of the .pc files in the Makefiles (Brandon Philips)
* Part of the copyright headers refered GPL instead of LGPL due to a copy
  and paste error (Brandon Philips)


libv4l-0.3.8
------------
* work around wrong REQUEST_BUFFERS ioctl return code from certain drivers
* add pkg-config (.pc) files for easier detection if libv4l is available
* check capabilities for streaming, if the driver cannot do streaming don't
  insert ourselves between the application and the driver
* intercept get capabilites and report read capability (which we always offer)
* query buffer: indicate the mapping state of our (fake) buffer in the flags


libv4l-0.3.7
------------
* Add spca505/6 and spca508 cam specific formats (YUYV per line variations)


libv4l-0.3.6
------------
* Add missing COPYING.LIB file


libv4l-0.3.5
------------
* Make JPEG decoding more robust


libv4l-0.3.4 (the brownpaperbag release)
----------------------------------------
* The mmap64 support in 0.3.3, has caused a bug in libv4l1 when running on
  32 bit systems (who uses those now a days?), this bug caused v4l1
  compatibility to not work at all, this release fixes this
* Some apps (xawtv, kopete) use an ioctl wrapper internally for various
  reasons. This wrappers request argument is an int, but the real ioctl's
  request argument is an unsigned long. Passing the VIDIOC_xxx defines through
  to the wrapper, and then to the real ioctl, causes the request to get sign
  extended on 64 bit args. The kernel seems to ignore the upper 32 bits,
  causing the sign extension to not make a difference. libv4l now also
  ignores the upper 32 bits of the libv4lx_ioctl request argument on 64 bit
  archs
* Add a bugfix patch for kopete in the appl-patches dir, currently it assumes
  that it got the width and height it asked for when doing a S_FMT, which is a
  wrong assumption


libv4l-0.3.3
------------
* Add open64 and mmap64 wrappers to the LD_PRELOAD wrapper libs, so that
  they also work for applications compiled with FILE_OFFSET_BITS=64, this
  fixes using them with v4l-info
* While looking at xawtv in general, found a few bugs in xawtv itself, added
  a patch to fix those to the appl-patches dir
* Talking about the appl-patches dir, restore that as it accidentally got
  dropped from 0.3.2
* Be more verbose in various places when it comes to logging (esp errors)
* Change v4lconvert_enum_fmt code a bit, so that it is easier to add more
  supported destination formats to libv4lconvert
* Don't return -EINVAL from try_fmt when we cannot convert because the cam
  doesn't have any formats we know. Instead just return as format whatever the
  cam returns from try_fmt, this new behavior is compliant with the v4l2
  api as documented

libv4l-0.3.2
------------
* Add support for converting from sn9c10x compressed data
* Add support for converting from pac207 compressed data
* Add "make install" Makefile target

libv4l-0.3.1
------------
* Only serialize V4L2_BUF_TYPE_VIDEO_CAPTURE type ioctls
* Do not return an uninitialized variable as result code for GPICT
  (fixes vlc, but see below)
* Add an apps-patches directory which includes:
  * vlc-0.8.6-libv4l1.patch, modify vlc's v4l1 plugin to directly call into
    libv4l1, in the end we want all apps todo this as its better then
    LD_PRELOAD tricks, but for vlc this is needed as vlc's plugin system
    causes LD_PRELOAD to not work on symbols in the plugins
  * camorama-0.19-fixes.patch, small bugfixes to camorama's v4l1 support,
    this patch only fixes _real_ bugs in camorama and does not change it to
    work with v4l1compat. Although it does work better with these bugs fixed
    :) With this patch and LD_PRELOAD=<path>/v4l1compat.so it works
    flawless.


libv4l-0.3
----------
* add extern "C" magic to public header files for c++ usage (Gregor Jasny)
* Make libv4l1 and libv4l2 multithread use safe, see README.multi-threading
* Add v4lx_dup() calls (and intercept dup() from the wrappers) this fixes
  use with gstreamer's v4l2 plugin (tested with cheese)
* Hopefully definitely fix compile errors on systems with a broken videodev2.h

libv4l-0.2
----------
*** API change ***
* Change v4lconvert api so that the v4lconvert struct always gets allocated
  by the library, this to make it opaque, so that we can avoid future API
  and ABI changes
* Add support for yuv420 -> bgr24 conversion
* When converting from v4l2 pixelformat to v4l12 palette return
  VIDEO_PALETTE_YUV420P instead of VIDEO_PALETTE_YUV420 for
  V4L2_PIX_FMT_YUV420 as that is what most apps seem to expect
* override kernel v4l1 compat min / max size with our own more accurate values
* fix v4l1 munmap bug where it didn't recognise the buffer being unmapped was
  our fake buffer (fixes gstreamer v4l1 support, checked with cheese)
* add support for reporting the emulated pixelformats with ENUM_FMT, this
  defaults to off, and can be activated by passing a flag to enable it to
  v4l2_fd_open. This gets enabled by default the wrappers.
* v4l2: mmap the real device buffers before doing conversion when DQBUF gets
  called before the application has called mmap (avoid crash).


libv4l-0.1
----------
* major shuffle / rewrite now split into libv4l1, libv4l2, libv4lconvert
  and 2 wrappers for binary compatibility
* rewritten LGPL bayer decoding
* many many other changes and fixes


v4l1-compat-0.6 (V4L2 apps stay working)
----------------------------------------
* Do not go into emulation mode of rgb24 immediately, but only after a
  GPICT ioctl which has not been preceded by a SPICT ioctl, AKA do not get
  in the way of V4L2 read calls by doing conversion on them
* Do not get in the way of mmap calls made by V4L2 applications
* Fix swapping of red and blue in bayer -> bgr24 decode routine
* Remember the v4l1 palette asked for with SPICT and return that, as
  otherwise we loose information when going v4l1 -> v4l2 -> v4l1, for example
  YUV420P becomes YUV420, which are separate in v4l1.


v4l1-compat-0.5 (perfect camorama)
----------------------------------
* Allow changing of format after the buffers have been mapped, by tearing
  down the entire house, changing the fundament and then rebuilding it.
  Now changing the capture resolution in camorama works!
* Fix jpeg decoding error reporting
* Allow jpeg's with a height which is a multiple of 8 (was 16)
* Remove a number of pretty new VIDIOCXXX -> string mappings from log.c,
  fixing compiling with somewhat older kernels


v4l1-compat 0.4
---------------
* Do not even try to change the format in v4l1_compat_set_format(), unless
  _really_ necessary.
* Cleanup ambigious use of src_format (no functional changes)
* Drop the mmap hack for zerocopy access under certain conditions, one of them
  that the cam can deliver the requested format. Although avoiding the
  memcpy in this scenarios is a good thing todo, there were several issues
  with the 0.3 implementation of this, fixing all these means adding lots of
  special cases all over the code. So instead we just drop support and
  always do atleast a memcpy (or a conversion). If an application cannot
  live with the speed penalty this imposes it should be ported to v4l2.
* Now that we've gotten rid of the zerocopy mmap hack, we can safely allow
  mixing read and mmap based IO.
* Explictly include linux/ioctl.h, to fix compile with kernel headers where
  linux/videodev.h doesn't.


v4l1-compat 0.3
---------------
* Don't allow multiple opens, in theory our code can handle it, but not all
  v4l2 devices like it (ekiga does it and uvc doesn't like it).


v4l1-compat 0.2
---------------
* When mmap gets passed an fd of -1 (anonymous map) don't look for it in our
  list of managed fds, as we use -1 to mark unused entries (fixes ekiga
  crashing). Also check for an fd of -1 in the other calls we intercept.
* In close() start with removing the fd from our list of managed fds, this must
  be done first, because as soon as we've done the actual close syscall, the
  fd maybe returned by an open in another thread and we don't want to intercept
  calls to this new fd.
* Make unknown v4l1 palette types a normal level log messages instead of an
  error.
* When an applicaiton changes the width / height through the CMCAPTURE ioctl
  remember the new width and height.
* If the devices initial v4l2 pixformat has no corresponding v4l1 palette, try
  setting a format which does (and which we emulate when necessary) so that
  applicactions which just query the current format (GPICT) and then take
  whatever they get will work (partially fixes camorama)
* Implement our own SWIN instead of using kernel compat layer, for more
  flexibility and better error checking


v4l1-compat 0.1
---------------
* Initial public release.
